<?php
/**
 * SoapServer
 *
 * Just spawns the ELC SoapServer
 * @copyright 2006 BaseSoft B.V.
 */


if($_SERVER['REQUEST_METHOD'] == 'GET')
{
	require_once('SoapServerDocAccountant.php');
	exit();
}


$noValidate = true;
$site_homedir = './';
define('NO_BROWSER_CHECK', true);
require_once('scripts/i-w/default/init.php');

require_once(IWARE.'IWSessionHandler.php');
$sessionHandler = IWSessionHandler::createSessionHandler($db);
IWRegistry::register('sessionHandler', $sessionHandler);

require_once(ELC_CLASSES.'ELCSoapServer.php');

try {
	$server = new ELCSoapServerAccountant(SITE_HOMEDIR.'scripts/elc/bots/WEEEBlackboxAccountant.wsdl');
	$server->handle();
} catch (Exception $exception) {
	error(print_r($exception, true));
}

?>