<?php
require_once(IWARE.'AbstractObject.php');
/**
 * Object to link Documents to Relation
 * This is also used to check the access to documents when requested
 * @author Marten Koedam <marten@basesoft.com
 * @package ELC
 * @subpackage Document
 * @version $Id$
 */
class RelationDocument extends AbstractObject
{
	/**
	 * @var ELCDocument $document
	 */
	var $document;
	/**
	 * @var Relation $relation
	 */
	var $relation;
	/**#@+
	 * @access protected
	 */
	/**
	 * Initializes the objectmaps used int AbstractObject
	 */
	function _initObjectMaps()
	{
		$this->objectmap['dbtable'] = 'TBL_RELATION_DOCUMENT';
		$this->objectmap['primary']['document->id'] = 'DOCUMENT_ID';
		$this->objectmap['primary']['relation->id'] = 'RELATION_ID';
	}
	/**#@-*/
}
?>
