<?php
/**
 * SoapRefundRequestInvoice
 *
 * @author Martijn van den Broek <martijn@basesoft.com>
 * @copyright 2010 BaseSoft B.V.
 */

class SoapRefundRequestInvoice
{
	public $invoiceYear;
	public $invoiceId;
	public $type; // credit or debit
	public $participantId;
	public $documentDate;
	public $billToParticipantId;
	public $totalAmount;

	public $refundRequests;
	public $documentReviews;
	public $refundFees;
}

class SoapRefundDocumentReview
{
	public $product;
	public $nrDocuments;
	public $amount;
	public $glAccount;
}

class SoapRefundFee
{
	public $product;
	public $fee;
	public $amount;
	public $glAccount;
}

class SoapRefundRequest
{
	public $refundRequestId;
	public $product;
	public $postingDate;
	public $originalInvoiceYear;
	public $originalInvoiceId;
	public $lines;
}


class SoapRefundRequestLine {
	public $quantity;
	public $unitCost;
	public $weight;
	public $productCategory;
	public $brand;
	public $glAccount;
	public $amount;
}


?>
