<?php
require_once(IWARE.'AbstractObject.php');
/**
 * @package WEEE
 * @subpackage Document
 * @todo Make IW object
 * @since 31-okt-2006
 * @author Marten Koedam <marten@dalines.net>
 * @version $Id$
 * @copyright 2006 BaseSoft B.V.
 */
class UserDocumentDownload extends AbstractObject
{
	protected $user;
	protected $document;
	protected $download_datetime;

	function insert()
	{
		$this->download_datetime = date('Y-m-d H:i:s');
		return parent::insert();
	}

	public static function saveDownloadInformation($db,$document,$user)
	{
		require_once(ELC_CLASSES.'User.php');
		is_object($user) || $user = new ELCUser($db,$user);

		$args = array('user'=>$user,'document'=>$document);
		$udd = new UserDocumentDownload($db,$args);
		$udd->insert();
	}

	function _initObjectMaps()
	{
		$this->objectmap['dbtable'] = 'TBL_USER_DOCUMENT_DOWNLOAD';
		$this->objectmap['primary']['user->id'] = 'USER_ID';
		$this->objectmap['primary']['document->id'] = 'DOCUMENT_ID';
		$this->objectmap['primary']['download_datetime'] = 'DOWNLOAD_DATETIME';
	}
}
?>