<?php
/**
 * Basalizer
 * @author Marten Koedam <marten@basesoft.com>
 * @author Chris Wesseling <chris_nospam@basesoft.com>
 * @copyright Copyright 2005, BaseSoft b.v.
 * @package I-Ware
 * @version $Id$
 */
define('BASENUMBER',90);

class Basalizer
{
	/**
	 * @static
	 * @param Base $base90
	 */
	function toDec($base)
	{
		$rv = 0;
		while(strlen($base))
		{
			$rv += (ord($base{0})-35)*pow(BASENUMBER,(strlen($base)-1));
			$base = substr($base,1);
		}
		return $rv;
	}

	/**
	 * @static
	 * @param int @int
	 */
	function fromDec($int,$exp=null)
	{
		if($exp==-1)
			return '';
		if($exp==null)
		{
			$exp = 0;
			while(pow(BASENUMBER, ($exp+1))< $int)
				$exp++;
		}
		$rv = (int) ($int/pow(BASENUMBER, $exp));
		return chr($rv+35).Basalizer::fromDec(($int-(pow(BASENUMBER,$exp)*$rv)),--$exp);
	}
}
?>
