<?php
require_once(IWARE.'IWInterfaceHandler.php');
/**
 * @package
 * @subpackage
 * @since 19-mrt-2007
 * @author Marten Koedam <marten@dalines.net>
 * @version $Id$
 * @copyright 2007 BaseSoft B.V.
 */
class IWPublicInterfaceHandler extends IWInterfaceHandler
{
	public function InterfaceFAQAction()
	{
		$this->setExtraStyle('navigation_node');
		$this->setScriptHeader('<script type="text/javascript" src="/'.SITE_PATH.'includes/i-w/NavigationNode.js"></script>');
		$this->instantiateInterfaceFactory('InterfaceFAQ');
	}

	public function InterfaceLostPasswordAction()
	{
		ob_start();
		if(isset($_REQUEST['confirm_new_pass']))
		{
		?>
		<script type="text/javascript"><!--
			addEvent(window,'load',function(){
				<?=jsMessageBox(MSG_BOX_INFO, IWRegistry::registry('langIf')->getText('Forgot Password Request'), IWRegistry::registry('langIf')->getText('Your request has been processed'), 'function(){document.location.href="/'.SITE_PATH.'";}'); ?>
			});
		--></script>
		<?php
		}

		$scriptHeader = ob_get_clean();
		$this->setScriptHeader($scriptHeader);
		$this->instantiateInterfaceFactory('InterfaceLostPassword');
	}

}
?>
