<?php
/**
 * @package I-Ware
 * @subpackage Task
 * @author Chris Wesseling <chris.wesseling@xs4all.nl>
 * @author Marten Koedam <marten@dalines.net>
 * @abstract
 */
class Task
{
	/**
	 *
	 */
	var $id=null;
	/**
	 * Constructor
	 */
	function Task()
	{

	}
	/**
	 * Executes the task
	 * @return bool true on succes
	 */
	function execute(&$log)
	{
		return true;
	}
	/**
	 * Logs the log information
	 * @return string $logMessage for cronlog
	 */
	function log()
	{
		return '';
	}
	/**
	 * Wakes up the Task
	 * Should be called after Serialization
	 * Should perform stuff like:
	 * - Restores Database Connection
	 * - Re-opening file-pointers
	 */
	function _load()
	{

	}
}
?>
