<?php
/**
 * @package I-Ware
 */
Class Date_Conversion
{
	function Date_Conversion()
	{
	}

	function mysql2php($mysql_date)
	{
		return mktime(substr($mysql_date, 8, 2),substr($mysql_date, 10, 2),substr($mysql_date, 12, 2),substr($mysql_date, 4, 2),substr($mysql_date, 6, 2),substr($mysql_date, 0, 4));
	}

	function php2mysql($php_date)
	{
		return date("YmdHis", $php_date);
	}

	function php2cron($php_date)
	{
		$time_part = array();
		$time_part[0] = date( "Y", $php_date );
		$time_part[1] = date( "m", $php_date );
		$time_part[2] = date( "d", $php_date );
		$time_part[3] = date( "H", $php_date );
		$time_part[4] = date( "i", $php_date );
		return implode( ",", $time_part );
	}

	function cron2php($cron_date)
	{
		$curr_date = date("U");
		$time_part = explode( ",", $cron_date );
		if( sizeof( $time_part ) == 5 )
		{
			// 4 digit year
			if( $time_part[0] == "*" )
				$time_part[0] = date( "Y", $curr_date );
			// 2 digit month from 01 to 12
			if( $time_part[1] == "*" )
				$time_part[1] = date( "m", $curr_date );
			// 2 digit day of the month from 01 to 31
			if( $time_part[2] == "*" )
				$time_part[2] = date( "d", $curr_date );
			// 2 digit hour from 00 to 23
			if( $time_part[3] == "*" )
				$time_part[3] = date( "H", $curr_date );
			// 2 digit minutes from 00 to 59
			if( $time_part[4] == "*" )
				$time_part[4] = date( "i", $curr_date );
			return mktime($time_part[3],$time_part[4],0,$time_part[1],$time_part[2],$time_part[0]);
		}
		else
			return false;
	}

}
?>
