
var Dom = YAHOO.util.Dom;
var Event = YAHOO.util.Event;
var DDM = YAHOO.util.DragDropMgr;


WEEE.Dashboard = function() { };
WEEE.Dashboard.widgetCounter = 0;

WEEE.Dashboard.prototype =
{
	_widgets: [],
	_columns: 3,

    init: function()
    {
    	var dashboard_container = document.getElementById('dashboard');

    	var table = document.createElement('TABLE');
    	table.className = 'dashboard';
    	dashboard_container.appendChild(table);

		var tbody = document.createElement('TBODY');
		table.appendChild(tbody);

		// Add a TR as a dashboard toolbar
   		var tr = document.createElement('TR');
   		tbody.appendChild(tr);

		var td = document.createElement('TD');
		tr.appendChild(td);
		td.colSpan = this._columns;
		td.className = 'toolbar';

		// create a link that opens the addWidget dialog
		var btn = document.createElement('INPUT');
		btn.type = 'button';
		td.appendChild(btn);
		btn.value = 'Add widgets';
		btn.onclick = hitch(this, '_showWidgetsDialog');

   		var tr = document.createElement('TR');
   		tbody.appendChild(tr);

    	for (var i=0; i<this._columns; i++)
    	{
    		var td = document.createElement('TD');
			td.className = 'column';
			td.id = 'dashboard_column_'+i;
    		tr.appendChild(td);

    		new YAHOO.util.DDTarget("dashboard_column_"+i);
    	}

		var div = document.createElement('DIV');
		dashboard_container.appendChild(div);

    	this.table = table;

		// prepare the NewWidgetDialog
		var frmNewWidgets = document.createElement('FORM');
		frmNewWidgets.className = 'newWidgets';
		document.body.appendChild(frmNewWidgets);

		// add a table to the dialog that will contain Widget descriptions
		var tb = document.createElement('TABLE');
		tb.className = 'WidgetsAvailable';
		frmNewWidgets.appendChild(tb);

		this._tbWidgetsAvailable = document.createElement('TBODY');
		tb.appendChild(this._tbWidgetsAvailable);

		this._widgetsDialog = new YAHOO.widget.Dialog(frmNewWidgets,
		{
			width : "300px",
			fixedcenter : true,
			visible : false,
			constraintoviewport : true,
			buttons : [ { text:"Done", handler:function() { this.cancel(); }  } ]
		} );

		this._widgetsDialog.render();

		// hide loading message
    	$('dashboard_loading').style.display = 'none';

	},

	_showWidgetsDialog: function()
	{
		this._widgetsDialog.show();
		return false;
	},

	addWidget: function(wWidget)
	{
		var nNode = wWidget.build();
		this._widgets[nNode.id] = wWidget;

		// get the best destination column by seeing which has least childs
		var min_childs = null;
		var destination = null;
		for (var i=0; i<this._columns; i++)
		{
			var col = $('dashboard_column_'+i);
			if (min_childs == null || col.childNodes.length < min_childs)
			{
				min_childs = col.childNodes.length;
				destination = $('dashboard_column_'+i);
			}
		}

		destination.appendChild(nNode);
		wWidget.ddwidget = new WEEE.DDWidget(nNode.id);
	},

	removeWidget: function(wWidgetId)
	{
		this._widgets[wWidgetId].ddwidget.unreg();
		removeNode($(wWidgetId));
	},

	/**
	 * Adds a widget to the available widgets by adding a row to the form table
	 * Pass a widget class (not an instance!) as the only argument
	 */
	registerWidget: function(wWidget)
	{
		var tr = document.createElement('TR');
		this._tbWidgetsAvailable.appendChild(tr);

		var td = document.createElement('TD');
		tr.appendChild(td);
		td.innerHTML = '<b>'+wWidget.title+'</b> <br />' + wWidget.description;

		var td = document.createElement('TD');
		td.className = 'button';
		tr.appendChild(td);

		var btn = document.createElement('INPUT');
		btn.type = 'button';
		td.appendChild(btn);
		btn.value = 'Add';
		btn.onclick = hitch(this, 'addWidget', new wWidget());

	}
};

