if(typeof BASESOFT == 'undefined') {
	BASESOFT = {};
}

BASESOFT.Notification = {};

(function(){

	/**
	 * Poller to check for new notifications
	 */
	BASESOFT.Notification.Poller = function(path, id) {
		path = path ? path : '/';
		jsbroker.addPhpBroker(path+'scripts/i-w/bots/PhpBroker.php')
		this.id = id;
	};

	BASESOFT.Notification.Poller.prototype = {

		POLLING_INTERVAL: 300000, // Every five minutes

		el: null,
		timeoutId: null,
		firstTime: true,
		newNotifications: [],

		loadNotifications: function() {
			if(this.timeoutId) {
				clearTimeout(this.timeoutId);
			}

			jsbroker.call('NotificationHandler.loadData', [], function(result) {
				var el = document.getElementById(this.id);

				if(result.length===0) {
					this.newNotifications = [];
					el.innerHTML = '';
				} else {
					var messages = [], id, i, j, found;
					for(i=0; i < result.length; i++) {
						id = result[i].id;
						found = false;
						for(j=0; j < this.newNotifications.length; j++) {
							if(this.newNotifications[j]==id) {
								found = true;
								break;
							}
						}
						if(!found) {
							this.newNotifications.push(id);
							messages.push(result[i]);
						}

					}
					el.innerHTML = '('+this.newNotifications.length+')';
					// Dont show the message box the first time its triggered == annoying at every page reload.
					if(!this.firstTime && messages.length!==0) {

						var str = '<div><ul style="list-style: disc;">';
						for(i = 0; i < messages.length; i++) {
							str += '<li>'+messages[i].subject+' - '+messages[i].from+'</li>';
						}
						str +='</ul></div>';

						// Make a message box that shows from who they have new notifications.
						MessageBox.prototype.Information(langIf.getText('New notification(s)'), str);

					}
					this.firstTime = false;
				}

				this.timeoutId = setTimeout((function(scope){
					return (function(){
						scope.loadNotifications();
					});
				})(this), this.POLLING_INTERVAL);


			}, this);
		}

	};
})();