<?php
/**
 * @package I-Ware
 * @subpackage includes
 * @version $Id: martijn.php 2951 2006-05-26 14:33:01Z Martijn van den Broek $
 */

define ('APPLICATION_ID', 60 ); //IQADMIN

//DB Server
$dba_driver		=	'MySQL';

//Users
$dba_user		=	'i-questionnaire';
$dba_user_edit	=	'i-questionnaire';
$dba_password	=	'basesoft';
$dba_password_edit	=	'basesoft';

// LanguageAdmin translate IP's
$langIf_IPs = array('192.168.2.');

switch (dirname(__FILE__))
{
	case true && preg_match('/^\/Users\/marten/', dirname(__FILE__)):
		$dba_user_edit = $dba_user = 'root';
		$dba_password_edit = $dba_password = 'FiadiA4r';
		define('SITE_HOMEDIR', '/Users/marten/workspace/iqelc/');
		define('SITE_SERVER', 'weee.marten.dev.ams.basesoft.com/');
		define('SITE_PATH', '');
		define('IQUNIT_DBHOST', 'weee.marten.dev.ams.basesoft.com');
		define('IQUNIT_DBCONN', 'MySQL:192.168.8.78:I_WARE_TEST');
		define('SNAPSHOT_SAVE_PATH', '/Users/marten/writable/snapshots/');
		define('IQUNIT_WRITABLE_PATH', '/Users/marten/writable/');
		define('IW_MYSQL_SERVER','192.168.8.78');
		define('IQUNIT_DBNAME', 'I_WARE_TEST');
		define('SYSLOG_IDENT', 'marten');
		define('MIDDLEWARE_JAR', '/Users/marten/workspace_ee/weee_am/jar/weee_am.jar');
		$sql_server		=	IQUNIT_DBHOST;
		$dba_name 		= 	IQUNIT_DBNAME;
		define('APC_SUFFIX', 'marten-phpunit');
		$site_identifier = "weee-marten";
	break;

	// martijn
	case true && (exec('hostname -f') == 'martijn-i7'):
		define('SITE_HOMEDIR', '/home/martijn/workspace/iqelc/');
		define('SITE_SERVER', 'martijn-weee.dev.bcn/');
		define('SITE_PATH', '');
		define('IQUNIT_DBHOST', 'martijn-weee.dev.bcn');
		define('IQUNIT_DBCONN', 'MySQL:127.0.0.1:I_WARE_TEST');
		define('SNAPSHOT_SAVE_PATH', '/home/martijn/workspace/writable/snapshots/');
		define('IQUNIT_WRITABLE_PATH', '/home/martijn/workspace/iqelc/writable/');
		define('IW_MYSQL_SERVER','localhost');
		define('IQUNIT_DBNAME', 'I_WARE_TEST');
		define('SYSLOG_IDENT', 'weee-martijn');
		define('MIDDLEWARE_JAR', '/home/martijn/workspace_ee/weee_am/build/jar/weee_am.jar');
		$sql_server		=	IQUNIT_DBHOST;
		$dba_name 		= 	IQUNIT_DBNAME;
		define('APC_SUFFIX', 'martijn-phpunit');
		$site_identifier = "martijn";
	break;

	case true && (exec('hostname -f') == 'virtualix.office.basesoft.com') && preg_match('/^\/home\/martijn/', dirname(__FILE__)):
		define('SITE_HOMEDIR', '/home/martijn/workspace/iqelc/');
		define('SITE_SERVER', 'martijn-weee.dev.ams/');
		define('SITE_PATH', '');
		define('IQUNIT_DBHOST', 'vm.office.basesoft.com');
		define('IQUNIT_DBCONN', 'MySQL:vm.office.basesoft.com:I_WARE_TEST_martijn');
		define('SNAPSHOT_SAVE_PATH', '/home/martijn/workspace/writable/snapshots/');
		define('IQUNIT_WRITABLE_PATH', '/home/martijn/workspace/iqelc/writable/');
		define('IW_MYSQL_SERVER','vm.office.basesoft.com');
		define('IQUNIT_DBNAME', 'I_WARE_TEST_martijn');
		define('SYSLOG_IDENT', 'weee-martijn');
		define('MIDDLEWARE_JAR', '/home/martijn/workspace_ee/weee_am/build/jar/weee_am.jar');
		$sql_server		=	IQUNIT_DBHOST;
		$dba_name 		= 	IQUNIT_DBNAME;
		$dba_user		=	'martijn';
		$dba_password	=	'f00b4r';
		define('APC_SUFFIX', 'martijn-phpunit');
		$site_identifier = "martijn";
	break;


	// testorix
	case true && preg_match('/^\/var\/lib\/buildbot\/slaves\/weeeblackbox-slave1\/unit/', dirname(__FILE__)):
		define('SITE_HOMEDIR', '/var/lib/buildbot/slaves/weeeblackbox-slave1/unit/iqelc/');
		define('SITE_SERVER', 'phpunit.weee.testorix.dev.ams.basesoft.com/');
		define('SITE_PATH', '');
		define('IQUNIT_DBHOST', 'testorix.dev.ams.basesoft.com');
		define('IQUNIT_DBCONN', 'MySQL:127.0.0.1:IQ_ELC_TESTORIX_phpunit'); # must match the one from phpunit.weee.testorix.dev.ams.basesoft.com
		define('IQUNIT_DBNAME', 'IQ_ELC_TESTORIX_phpunit');
		define('APC_SUFFIX', 'testorix-phpunit');
		define('IQUNIT_WRITABLE_PATH', SITE_HOMEDIR.'writable/');
		define('LANGIF_DB', 'IQ_ELC_TESTORIX_phpunit');
		define('SYSLOG_IDENT', 'elc-phpunit');
		$sql_server		=	IQUNIT_DBHOST;
		$dba_name 		= 	IQUNIT_DBNAME;
		$site_identifier = 'testorix-phpunit';
		$dba_user		=	'testorix';
		$dba_password	=	'testorix';
	break;

	// docker
	case true && file_exists('/var/www/html/related/bin/docker_reset_db'):
		define('SITE_HOMEDIR', '/var/www/html/');
		define('SITE_SERVER', 'localhost/');
		define('SITE_PATH', '');
		define('IQUNIT_DBHOST', 'localhost');
		define('IQUNIT_DBCONN', 'MySQL:127.0.0.1:IQ_ELC');
		define('IQUNIT_DBNAME', 'IQ_ELC');
		define('APC_SUFFIX', 'phpunit');
		define('IQUNIT_WRITABLE_PATH', '/tmp/writable/');
		define('LANGIF_DB', 'IQ_ELC');
		define('SYSLOG_IDENT', 'phpunit');
		$sql_server		=	IQUNIT_DBHOST;
		$dba_name 		= 	IQUNIT_DBNAME;
		$site_identifier = 'phpunit';
		$dba_user		=	'root';
		$dba_password	=	'root';
		#MIDDLEWARE_JAR
		define('MIDDLEWARE_JAR', '/opt/weee_am/weee_am.jar');
	break;


	default:
		throw new Exception('No IW_TestCase-Configuration found for '.dirname(__FILE__));
}

# defines.. dont make this server / user specific
define('IQUNIT_DBUSER', $dba_user);
define('IQUNIT_DBPASSWORD', $dba_password);
!defined('IQUNIT_WRITABLE_PATH') && define('IQUNIT_WRITABLE_PATH', SITE_HOMEDIR.'writable/iqunit/');
define('WRITABLE', IQUNIT_WRITABLE_PATH);
define('TEST_SITE', true);
define('SOAP_WSDL_URL', 'http://'.SITE_SERVER.SITE_PATH.'scripts/elc/bots/WEEEBlackbox.wsdl.php?phpunit=1');

define('SOAP_WSDL_ACCOUNTANT_URL', 'http://'.SITE_SERVER.SITE_PATH.'scripts/elc/bots/WEEEBlackboxAccountant.wsdl.php?phpunit=1');
if (!defined('SOAP_ENDPOINT_ACCOUNTANT'))
	define('SOAP_ENDPOINT_ACCOUNTANT', 'http://'.SITE_SERVER.SITE_PATH.'tests/phpunit/elc/SoapServerAccountant.php?phpunit=1');

define('MAIL_RETURN_PATH', 'testing@mail.clusternet');
define('HTTP_204', 'Status: 204' );
define('ERROR_NO_FRIENDLY', true);
define('ERROR_LEVEL', E_ALL);
define('I_AM_PHPUNIT', 'yep, this one is for me!');
require_once(SITE_HOMEDIR.SITE_PATH.'includes/i-w/site-settings/defaults_elc.php');
?>
