<?php
/**
 * @package I-Ware
 * @subpackage includes
 * @version $Id: marten.php 5528 2007-03-05 14:16:31Z Marten Koedam $
 */
//define ('APPLICATION_ID', 30 ); //Interclean
//define ('APPLICATION_ID', 10 ); //I-Survey
//define ('APPLICATION_ID', 20 ); //IQ Admin

define ('APPLICATION_ID', 60 );


//DB Server
$dba_driver		=	'MySQL';
$sql_server		=	'localhost';

define('SITE_SERVER', $_SERVER['HTTP_HOST'].'/');
define('SITE_HOMEDIR', '/Users/marten/workspace/iqelc/');

//DB's
switch ( APPLICATION_ID )
{
	case 60: //ELC
		$dba_name = 'weeeblackbox';
		define('SMTP_SERVERS', 'fs1.clusternet');
		define('IW_MYSQL_SERVER','localhost');
		//define('PRIVILEGES_DB','IQ_ELC_PRIVS');
		define('LANGIF_DB', 'weeeblackbox');
		define('SITE_PATH', '');
		define('PHP_CLI_CMD','/usr/bin/php');
		define('APC_SUFFIX', 'martenvgitdev');
		define('WRITABLE', '/Users/marten/writable/');
		define('CRACKLIB_PATH', '/opt/local/sbin/');
		define('TEST_SITE', true);
		define('SYSLOG_IDENT', 'marten');
		require_once(SITE_HOMEDIR.SITE_PATH.'includes/i-w/site-settings/defaults_elc.php');
	break;
	case 50: //United Investors
		$site_title = 'United Investors';
		$dba_name 		= 	'UNITED_INVESTORS';
		define('LOGOUT_PAGE', 'scripts/i-w/loginscreen.php');
		define('SITE_PATH', '~marten/unitedinvestors/');
		define('XHTML_HEADER', SITE_HOMEDIR.SITE_PATH.'scripts/unitedinvestors/default/xhtml_header.php');
		define('XHTML_FOOTER', SITE_HOMEDIR.SITE_PATH.'scripts/unitedinvestors/default/xhtml_footer.php');
	break;
	case 30: //Interclean
		$site_title = 'Interclean';
		$dba_name		=	'INTERCLEAN_KP';
		$dba_publish 	=   'INTERCLEAN_PUBLISH';
		$dba_history    =   'INTERCLEAN_HISTORY';
		//IntercleanDB
		$dba_name_interclean = 'INTERCLEAN_KP';
		$dba_user_interclean = 'interclean';
		$dba_password_interclean = 'basesoft';
	break;
	case 20: //IQ-Admin
		$site_title = 'IQ Admin';
		$dba_name = 'IQ_ADMIN';
		define('LOGOUT_PAGE', 'scripts/i-w/loginscreen.php');
		define('SITE_PATH', '~marten/iqadmin/');
		define('SESSION_HANDLER', true);
		define('XHTML_HEADER', SITE_HOMEDIR.SITE_PATH.'scripts/i-a/default/xhtml_header.php');
		define('XHTML_FOOTER', SITE_HOMEDIR.SITE_PATH.'scripts/i-a/default/xhtml_footer.php');
	break;
	case 10: //I-Survey
	default:
		$site_title = 'IQuest';
		$db_prefix = 'IS_EFAC';
		$dba_name = $db_prefix.'_EDIT';
		$dba_publish = $db_prefix.'_PUBLISH';
		$dba_history = $db_prefix.'_HISTORY';
		define('SESSION_HANDLER', true);
		define('APP_PATH','i-q/');
		define('LOGOUT_PAGE', 'scripts/i-w/logout.php');
		define('SITE_PATH', '~marten/svn/iquest/');
	break;
}

//Users
$dba_user		=	'blackbox';
$dba_user_edit	=	'blackbox';
$dba_password	=	'basesoft';
$dba_password_edit	=	'basesoft';

$dba_user_publish	=	'blackboxp';
$dba_password_publish	=	'basesoftp';

$dba_user_history	=	'blackboxh';
$dba_password_history	=	'basesofth';

//Server paths


//$HTTP_AUTHENTICATE_GROUPS = array('GROUP_SYSADMIN','GROUP_OPERATOR');

define('MAIL_RETURN_PATH', 'testing@mail.clusternet');
//define('NO_ACCESS_PAGE', 'scripts/i-w/no_access.php');

define('HTTP_204', 'Status: 204' );
//Error Handler settings
define('ERROR_NO_FRIENDLY', true);
define('ERROR_LEVEL', E_ALL);

define('TRAC_URL', 'trac.office.basesoft.com');
define('TRAC_INSTANCE', 'trac-sandbox');

$class_dir		=	SITE_HOMEDIR.SITE_PATH.'classes/i-w/';
$root_dir		=	SITE_HOMEDIR;
$data_dir       =   SITE_HOMEDIR.SITE_PATH.'data/i-w/';

// LanguageAdmin translate IP's
$langIf_IPs = array('192.168.2.');

?>
