/**
 * Inserts HTML line breaks before all newlines in a string
 */
String.prototype.nl2br = function()
{
	return this.replace( /\n/gi, "<br>"  );
}
String.prototype.parseRequestURI = function()
{
	var rv = new Array();
	params = this.split('&');
	for(i=0;i<params.sizeof();i++)
	{
		if(params[i]=='')
			continue;
		var vars = params[i].split('=');
		var indx,x;
		var vara = vars[0];
		if((indx = vara.indexOf('['))>-1)
		{
			var name = vara.substring(0,indx);
			rv[name]= new Array();
			vara = vara.substring(indx);
			var tmp = rv[name];
			var cmd = 'rv[\''+name+'\']';
			while((x = vara.indexOf(']'))>-1)
			{
				tmp[vara.substring(1,x)] = new Array();
				tmp = tmp[vara.substring(1,x)];
				cmd += '[\''+vara.substring(1,x)+'\']';
				vara = vara.substring(x+1);
			}
			eval(cmd+' = \''+vars[1]+'\';');
		}
		else
			rv[vars[0]]=vars[1];
	}
	return rv;
}

/*String.prototype.URLEncode = function ( )
{
	// The Javascript escape and unescape functions do not correspond
	// with what browsers actually do...
	var SAFECHARS = "0123456789" +					// Numeric
					"ABCDEFGHIJKLMNOPQRSTUVWXYZ" +	// Alphabetic
					"abcdefghijklmnopqrstuvwxyz" +
					"-_.!~*'()";					// RFC2396 Mark characters
	var HEX = "0123456789ABCDEF";

	var encoded = "";
	for (var i = 0; i < this.length; i++ ) {
		var ch = this.charAt(i);
	    if (ch == " ") {
		    encoded += "+";				// x-www-urlencoded, rather than %20
		} else if (SAFECHARS.indexOf(ch) != -1) {
		    encoded += ch;
		} else {
		    var charCode = ch.charCodeAt(0);
			if (charCode > 255) {
			    alert( "Unicode Character '"
                        + ch
                        + "' cannot be encoded using standard URL encoding.\n" +
				          "(URL encoding only supports 8-bit characters.)\n" +
						  "A space (+) will be substituted." );
				encoded += "+";
			} else {
				encoded += "%";
				encoded += HEX.charAt((charCode >> 4) & 0xF);
				encoded += HEX.charAt(charCode & 0xF);
			}
		}
	} // for

	return encoded;
};

String.prototype.URLDecode = function ( )
{
   // Replace + with ' '
   // Replace %xx with equivalent character
   // Put [ERROR] in output if %xx is invalid.
   var HEXCHARS = "0123456789ABCDEFabcdef";
   var plaintext = "";
   var i = 0;
   while (i < this.length) {
       var ch = this.charAt(i);
	   if (ch == "+") {
	       plaintext += " ";
		   i++;
	   } else if (ch == "%") {
			if (i < (this.length-2)
					&& HEXCHARS.indexOf(this.charAt(i+1)) != -1
					&& HEXCHARS.indexOf(this.charAt(i+2)) != -1 ) {
				plaintext += unescape( this.substr(i,3) );
				i += 3;
			} else {
				alert( 'Bad escape combination near ...' + this.substr(i) );
				plaintext += "%[ERROR]";
				i++;
			}
		} else {
		   plaintext += ch;
		   i++;
		}
	} // while
   return plaintext;
};*/

String.prototype.URLEncode = function()
{
	return escape(this.utf8encode());
}

String.prototype.URLDecode = function()
{
	return unescape(this).utf8decode();
}


String.prototype.trim = function()
{
	return this.replace(/(^\s*|\s*$)/g, '');
}

String.prototype.ltrim = function()
{
	return this.replace(/^\s*/, '');
}

String.prototype.rtrim = function()
{
	return this.replace(/\s*$/, '');
}
String.prototype.repeat = function(n)
{
	var rv = new String();
	for ( var i=0; i < n ; i++ )
		rv += this;
	return rv;
}


String.prototype.utf8encode = function () {
		string = this.replace(/\r\n/g,"\n");
		var utftext = "";

		for (var n = 0; n < string.length; n++) {
			var c = string.charCodeAt(n);
			if (c < 128) {
				utftext += String.fromCharCode(c);
			}
			else if((c > 127) && (c < 2048)) {
				utftext += String.fromCharCode((c >> 6) | 192);
				utftext += String.fromCharCode((c & 63) | 128);
			}
			else {
				utftext += String.fromCharCode((c >> 12) | 224);
				utftext += String.fromCharCode(((c >> 6) & 63) | 128);
				utftext += String.fromCharCode((c & 63) | 128);
			}
		}

		return utftext;
};

String.prototype.utf8decode = function () {
		utftext = this;
		var string = "";
		var i = 0;
		var c = c1 = c2 = 0;
		while ( i < utftext.length ) {
			c = utftext.charCodeAt(i);
			if (c < 128) {
				string += String.fromCharCode(c);
				i++;
			}
			else if((c > 191) && (c < 224)) {
				c2 = utftext.charCodeAt(i+1);
				string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
				i += 2;
			}
			else {
				c2 = utftext.charCodeAt(i+1); c3 = utftext.charCodeAt(i+2);
				string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
				i += 3;
			}
		}
		return string;
};