<?php
require_once(INTERFACE_OBJ.'InterfaceFactory.php');
/**
 *
 * @package ELC
 * @subpackage Interface
 * @since 24-04-2006
 * @copyright 2006 BaseSoft B.V.
 * @version $Id$
 */
class InterfaceELCInspector extends InterfaceFactory
{
    /**
     * interface[id] = 104
     * @param $db Database (I_WARE_SETTINGS)
     * @param $db_app Database (APPLICATION DATABASE)
     * @param $langIf LanguageInterface
     */
    function InterfaceELCInspector(&$db, &$db_app, &$langIf)
    {
        parent::InterfaceFactory($db, $db_app, $langIf);
        $this->FirstColWidth = 25;
        $this->delimiter = '<br />';
    }
    /**
     * @param string $thrownException
     */
    function processInput(&$thrownException)
    {

    }
}
/**
 * @package ELC
 * @subpackage Interface
 * @since 24-04-2006
 * @copyright 2006 BaseSoft B.V.
 * @version $Id$
 */
class InterfaceELCInspectorItem extends InterfaceItem
{
    /**
     * item[840] =
     */
    function getTree()
    {
    	// div containing the tree
    	$this->text = '<div id="ifI_'.$this->id.'"></div>';

    	// javascript
    	ob_start();
    	?>

    	// <script type="text/javascript">

    	InspectorContainer = AsyncContainer;
        InspectorContainer.prototype.createNewNode = function(aParams)
        {
			var nav = new NavigationNode(aParams['title'],
				aParams['iconClass'], false, new InspectorContainer(
					aParams['callMethod'], aParams['callParams']));

			nav.negerinBehaviour = function()
			{
				$('ifI_841').innerHTML = "<b>Loading...</b>";
				$('ifI_841_2').innerHTML = "";
				switch (aParams['callParams']['type'])
				{
					case 'user':
						callParams = [];
						callParams['targetId'] = 'ifI_841';
						extraParams = [['user[id]', aParams['callParams']['user_id']]];
						if(this.parent.parent.parent.title == 'Participants') //particpiant user
							extraParams.push(['participant[id]', aParams['callParams']['participant_id']])
						else //not participant user
							extraParams.push(['relation[id]', aParams['callParams']['participant_id']])
						if(aParams['callParams']['crso_id'])
							extraParams.push(['crso[id]', aParams['callParams']['crso_id']]);
						ifHandler.loadInterface(128, callParams, extraParams);
						callParams = [];
						callParams['targetId'] = 'ifI_841_2';
						ifHandler.loadInterface(129, callParams, [['user[id]', aParams['callParams']['user_id']]]);
						//this.toggle();
						updateTitle(this.getTitlePath());
						break;
					case 'participant':
						callParams = [];
						callParams['targetId'] = 'ifI_841';
						ifHandler.loadInterface(54, callParams, [['participant[id]', aParams['callParams']['relation_id']], ['crso[id]', aParams['callParams']['crso_id']]]);
						$('ifI_841_2').innerHTML = window.originalDivContents2;
						this.toggle();
						updateTitle(this.getTitlePath());
						break;
					case 'crso':
						callParams = [];
						callParams['targetId'] = 'ifI_841';
						ifHandler.loadInterface(43, callParams, [['crso[id]', aParams['callParams']['relation_id']], ['ajaxUsage', '1']]);
						$('ifI_841_2').innerHTML = window.originalDivContents2;
						this.toggle();
						updateTitle(this.getTitlePath());
						break;
					case 'crsosettings':
						callParams = [];
						callParams['targetId'] = 'ifI_841';
						ifHandler.loadInterface(103, callParams, [['crso[id]', aParams['callParams']['relation_id']], ['ajaxUsage', '1']]);
						$('ifI_841_2').innerHTML = window.originalDivContents2;
						updateTitle(this.getTitlePath());
						break;
					case 'crsoblockedvats':
						callParams = [];
						callParams['targetId'] = 'ifI_841';
						ifHandler.loadInterface(146, callParams, [['crso[id]', aParams['callParams']['relation_id']], ['ajaxUsage', '1']]);
						$('ifI_841_2').innerHTML = window.originalDivContents2;
						updateTitle(this.getTitlePath());
						break;
					case 'provdec':
						callParams = [];
						callParams['targetId'] = 'ifI_841';
						ifHandler.loadInterface(130, callParams, [['participant[id]', ''+aParams['callParams']['relation_id']], ['crso[id]', ''+aParams['callParams']['crso_id']]]);
						$('ifI_841_2').innerHTML = window.originalDivContents2;
						this.toggle();
						updateTitle(this.getTitlePath());
						break;
					case 'subrogator':
						callParams = [];
						callParams['targetId'] = 'ifI_841';
						ifHandler.loadInterface(90, callParams, [['subrogator[id]', ''+aParams['callParams']['relation_id']], ['ajaxUsage', 1], ['trust[id]', ''+aParams['callParams']['trust_id']] ]);
						$('ifI_841_2').innerHTML = window.originalDivContents2;
						this.toggle();
						updateTitle(this.getTitlePath());
						break;
					case 'trustee':
						callParams = [];
						callParams['targetId'] = 'ifI_841';
						ifHandler.loadInterface(90, callParams, [['trustee[id]', ''+aParams['callParams']['relation_id']], ['ajaxUsage', 1], ['trust[id]', ''+aParams['callParams']['trust_id']] ]);
						$('ifI_841_2').innerHTML = window.originalDivContents2;
						this.toggle();
						updateTitle(this.getTitlePath());
						break;
					case 'crsoproductcategories':
						callParams = [];
						callParams['targetId'] = 'ifI_841';
						ifHandler.loadInterface(135, callParams, [['crso[id]', aParams['callParams']['relation_id']], ['ajaxUsage', '1']]);
						$('ifI_841_2').innerHTML = window.originalDivContents2;
						updateTitle(this.getTitlePath());
						break;
					case 'crsoproductfee':
						callParams = [];
						callParams['targetId'] = 'ifI_841';
						ifHandler.loadInterface(68, callParams, [['crso[id]', aParams['callParams']['relation_id']], ['ajaxUsage', '1']]);
						$('ifI_841_2').innerHTML = window.originalDivContents2;
						updateTitle(this.getTitlePath());
						break;
					default:
						$('ifI_841').innerHTML = window.originalDivContents;
						$('ifI_841_2').innerHTML = window.originalDivContents2;
						this.toggle();
						updateTitle(this.getTitlePath());
						break;
				}
			}

			return nav;
        }

    	addEvent(window, 'load', function()
    	{
			var titleEl = document.createElement('DIV');
			titleEl.setAttribute('id', 'TreeTitle');
			titleEl.setAttribute('style', 'display: block');
			$('ifB_261').parentNode.insertBefore(titleEl, $('ifB_261'));
			$('ifB_261').parentNode.insertBefore(document.createElement('BR'), $('ifB_261'));
			$('ifB_261').parentNode.insertBefore(document.createElement('BR'), $('ifB_261'));
			var target = $('ifI_<?=$this->id; ?>');
			window.originalDivContents = $('ifI_841').innerHTML;
			window.originalDivContents2 = $('ifI_841_2').innerHTML
			var params = [];
			params['type'] = 'root';
    		var container = new InspectorContainer('getElcInspectorChilds', params );
	        var node = new NavigationNode('<?php echo strip_tags($this->langIf->getText('Tree Root: ELC Inspector')); ?>', '', false, container);
	        node.negerinBehaviour = function(){$('ifI_841').innerHTML = window.originalDivContents;$('ifI_841_2').innerHTML = window.originalDivContents2;this.toggle();};
	        node.display(target);

		});

		function updateTitle(tp)
		{
			title = [];
			nextIsUser = false;
			tp.shift(); //we don't want the root node
			while(tp.length)
			{
				el = tp.shift();
				switch(el)
				{
					//these are skipped
					case 'Operators':
					case 'CRSOs':
					case 'As Subrogator':
					case 'As Trustee':
					case 'Participants':
						continue;
						break;
					case 'Users':
						nextIsUser = true;
						continue;
					default:
						if(nextIsUser)
						{
							el = 'User - ' + el;
							nextIsUser = false;
						}
						title.push(el);
				}
			}
			$('TreeTitle').innerHTML = '<div class="nav">' + title.implode('</div><div class="nav default">') + '</div>'
		}

	<?php
    	$this->script = ob_get_clean();
    }

    /**
     * item[841] =
     */
    function getDetails()
    {
    	$this->text = '<div id="ifI_'.$this->id.'"></div><div id="ifI_'.$this->id.'_2"></div>';
    }
}

/**
 * CALLBACK[getTree]
 * item[840] = {
 *     [handle] = Item: Tree
 *     [behaviour] =
 *     [help] = 0
 *     [close_row] = 0
 *     [label_pos] = 4
 *
 * CALLBACK[getDetails]
 * item[841] = {
 *     [handle] = Item: Details
 *     [behaviour] =
 *     [help] = 0
 *     [close_row] = 1
 *     [label_pos] = 4
 *
 */
?>
