<?php
require_once(INTERFACE_OBJ.'InterfaceFactory.php');
require_once(ELC_CLASSES.'Relation.php');
/**
 *
 * @package ELC
 * @subpackage Interface
 * @since 12-04-2006
 * @copyright 2006 BaseSoft B.V.
 * @deprecated 0.1.10 - 23-jun-2006
 * @version $Id$

	1. define a pre_callback in the callback for the item:
    	$this->settings['pre_callbacks']['notifications'] = array($this, 'getNotifications');

	2. make the callback function:
		$item->if_obj->addNotification(NOTIFICATION_INFO, 'This is a information notification.');
		$item->if_obj->addNotification(NOTIFICATION_WARNING, 'This is a warning notification.');
		$item->if_obj->addNotification(NOTIFICATION_ERROR, 'This is a error notification.');
		$item->if_obj->addNotification(NOTIFICATION_INFO,
			'This is a another information notification. <br /> with two lines');

		$item->if_obj->addNotification(
			NOTIFICATION_ERROR,
			'This is a error notification with clicky.',
			"MessageBox.prototype.Information('hello', 'Clicky!');");

 */
class InterfaceNotifications extends InterfaceFactory
{
	var $_notifications = array();

    /**
     * interface[id] = 96
     * @param $db Database (I_WARE_SETTINGS)
     * @param $db_app Database (APPLICATION DATABASE)
     * @param $langIf LanguageInterface
     */
    function InterfaceNotifications(&$db, &$db_app, &$langIf, $settings=array())
    {
        parent::InterfaceFactory($db, $db_app, $langIf, $settings);
        $this->FirstColWidth = 25;
        $this->delimiter = '<br />';
    }

    /**
     * @param string $thrownException
     */
    function processInput(&$thrownException)
    {
    }
    /*
    function addNotification($type, $message, $onclick='')
    {
    	$this->_notifications[] = array(
    		'type'=>$type,
    		'message'=>$message,
    		'onclick'=>$onclick);
    }
    */
}
/**
 * @package ELC
 * @subpackage Interface
 * @since 12-04-2006
 * @copyright 2006 BaseSoft B.V.
 * @version $Id$
 */
class InterfaceNotificationsItem extends InterfaceItem
{
    /**
     * item[809] = notifications
     */
    function getNotifications()
    {
    	/*require_once(ELC_CLASSES.'Notification.php');
    	$noti = new Notification($this->db_app);

    	$classes = array(
    		NOTIFICATION_TYPE_INFO=>'info',
    		NOTIFICATION_TYPE_WARNING=>'warning',
    		NOTIFICATION_TYPE_ERROR=>'error',
    		NOTIFICATION_TYPE_MESSAGE=>'message');

    	$html = '<ul class="notifications">';
    	$sw = 1;

		require_once(ELC_CLASSES.'RelationUser.php');
		$ru = new RelationUser($this->db_app);

    	$notifications = 0;
    	foreach ($this->if_obj->recipient['id'] as $id)
    	{
	    	$q = $noti->select($id);

	    	while ($r = $q->fetch())
	    	{
	    		// check rights
	    		if ($r->{'RECIPIENT_ID'}) {
	    			if (!$ru->set($_SESSION['session_user_id'], $r->{'RECIPIENT_ID'}) && !$ru->status)
	    				continue;
	    		}

	    		$class = $classes[ $r->{'TYPE'} ];

	    		$onclick = (!empty($r->{'CALLBACK'})) ?
	    			'onclick="'.$r->{'CALLBACK'}.'"' : '';

	    		$mouse = (!empty($r->{'CALLBACK'})) ?
	    			'onmouseover="addCssClass(this, \'hover\');" '.
	    			'onmouseout="removeCssClass(this, \'hover\');"' : '';

	    		$sender = 'System';
	    		if (!empty($r->{'SENDER_ID'}))
	    		{
		    		$rel = new Relation($this->db_app);
		    		$rel->set($r->{'SENDER_ID'});
		    		$sender = $rel->name;
		    	}

		    	if (!empty($r->{'SENDER_USER_ID'}))
		    	{
		    		require_once(ELC_CLASSES . 'User.php');
		    		$user = new ELCUser($this->db_app);
		    		$user->set($r->{'SENDER_USER_ID'});
		    		$user->info_person->set();
		    		$name = $user->info_person->getFullName();
		    		if (!empty($name))
		    			$sender .= ' ('.$name.')';
		    	}

	    		// hmm this can be done prettier
	    		$html .= '<li id="li_'.$r->{'NOTIFICATION_ID'}.'" class="'.$class.' switch'.$sw.'" '.$onclick.' '.$mouse.'>'.
		    				'<b>'.($onclick ? '<a href="#" '.$onclick.'>'.$r->{'SUBJECT'}.'</a>' : $r->{'SUBJECT'}).'</b>'.
		    				'<div style="display: relative; float: right; top: 5px; left: 5px;"><i>'.Form_Date::makePrettyDateTime($r->{'SENT_DATE'}).'</i></div>'.
		    				'<div style="display: block;">Sender: '.$sender.'</div>'.
		    				'<div style="display: block;">'.$r->{'MESSAGE'}.'</div>'.
	    				'</li>';

	    		$sw = ($sw) ? 0 : 1;
	    		$notifications++;
	    	}
	    }

	    if (!$notifications)
	    	$html .= '<li class="switch0">'.$this->langIf->getText('No recent notifications').'</li>';

    	$html .= '</ul>';
    	$this->text = $html;*/

    	$this->text = '<b>Deprecated</b>';
    }
}

/**
 * CALLBACK[getNotifications]
 * item[809] = {
 *     [handle] = Item: Notifications
 *     [behaviour] =
 *     [help] = 0
 *     [close_row] = 1
 *     [label_pos] = 4
 *
 */

?>
