<?php
require_once(INTERFACE_OBJ."InterfaceFactory.php");
require_once(IWARE.'nLanguage.php');
require_once(ELC_CLASSES.'ProductCategory.php');
/**
 *
 *
 * @package ELC
 * @subpackage Interface
 * @author
 * @copyright (2005) BaseSoft B.V.
 * @version $Id$
 */
class InterfaceProductCategoryTranslate extends InterfaceFactory
{
	function InterfaceProductCategoryTranslate($db, $db_app, $langIf)
	{
		$this->FirstColWidth = 25;
		$this->delimiter = '<br />';
		parent::InterfaceFactory($db, $db_app, $langIf);
	}
	/**
	 *
	 */
	function processInput(&$thrownException)
	{
		if(isset($_POST['process']))
		{
			if($_POST['process']=='save')
			{
				$pc = new ProductCategory($this->db_app,$_REQUEST['product_category']);
				$pc->addLanguage($_SESSION['session_user_language_id'],$_POST['category_lang']['name']);
			}
		}
	}
}

class InterfaceProductCategoryTranslateItem extends InterfaceItem
{
	/**#@+
	 * Callback functions made from InterfaceItem
	 */
	/**
	 *
	 */
	function getLanguageSelect()
	{
		$lang = new nLanguage($this->db_app);
		$q = $lang->get();
		$selected = isset($_REQUEST['show_language']['id'])?$_REQUEST['show_language']['id']:44;

		$i = 0;
		while($r = $q->fetch())
		{
			$this->options[$i] = array('value'=>$r->LANGUAGE_ID,'text'=>$r->LANGUAGE);
			if($selected == $r->LANGUAGE_ID)
				$this->options[$i]['selected'] = 'selected';
			$i++;
		}
	}
	/**
	 *
	 */
	function getHandleTranslation()
	{
		$selected = isset($_REQUEST['show_language']['id'])?$_REQUEST['show_language']['id']:44;
		$this->twoCols = true;
		$pc = new ProductCategory($this->db_app,$_REQUEST['product_category']);
		$pc->set('',$selected);
		$this->text = $pc->lang_name;
	}
	/**
	 *
	 */
	function getHandleText()
	{
		$this->twoCols = true;
		$pc = new ProductCategory($this->db_app,$_REQUEST['product_category']);
		$pc->set();
		$this->text = $pc->name;
	}
	/**
	 *
	 */
	function getCurrentTranslation()
	{
		$pc = new ProductCategory($this->db_app,$_REQUEST['product_category']);
		$pc->set();
		$this->value = $pc->lang_name;
	}
	/**
	 *
	 */
	function getButtons()
	{
		$this->hiddenInputs = array(array('name'=>'product_category[id]','value'=>$_REQUEST['product_category']['id']));
		$this->_BarButtons = BUTTON_SAVE+BUTTON_CANCEL;
	}
	/**#@-*/
}
