<?php
require_once(INTERFACE_OBJ.'InterfaceFactory.php');
/**
 *
 * @package
 * @subpackage Interface
 * @since 17-04-2007
 * @copyright 2007 BaseSoft B.V.
 * @version $Id$
 */
class InterfaceDashboard extends InterfaceFactory
{
    /**
     * interface[id] = 170
     * @param $db Database (I_WARE_SETTINGS)
     * @param $db_app Database (APPLICATION DATABASE)
     * @param $langIf LanguageInterface
     */
    function InterfaceDashboard(&$db, &$db_app, &$langIf)
    {
        parent::InterfaceFactory($db, $db_app, $langIf);
        $this->FirstColWidth = 25;
        $this->delimiter = '<br />';
    }
    /**
     * @param string $thrownException
     */
    function processInput(&$thrownException)
    {

    }
}
/**
 * @package
 * @subpackage Interface
 * @since 17-04-2007
 * @copyright 2007 BaseSoft B.V.
 * @version $Id$
 */
class InterfaceDashboardItem extends InterfaceItem
{

    /**
     * item[1322] =
     */
    function init()
    {
		ob_start();
		?>
			<!-- Async Includer (used by dashboard) -->
			<script type="text/javascript" src="/includes/i-w/AsyncIncluder.js"></script>

			<!-- Dashboard includes -->
			<script type="text/javascript" src="/includes/i-w/Dashboard/Dashboard.js"></script>
			<script type="text/javascript" src="/includes/elc/Dashboard/WEEEDashboard.js"></script>



			<div id="dashboard"></div>
			<script type="text/javascript">

				addEvent(window, "load", function()
				{
					// hack the content div so we have more space
					$('content').style.width = '95%';

					var current_universe = <?=$_SESSION['session_group_group_id']; ?>;

					// init the dashboard
					WEEE.dashboard = new WEEE.Dashboard($('dashboard'), current_universe);
				});

			</script>

		<?php
		$this->text = ob_get_contents();
		ob_end_clean();
    }

}

/**
 * CALLBACK[init]
 * item[1322] = {
 *     [handle] = Item: DashBoard
 *     [behaviour] =
 *     [help] = 0
 *     [close_row] = 1
 *     [label_pos] = 4
 *
 */
?>