<?php
require_once(INTERFACES.'elc/common/InterfaceParticipantRegistrationCommon.php');
/**
 * @package ELC
 * @subpackage Interface
 * @author Marten Koedam <marten@basesoft.com>
 * @author Martijn van den Broek <martijn@basesoft.com>
 * @copyright (2005) BaseSoft B.V.
 * @since 20-01-2005
 * @version $Id$
 */
class InterfaceUserNewParticipantRegistration extends InterfaceParticipantRegistrationCommon
{
	var $thrownException = '';
	function InterfaceUserNewParticipantRegistration($db, $db_app, $langIf)
	{
		$this->crso_id = $_REQUEST['crso']['id'];
		parent::InterfaceParticipantRegistrationCommon($db, $db_app, $langIf);
	}
	function _processModifiers()
	{

	}

	/**
	 * Loads the class for the blocks and items
	 */
	function loadClasses($interface_id)
	{
		$this->id = $interface_id;
		$this->classPrefix = 'InterfaceUserNewParticipantRegistration';
		$this->appPath = 'elc/participant/';
	}

	function &_saveUser()
	{
		$user = new ELCUser($this->db_app,$_SESSION['session_user_id']);
		return $user;
	}
}

class InterfaceUserNewParticipantRegistrationBlock extends InterfaceParticipantRegistrationCommonBlock
{
	function InterfaceUserNewParticipantRegistrationBlock(&$db,&$db_app,&$langIf,$id=0,$blockmap=array(), $itemclass='')
	{
		if(empty($_POST['process']))
		{
			$this->_hideInputs = null;
			if($id==BLOCK_USER)
				$this->_hideInputs = true;
		}
		parent::InterfaceParticipantRegistrationCommonBlock($db,$db_app,$langIf,$id,$blockmap, $itemclass);
	}
}


class InterfaceUserNewParticipantRegistrationItem extends InterfaceParticipantRegistrationCommonItem
{
	function getItemValue()
	{
		$this->properties['value'] = '';
		if(!isset($this->if_obj->user))
		{
			$this->hiddenFields = array(
				array('name'=>'crso[id]','value'=>$_REQUEST['crso']['id'])
				);
			require_once(ELC_CLASSES.'User.php');
			$user = new ELCUser($this->db_app,$_SESSION['session_user_id']);
			$user->set();
			$user->info_person->set();
			$this->if_obj->user = (array) $user->info_person;
		}
		$name = str_replace('[','[\'',str_replace(']','\']',$this->name));
		eval('$this->properties[\'value\'] = isset($this->parent->parent->'.$name.')?$this->parent->parent->'.$name.':\'\';');
	}
}
?>
