<?php
require_once(INTERFACE_OBJ."InterfaceFactory.php");
require_once(ELC_CLASSES.'CRSO.php');
require_once(ELC_CLASSES.'CRSOParticipantProduct.php');
require_once(ELC_CLASSES.'Participant.php');
/**
 *
 *
 * @package ELC
 * @subpackage Interface
 * @author Marten Koedam <marten@basesoft.com>
 * @copyright (2005) BaseSoft B.V.
 * @since 21-01-2005
 * @version $Id$
 */
class InterfaceParticipantsOverview extends InterfaceFactory
{
	function InterfaceParticipantsOverview ($db, $db_app, $langIf)
	{

		throw new InterfacePermissionException('Access denied');

		if(!isset($_SESSION['public']['crso']['id']))
		{
			header('Location: /'.SITE_PATH);
			exit();
		}
		$this->FirstColWidth = 25;
		$this->delimiter = '<br />';
		parent::InterfaceFactory($db, $db_app, $langIf);

		$crso = new Relation($this->db_app,$_SESSION['public']['crso']['id']);
		$crso->set();
		setPageTitlePostfix('('.$crso->name.'/'.$crso->getCountry('','COUNTRY_NAME').')');
	}
}

class InterfaceParticipantsOverviewItem extends InterfaceItem
{
	function getOverview()
	{
		require_once(IWARE.'table_factory.php');
		$help = ($this->parent->title != '') ? getHelp($this->langIf, $this->parent->handle, array('title'=>$this->parent->handle, 'top'=>'0px')) : '';


		$p = new Participant($this->db_app);
		$q = $p->selectOverview($_SESSION['public']['crso']['id'],$_SESSION['selected_product_id']);

		$tf = new TableFactory($q,$this->langIf);

		$help = ($this->parent->title != '') ? getHelp($this->langIf, $this->parent->handle, array('title'=>$this->parent->handle, 'top'=>'0px')) : '';
		$tf->setCaption($help.'<img src="/'.SITE_PATH.'images/block_arrow.png" /> '.$this->langIf->getText('Participants Overview'), false);

		//$tf->decapitate();
		$tf->hideColumns(array('PARTICIPANT_RELATION_ID'));
		//$tf->columnize();
		$this->text = $tf->getXHTMLTable('Professional',2);
	}
}

?>