<?php
require_once(INTERFACE_OBJ.'InterfaceFactory.php');
require_once(IWARE.'FAQ.php');
/**
 *
 * @package I-Ware
 * @subpackage Interface
 * @since 07-03-2006
 * @copyright 2006 BaseSoft B.V.
 * @version $Id$
 */
class InterfaceFAQAnswer extends InterfaceFactory
{
    /**
     * interface[id] = 83
     * @param $db Database (I_WARE_SETTINGS)
     * @param $db_app Database (APPLICATION DATABASE)
     * @param $langIf LanguageInterface
     */
    function InterfaceFAQAnswer(&$db, &$db_app, &$langIf)
    {
        parent::InterfaceFactory($db, $db_app, $langIf);
        $this->FirstColWidth = 25;
        $this->delimiter = '<br />';
    }
    /**
     * @param string $thrownException
     */
    function processInput(&$thrownException)
    {

    }
}
/**
 * @package I-Ware
 * @subpackage Interface
 * @since 07-03-2006
 * @copyright 2006 BaseSoft B.V.
 * @version $Id$
 */
class InterfaceFAQAnswerItem extends InterfaceItem
{

    /**
     * item[729] =
     */
    function getAnswerOverview()
    {
		if(isset($_REQUEST['faq']['id']))
		{
			$f = new FAQ($this->db_app);
			$f->set($_REQUEST['faq']['id'], $_SESSION['session_user_language_id']);
			$this->text = '<h3 style="font-weight: bold;color: black;">'.$f->lang->question_text.'</h3>'.$f->lang->answer_text;
		}
    }

}

/**
 * CALLBACK[getAnswerOverview]
 * item[729] = {
 *     [handle] = Item: AnswerOverview
 *     [behaviour] =
 *     [help] = 0
 *     [close_row] = 1
 *     [label_pos] = 4
 *
 */
?>