<?php
require_once(IWARE.'TaskRunner.php');
/**
 * @package ELC
 * @subpackage List
 * @since 7-sep-2006
 * @author Marten Koedam <marten@dalines.net>
 * @version $Id$
 * @copyright 2006 BaseSoft B.V.
 */
class ScheduleOverviewList extends ELCDefaultList
{
	var $handle = 'ScheduleOverviewList';
	function setQuery()
	{
		$this->_query = "SELECT TASK_ID, TASK_NAME, SCHEDULE_MASK, `STATUS`, NEXT_EXECUTE_TIME
			FROM TBL_TASK";
	}

	function getProcessColumns()
	{
		return array(
			'tfTaskStatus'=> array('STATUS'),
			'tfTaskIdLink'=> array('TASK_ID')
		);
	}

	function getButtons()
	{
		return array(
			'New Task' => array('onclick'=>"document.location.href='InterfaceScheduler.php';")
			);
	}

	function tfSortingHat()
	{
		return array('STATUS'=>"'SortVal'",
				'TASK_ID'=>"'SortVal'",
				'TASK_NAME'=>"'String'",
				'SCHEDULE_MASK'=>"'String'",
				'NEXT_EXECUTE_TIME'=>"'String'"
				);
	}

	function tfTaskIdLink($args)
	{
		$args['extra'] .= sprintf(' sort_val="%s" ', $args['value']);
		return sprintf('<a href="/%sscripts/elc/sysadmin/InterfaceScheduler.php?task[id]=%s">%s</a>',
			SITE_PATH,
			$args['value'],
			$args['value']
			);
	}

	function tfTaskStatus($args)
	{
		$args['extra'] .= sprintf(' sort_val="%s" ', $args['value']);
		list($trans,$class) = TaskRunner::translateStatus($this->langIf,$args['value']);
		return '<span class="'.$class.'">'.$trans.'</span>';
	}
}
?>
