<?php
/**
 * @package WEEE
 * @subpackage Default
 * @since 27-nov-2006
 * @author Nick Loeve <nick@basesoft.com>
 * @version $Id$
 * @copyright 2006 BaseSoft B.V.
 */
require_once(IWARE.'group.php');
require_once(ELC_CLASSES.'User.php');
require_once(ELC_CLASSES.'CRSO.php');

$userObj = new ELCUser(IWRegistry::registry('db'));
$users = array('CRSO' => array(), 'Participant' => array());
$crsos = array();
switch($_SESSION['session_group_group_id'])
{
	case GROUP_SYSADMIN:
		$users = $userObj->getAdminUsersForOperator();
		break;
	default:
		break;
}
if($_SESSION['session_group_group_id'] == GROUP_SYSADMIN)
{
	echo '<div id="userSelect"><b>&nbsp;'.IWRegistry::registry('langIf')->getText('Login as AdminUser').'</b>: <span id="userSelectButton"></span></div><br />';
?>
		<script type="text/javascript"><!--
			 function onUserSelectMenuItemClick(p_sType, p_aArgs, p_oItem)
			{
				MessageBox.prototype.Question(
					'<?=jstr('Login as AdminUser confirm title')?>',
					'<?=jstr('Login as AdminUser confirm')?>',
					function() {
						document.location.href="/<?php echo SITE_PATH;?>scripts/elc/public/DoLogin.php?loginname="  + p_oItem.value;
					},
					function () {
						//pass
					}
				);
			}

			var userChangeItems = [
			<?php
				$label = 'CRSO';
				foreach($users['CRSO'] as $user)
				{
						echo '{ text: "'.$user['loginname'].'", value: "'.urlencode($user['loginname']).'", onclick: { fn: onUserSelectMenuItemClick } },';
					//$sel->addOption($r->PRODUCT_NAME,$r->PRODUCT_ID);
				}
			?>
			];
			WEEE.oUserSelectButton = new YAHOO.widget.Button(
		                        {
		                        	name: "userselectbutton",
		                            label: "<?php echo $label;?>",
		                            type: "menu",
		                            menu: userChangeItems,
		                            container: "userSelectButton"
		                        }
		                    );
		    WEEE.oUserSelectButton._button.id = "userselectbutton";
		--></script>
	<?php
}

?>