<?php
/**
 * @package ELC
 * @subpackage Participant
 * @since 7-sep-2006
 * @author Marten Koedam <marten@dalines.net>
 * @version $Id$
 * @copyright 2006 BaseSoft B.V.
 */
$noValidate = true;
$script_id = 60000;
require_once('../../i-w/default/init.php');

if(!isset($_REQUEST['participant']['id'])||!is_numeric($_REQUEST['participant']['id']))
	exit('No Permission To View This Page');

if(IWRegistry::isRegistered('remote_viewer')) {
	// We are not supposed to switch participants if we have a pending or active remote viewer
	exit('No Permission To Switch Default Participant');
}

require_once(ELC_CLASSES.'RelationUser.php');
$ru = new RelationUser($db);
$ru->setDefaultRelation($_SESSION['session_user_id'],$_REQUEST['participant']['id']);
$_SESSION['selected_participant_id'] = $_REQUEST['participant']['id'];

header('Location: /'.SITE_PATH);
exit();
?>
