<?php
/**
 * @package WEEE
 * @subpackage Public
 * @since 23-nov-2006
 * @author Marten Koedam <marten@dalines.net>
 * @version $Id$
 * @copyright 2006 BaseSoft B.V.
 */


$noValidate = true;
$script_id = 60000;
require_once('../../i-w/default/init.php');
require_once(IWARE.'group.php');

switch($_SESSION['session_group_group_id'])
{
	case GROUP_PARTICIPANT:
		require_once(ELC_CLASSES.'CRSOParticipantProduct.php');
		$cp = new CRSOParticipantProduct(IWRegistry::registry('db'));
		$products = $cp->getParticipantProducts($_SESSION['selected_participant_id']);
		while($r = $products->fetch())
			if($r->PRODUCT_ID==$_REQUEST['product']['id'])
				break 2;
		header('HTTP/1.0 403 Forbidden');
		throw new IWUserException('Permission Denied');
	break;
	case GROUP_CRSO:
		require_once(ELC_CLASSES.'CRSOProduct.php');
		$cp = new CRSOProduct(IWRegistry::registry('db'));
		$products = $cp->getProducts($_SESSION['crso_relation_id']);
		while($r = $products->fetch())
			if($r->PRODUCT_ID==$_REQUEST['product']['id'])
				break 2;
		header('HTTP/1.0 403 Forbidden');
		throw new IWUserException('Permission Denied');
	break;
	default:
}


if(function_exists('apc_store'))
{
	$lookup = 'SFMenu'.$_SESSION['session_user_id'].'_'.
		(isset($_SESSION['selected_participant_id'])?$_SESSION['selected_participant_id']:0).'_'.
		(isset($_SESSION['selected_product_id'])?$_SESSION['selected_product_id']:0).APC_SUFFIX;
	apc_delete($lookup);
	$lookup = 'SFMenu'.$_SESSION['session_user_id'].'_'.
		(isset($_SESSION['selected_participant_id'])?$_SESSION['selected_participant_id']:0).'_'.
		$_REQUEST['product']['id'].APC_SUFFIX;
	apc_delete($lookup);
}
require_once(ELC_CLASSES.'ELCSessionHandlerDecorator.php');
$sh =& IWSessionHandler::createSessionHandler($db);
$SessionHandler = new ELCIWSessionHandlerDecorator($sh);
$SessionHandler->changeProduct($_REQUEST['product']['id']);

$sfmTemp = SuckerfishMenu::create(IWRegistry::registry('db'), IWRegistry::registry('db'), IWRegistry::registry('langIf'));
$header = isset($_REQUEST['h'])?urldecode(base64_decode($_REQUEST['h'])):'/'.SITE_PATH;

header('Location: '.$header);
exit();

?>
