<?php
$noValidate = true;
$script_id = 60000;
require_once('../../i-w/default/init.php');

require_once(ELC_CLASSES.'CRSO.php');
require_once(ELC_CLASSES.'CRSOProduct.php');


if(isset($_POST['action']))
{
	require_once(ELC_CLASSES.'ELCSessionHandlerDecorator.php');
	$sh =& IWSessionHandler::createSessionHandler($db);
	$SessionHandler = new ELCIWSessionHandlerDecorator($sh);
	$SessionHandler->setLanguageInterface($langIf);
	// Login went succesful, no errors were found
	if($SessionHandler->login($_POST['loginname'],$_POST['password'],$thrownException))
	{
		header('Location: '.($_SESSION['session_user_default_page']?$_SESSION['session_user_default_page']:'/'.SITE_PATH));
		exit();
	}
	else
	{
		header('HTTP/1.0 403 Forbidden');
		$thrownExceptionTitle = $langIf->getText('Unable to login');
	}

}
define('NO_KEEP_ALIVE',true);
define('NO_PAGE_TITLE', true);
define('NO_HOME',true);
define('HIDE_PRODUCT_SELECT',true);
if(isset($_SESSION['public']['crso']['id']))
	$onLoad = "document.getElementsByName('loginname')[0].focus();";
else
	define('NO_PAGE_HELP',true);
require_once(XHTML_HEADER);


$loginForm  = '<center>
			<form action="/'.SITE_PATH.'scripts/elc/public/index.php" method="post" name="login">
			<table style="text-align:left;">
				<tr>
					<td colspan="2"><br /><strong>'.$langIf->getText('Secure Access Login').'</strong><br /><br />
					'.$langIf->getText('Please enter your login information').'<br /><br /><br />
					<br /><br />
		<noscript><span class="error">'.$langIf->getText('ERROR: No Javascript enabled').'</span><br /><br /></noscript></td>
				</tr>
				<tr>
					<td width=\'100\'>'.$langIf->getText('Login name').'</td>
					<td><input type="text" name="loginname" value="'.(isset($_POST['loginname'])?$_POST['loginname']:'').'" style="width: 150px;" disabled="disabled" /></td>
				</tr>
				<tr>
					<td>'.$langIf->getText('Password').'</td>
					<td><input type="password" name="password" style="width: 150px;" disabled="disabled" /></td>
				</tr>
				<tr>
					<td></td>
					<td><input type="Submit" value="'.$langIf->getText('Login button').'" style="width: 100px;" disabled="disabled" name="thesubmitbutton" /></td>
				</tr>
				<tr>
					<td></td>
					<td><a href="#" onclick="lostPassword();">'.$langIf->getText('Forgot your password').'</a><br /><br /><br /></td>
				</tr>
			</table>
			<input type="hidden" name="action" value="login" />
			</form>
		</center>
                <script type="text/javascript">
                getElByName(\'loginname\').disabled="";
                getElByName(\'password\').disabled="";
                getElByName(\'thesubmitbutton\').disabled="";
                getElByName(\'loginname\').focus();
                </script>';

?>
<br /><br />
<table width="100%" class="homeIndex">
        <tr>
		<td>
			<?php
				// check if crso has its own logo, else use the default
				if (isset($_SESSION['public']['crso']['id']))
				{
					require_once(ELC_CLASSES . 'Relation.php');
					$rel = new Relation($db, array('id'=>$_SESSION['public']['crso']['id']), true);
					$logo = $rel->logo_url;
				}
				if (empty($logo))
					$logo = REL_IMAGES.'elc/elc/logo.gif';

			?>
			<img src="<?=$logo; ?>" style="vertical-align: middle;" />
		</td>
		<td style="background-color: #5C6F89; width: 100%; vertical-align: top; padding-left: 5px;">
			<h1 class="homeTitle">Waste Electrical and Electronic Equipment</h1>
			<h2 class="homeTitle">WEEE Black Box</h2>
		</td>
	</tr>
<?php
if(isset($_SESSION['public']['crso']['id']))
{
?>
        <tr>
            <td colspan="2" align="right">
                <br />
                <a href="/<?=SITE_PATH;?>scripts/elc/public/logout.php"><?=$langIf->getText('Go back to CRSO Overview');?></a> &nbsp;&nbsp;
            </td>
        </tr>
<?php
}
?>
</table>
<br />
<script type="text/javascript"><!--

	function lostPassword()
	{
		var loginname = $$('loginname');
		document.location.href="/<?=SITE_PATH?>scripts/i-w/default/InterfaceLostPassword.php?user[name]="+loginname.value;
	}

--></script>
<?php
if(isset($_SESSION['public']['crso']['id']))
{
?>
<table class="Professional">
	<caption><?=$langIf->getText('Registered Users Access');?></caption>
</table>
<table width="100%" style="background-color: #EAEDF2;">
	<tr>
		<td style="text-align: left; width: 40%;">
			<?=$loginForm;?>
		</td>
		<td style="color:#969799;text-align: left; width: 60%; vertical-align: top;">
		<p style="font-size: 10pt !important;"><?=$langIf->getText('Home Page Introduction Paragraph');?></p>
		<br />
                <?php
                    $product = new Product(IWRegistry::registry('db'), $_SESSION['selected_product_id']);
                    $product->set();
                ?>
                <p><span style="font-size: 10pt !important; font-weight: bold;"><?=$langIf->getText('Current Selected Product');?>: &nbsp;<?=$product->name;?></span></p>
		<p><span style="font-size: 10pt !important; font-weight: bold;"><?=$langIf->getText('Registering can be done by following the link '); ?> <a id="registerHere" href="/<?=SITE_PATH;?>scripts/elc/public/InterfaceParticipantRegistration.php"><?= $langIf->getText('Register here');?></a></span></p>
		</td>
	</tr>
</table>
<br />
<table width="100%">
	<tr>
		<td style="vertical-align: top; width: 40%;">

<table class="Professional">
	<caption><?=$langIf->getText('Registered Participants And Brands');?></caption>
	<tr>
		<td>
		<p><?=$langIf->getText('An overview of registered Brands can be found by following the link'); ?> <a id="idBrandList" href="/<?=SITE_PATH;?>scripts/elc/public/InterfaceBrandsOverview.php"><?= $langIf->getText('Click here');?></a></p>
		</td>
	</tr>
</table>


		</td>
		<td style="vertical-align: top; width: 60%;">
<?php
	require_once(ELC_CLASSES.'CRSOPublicDocument.php');
	$cpd = new CRSOPublicDocument($db);

	$tf = new TableFactory($cpd->getPublicOverview($_SESSION['public']['crso']['id']), $langIf);
	$tf->setValueProcessor('PUBLIC_DOCUMENT_NAME','return $this->langIf->getText(\'DocumentDesc_\'.$value);');
	$tf->setValueProcessor('DOCUMENT_NAME', "return '<a href=\"/".SITE_PATH."scripts/i-w/document/download.php?Document[id]='.\$row['DOCUMENT_ID'].'\" title=\"'.\$value.'\"><img src=\"".REL_IMAGES."elc/home/pdf_icon_small.gif\" style=\"border: 0;\" /></a>'; ");
	$tf->hideColumns('DOCUMENT_ID');
	$tf->setCaption('Document Table');
	$tf->deCapitate();
	echo $tf->getXhtmlTable('Professional', 2);

?>
		</td>
	</tr>
</table>
<?php
}
else
{
	echo $langIf->getText('Introduction Page Text').'<br /><br />';

?>
<table class="Professional">
	<caption><?=$langIf->getText('Registered Users Access');?></caption>
</table>
<?php


	$crso = new CRSO(IWRegistry::registry('db'));
        $cp = new CRSOProduct(IWRegistry::registry('db'));
        //dataset
        $ds = array();

        //create crsos table
	$crsos = $crso->selectCRSOs(1,null);
        foreach($crsos as $c)
        {
            $dss['CRSO'] = $c->NAME;
            $products = $cp->getProducts($c->CRSO_RELATION_ID);
            $rs = $products->fetchAll();
            $select = new Form_Select('product_select_'.$c->CRSO_RELATION_ID);
            $select->setWidth(150);
            $select->onChange("if($$('product_select_".$c->CRSO_RELATION_ID."')[$$('product_select_".$c->CRSO_RELATION_ID."').selectedIndex].value) {MessageBox.prototype.Question('".IWRegistry::registry('langIf')->getText('Register')."', '".IWRegistry::registry('langIf')->getText('Confirm register, Home takes you back, you chose: ')."' + $$('product_select_".$c->CRSO_RELATION_ID."')[$$('product_select_".$c->CRSO_RELATION_ID."').selectedIndex].text, function(){document.location.href = '/".SITE_PATH."scripts/elc/public/ChangeCrso.php?crso[id]=".$c->CRSO_RELATION_ID."&product[id]=' + $$('product_select_".$c->CRSO_RELATION_ID."')[$$('product_select_".$c->CRSO_RELATION_ID."').selectedIndex].value;} ); }");
            $select->addOption(' - '.$langIf->getText('Product Select').' - ', '', false);
            foreach($rs as $r)
               $select->addOption($r->PRODUCT_NAME, $r->PRODUCT_ID, false);
            $dss['Homepage For'] = $select->getHtml();
            $dss['COUNTRY'] = $c->COUNTRY_NAME;
            $ds[] = $dss;
        }


        $tf = new TableFactory($ds,$langIf);
        //$tf->setCaption('CRSO Registration and Information');
        //$tf->decapitate();
        $listing = $tf->getXHTMLTable();

        $tf = new TableFactory(array(array($loginForm, '<br />'.$listing)), $langIf);
        $tf->decapitate();
        echo $tf->getXHTMLTable('Professional',2).'<br />';
}

require_once(XHTML_FOOTER);
?>
