<?php
/**
 * XHTML 1.0 Transitional header for I-Ware
 * @author Marten Koedam <marten@basesoft.com>
 * @author Chris Wesseling <chris@basesoft.com>
 * @version $Id$
 * @package I-Ware
 * @subpackage scripts_default
 */
//Don't cache
if (!headers_sent())
{
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");    // Date in the past
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
	header("Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0", false);
	header("Pragma: no-cache");                          // HTTP/1.0
	header('Content-type: text/html; charset=UTF-8');
}
?>
<!DOCTYPE html
PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"/<?=SITE_PATH;?>includes/i-w/xhtml1-transitional.dtd">
<html>
	<head>
		<title><?= isset($site_title)?$site_title:'.'; ?></title>
		<meta http-equiv="content-type" content="text/html; charset=<?=CHARSET;?>" />

        <!-- Dependency source files -->
        <script type="text/javascript" src="/yui/yahoo-dom-event/yahoo-dom-event.js"></script>
        <script type="text/javascript" src="/yui/element/element-min.js"></script>
        <!-- Container source file -->
        <script type="text/javascript" src="/yui/container/container-min.js"></script>
        <!-- Menu source file -->
        <script type="text/javascript" src="/yui/menu/menu-min.js"></script>
        <!-- Button source file -->
        <script type="text/javascript" src="/yui/button/button-min.js"></script>
		<!-- END YAHOO USER INTERFACE STUFF -->


<?php
if(!defined('NO_YUI_STYLE'))
{
?>
        <!-- YAHOO USER INTERFACE -->
        <link rel="stylesheet" type="text/css" href="/yui/reset/reset.css">
        <link rel="stylesheet" type="text/css" href="/yui/fonts/fonts.css">


<link rel="stylesheet" type="text/css" href="/yui/menu/assets/menu.css" />
<link rel="stylesheet" type="text/css" href="/yui/container/assets/container.css" />
<link rel="stylesheet" type="text/css" href="/yui/button/assets/skins/sam/button.css" />


<?php
}
?>

		<script type="text/javascript">
			<!--
			// calculate time
			window.status = '';
			var start_execution_time = new Date().getTime();
			-->
		</script>
		<!--<link type="text/css" rel="stylesheet" href="<?=REL_STYLESHEETS;?>i-w/drop_down_menu.css" />-->
<?php

//$_SESSION['user_style_color'] = isset($_SESSION['user_style_color'])?$_SESSION['user_style_color']:'';
echo "<!-- BEGIN css-stylesheets -->\n";
foreach( $show_style as $style_name )
{
	if ( is_readable(STYLESHEETS.'i-w/'.$style_name.'.css') ) // i-w
		echo "\t\t<link type=\"text/css\" rel=\"stylesheet\" href=\"".REL_STYLESHEETS.'i-w/'.$style_name.".css\" />\n";
	if ( defined('APP_PATH') && is_readable(STYLESHEETS.APP_PATH.$style_name.'.css') ) //application
		echo "\t\t<link type=\"text/css\" rel=\"stylesheet\" href=\"".REL_STYLESHEETS.APP_PATH.$style_name.".css\" />\n";
}

echo isset($StyleSheets)?$StyleSheets:'';
echo "<!-- END css-stylesheets -->\n";
?>
<!-- BEGIN iware scripts -->
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>default.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>array.object.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>string.object.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>global.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>ajax.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>JsBroker.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>interface.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>SelectController.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>EventHandler.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>SortingHat.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>language_interface.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>MessageBox.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>ColumnResizer.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>new_window.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES;?>TableFactory.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES;?>help.js"></script>
		<script type="text/javascript" src="<?=REL_IWARE_INCLUDES?>KeepAlive.js"></script>
		<script type="text/javascript">
		<!--
			var jsbroker = new JsBroker('/<?=SITE_PATH?>',true);
			var ifHandler = new interfaceHandler('/<?=SITE_PATH?>');
			//var help = new Help();

			SITE_PATH  = '<?=SITE_PATH; ?>';
			REL_IMAGES = '<?=REL_IMAGES; ?>';
			REL_IWARE_SCRIPTS = '<?=REL_IWARE_SCRIPTS; ?>';

			script_id        = '<?=(int) $script_id; ?>';
			script_parent_id = '<?=(int) isset($_REQUEST['script_parent_id'])?((int)filter_var($_REQUEST['script_parent_id'], FILTER_SANITIZE_STRING)):''; ?>';

			<?php (!defined('NO_KEEP_ALIVE')) && print("var keepAlive = new KeepAlive('keepAlive',1680000);"); ?>

			// translations cache
			<?php
			$translations = array();
			$handles = array('MsgBox OK', 'MsgBox Cancel', 'MsgBox Yes', 'MsgBox No', 'FormBehaviour MessageBox Title', 'Session Timeout Title','Session Timeout Message Body');

			foreach($handles as $handle)
				$translations[$handle] = IWRegistry::registry('langIf')->getText($handle);
			?>

			if (typeof langIf != 'undefined') {
				langIf.setTexts(<?=exportArrayToJS($translations);?>);
			}
		-->
		</script>
<?php
echo "<!-- BEGIN script specific scripts -->\n";
if ( isset($script_header) )
	echo $script_header;
echo "<!-- END script specific scripts -->\n";

$onLoad = isset($onLoad)?$onLoad:'';
?>
<!-- END iware scripts -->
	</head>
	<body <?=(isset($onResize)?'onresize="'.$onResize.'" ':'').
		(isset($onKeyDown)?'onkeydown="'.$onKeyDown.'" ':'').
		'onload="'.$onLoad.'" '.
		(isset($extra_style)?'style="'.$extra_style.'" ':'');?> class="yui-skin-sam">

		<noscript><div class="error" style="font-size: 12pt; padding: 10px; font-weight: bold;"><?=IWRegistry::registry('langIf')->getText('ERROR: No Javascript enabled')?></div></noscript>