<?php

	/**
	 * @todo make a script check
	 */
	$noValidate = true;
	if (!isset($_REQUEST['script_parent_id']))
		$_REQUEST['script_parent_id'] = 0;

	require_once ('../default/init.php');

	require_once (IWARE . 'form_select_db.php');
	require_once (IWARE . 'table_factory.php');
	require_once (IWARE . 'eventHandler.php');

	$show_style[] = 'professional';
	require_once ('../default/xhtml_header.php');

	?>
		<div style="margin: 20px auto; width: 80%;">

			<table class="Professional Header">
				<caption>Event admin</caption>
				<tr>
					<th>Filter</th>
				</tr>
				<tr>
					<td>Application</td>
					<td>
						<?php
							if (isset($_GET['APPLICATION_ID']))
								$_SESSION['EVENT_APPLICATION_ID'] = $_GET['APPLICATION_ID'];

							$sql = "SELECT APPLICATION_ID AS VALUE, APPLICATION_NAME AS CAPTION FROM TBL_APPLICATION";
							$q = $db_iware->query($sql);
							$q->execute();

							$sel = new Form_Select_DB('APPLICATION_ID', $q);
							$sel->addOption('ALL', 'ALL', true, false); //-- select it and add to top
							$sel->onchange("document.location.href='".$_SERVER['PHP_SELF']."?script_parent_id=".$_REQUEST['script_parent_id']."&APPLICATION_ID='+this.value; ");

							if (isset($_SESSION['EVENT_APPLICATION_ID']))
								$sel->setSelectedValue( $_SESSION['EVENT_APPLICATION_ID'] );

							echo $sel->getHtml();
						?>
					</td>
				</tr>
			</table>
		</div>

		<div style="margin: 20px auto; width: 80%;">
			<?php

				if (isset($_SESSION['EVENT_APPLICATION_ID']) && $_SESSION['EVENT_APPLICATION_ID'] != 'ALL' )
					$condition = 'AND EVENT_APPLICATION_ID="'.$_SESSION['EVENT_APPLICATION_ID'].'" ';
				else
					$condition = ' ';

				$results_pp = 20;
				$current_page = (isset($_GET['page'])) ? $_GET['page'] : 0;

				$sql = "SELECT *
				        FROM TBL_EVENTS
				        WHERE 1=1 " . $condition;

				$q = $db_iware->query($sql);
				$q->execute();
				$total_rows = $q->rows();

				$sql = "SELECT e.EVENT_ID,
				        IFNULL(a.APPLICATION_NAME, e.EVENT_APPLICATION_ID) as EVENT_APPLICATION,
				        DATE_FORMAT(EVENT_DATETIME, '%d-%m-%Y %h:%i') AS DATE,
				        EVENT_TITLE,
				        CONCAT('<a href=\"event_details.php?EVENT_ID=', EVENT_ID, '&script_parent_id=".@$_REQUEST['script_parent_id']."\"><img src=\"../../../images/i-w/preview_small.gif\" style=\"border: 0;\" alt=\"preview\"></a>') as EVENT_DETAILS
				        FROM TBL_EVENTS e
				        LEFT JOIN TBL_APPLICATION a ON e.EVENT_APPLICATION_ID = a.APPLICATION_ID
				        WHERE 1=1 " . $condition . "
				        ORDER BY EVENT_DATETIME DESC
				        LIMIT " .$current_page * $results_pp . ',' . $results_pp;

				$q = $db_iware->query($sql);
				$q->execute();

				$t = new TableFactory( $q );
				$t->columnModifier( array('EVENT_ID'=>'return "align=center";',
				                          'DATE'=>'return "nowrap";',

				                          'EVENT_TITLE'=>'$value = strip_tags($value);
				                                          if (strlen($value) > 100)
				                                          	$value = substr($value, 0, 150) . " ... " . substr($value, -50);
				                                          return "width=\"100%\" ";
				                                         ',

				                          'EVENT_DETAILS'=>'return "align=center";'), true);

				echo $t->getXhtmlTable( 'Professional', 2 );

				echo parsePaging( $total_rows, $results_pp, $current_page, 'event_admin.php?1=1', '95%', 6, '', '', ' - ' );

			?>
		</div>
	<?php
	require_once ('../default/xhtml_footer.php');
?>
