<?php
/**
 * @package I-Ware
 * @subpackage scripts
 */
	header('Content-Type: text/xml');
	$noValidate = true;
    require_once('../../../scripts/i-w/default/init.php');

	echo '<?xml version="1.0"?>';

	$level = ( isset($_GET['level']) ) ? $_GET['level'] : 'global';

	switch ($level)
	{
		case 'global':
			?>
				<tree>
					<?php
						foreach ($langIf->getApplications() as $app)
						{
							?>
								<tree text="<?=$app['APPLICATION_NAME']?>"
									    src="<?=$_SERVER['PHP_SELF']?>?level=application_id&amp;application_id=<?=$app['APPLICATION_ID']?>"
								      action="javascript:loadApplication(<?=$app['APPLICATION_ID']?>); "/>
							<?php
						}
					?>
				</tree>
			<?php
		break;

		case 'application_id':
			?>
				<tree>
					<?php
						foreach ( $langIf->getScriptIDs($_GET['application_id'] ) as $script)
						{
							?>
								<tree text="<?=$script['SCRIPT_NAME']?>" src="<?=$_SERVER['PHP_SELF']?>?level=script_id&amp;application_id=<?=$_GET['application_id'];?>&amp;script_id=<?=$script['SCRIPT_ID']?>"
								      action="javascript:loadScriptID(<?=$_GET['application_id'];?>, <?=$script['SCRIPT_ID']; ?>); " />
							<?php
						}
					?>
				</tree>
			<?php
		break;

		case 'script_id':
			?>
				<tree>
					<?php
						foreach ( $langIf->getScriptNames($_GET['application_id'], $_GET['script_id'] ) as $script_name)
						{
							?>
								<tree text="<?=$script_name?>"
								      action="javascript:loadScriptName(<?=$_GET['application_id'];?>, <?=$_GET['script_id'];?>, '<?=$script_name?>'); " />
							<?php
						}
					?>
				</tree>
			<?php
		break;

		/*

		case 'script_name':
			?>
				<tree>
					<tree text="script1" />
					<tree text="script2" />
					<tree text="script3" />
				</tree>
			<?php
		break;

		*/

		default:
			trigger_error('Invalid level', E_USER_ERROR);
		break;
	}

?>
