<?php
/**
 * @package
 * @subpackage
 * @author Nick Loeve <nick@basesoft.com>
 * @since 27/03/2007
 * @copyright 2006 BaseSoft B.V.
 * $Id$
 */
$noValidate = true;
$site_homedir = './';
define('NO_BROWSER_CHECK', true);
require_once('scripts/i-w/default/init.php');

$sxml = simplexml_load_string(file_get_contents(SITE_HOMEDIR.'scripts/elc/bots/WEEEBlackbox.wsdl'));
echo '
<html><head><title>WEEEBlackbox Soap Server</title></head>
<style>
	body{background: #ffffff; font-family: sans-serif, Verdana, Arial, Helvetica;font-size: 1em;}
	pre {margin-top: 0; margin-bottom: 0; padding: 0.5em; font-family: monospace, "Courier New"; color: #000000;font-size: 0.9em;overflow: auto; background: #eeeeee;}
	div.docblock{padding: 10px; margin: 10px;}
	h2 {background-color: #7a5ada;padding-top: 0.4em;padding-bottom: 0.4em;padding-left: 1.0em;padding-right: 1.0em;color: white;text-align: left;clear:both;}
	h1 {background-color: #7a5ada;padding-top: 0.4em;padding-bottom: 0.4em;padding-left: 1.0em;padding-right: 1.0em;color: white;text-align: left;clear:both;}
	.tableinfo {padding-left: 1.0em;padding-right: 1.0em;padding-top: 0.2em;padding-bottom: 0.2em;font-size: 0.75em;background: #ddddff;font-weight: bold;font-family: sans-serif, Verdana, Arial, Helvetica;vertical-align: top;}
	.ntable {padding: 0em;margin-top: 0.5em;margin-bottom: 0.5em;}
	.infohead {font-size: 0.80em;font-family: sans-serif, Verdana, Arial, Helvetica;/*	padding: 0.25em; */padding-top: 0.2em;padding-bottom: 0.2em;padding-left: 1.0em;padding-right: 1.0em;margin-left: 1.0em;color: #ffffff;background-color: #7a5ada;font-weight: bold;}
</style><body>';
foreach($sxml->xpath('//wsdl:documentation') as $doc)
{
	echo '<div class="docblock">';
	if(count($doc->children()) > 0)
	{
		foreach($doc->children() as $child)
			echo $child->asXML();
	}
	else
		echo $doc->asXML();
	echo '</div>';
}
echo '</body></html>';
?>