<?php
require_once(IWARE.'AbstractObject.php');
/**
 * @author Chris Wesseling <chris.wesseling@xs4all.nl>
 * @package ELC
 * @version $Id$
 */
class DeclarationType extends AbstractObject
{
	var $id;
	/**
	 * @var String Translation_Handle
	 */
	var $handle;

	public static function defineConstants($db=null)
	{
		$sql = "SELECT DECLARATION_TYPE_ID as `v`,
				HANDLE as `c`
			FROM TBL_DECLARATION_TYPE";
		$q = $db->query($sql);
		$q->execute();
		while ( $r = $q->fetch() )
			if ( !defined($r->c) )
				define($r->c, $r->v);
	}

	/**#@+
	 * @access private
	 */
	function _initObjectMaps()
	{
		$this->objectmap['dbtable'] = 'TBL_DECLARATION_TYPE';
		$this->objectmap['primary']['id'] = 'DECLARATION_TYPE_ID';
		$this->objectmap['properties']['handle'] = 'HANDLE';
	}
	/**#@-*/
}
?>
