<?php
require_once(IWARE.'TaskRunner.php');
/**
 * Used for the Scheduler Interface
 * @package ELC
 * @subpackage Task
 * @author Marten Koedam <marten@basesoft.com>
 * @since 2006-02-15
 * @copyright 2006 BaseSoft B.V.
 * @version $Id$
 */
class ELCTaskRunner extends TaskRunner
{
	/**
	 * Gets all the available TaskTypes for ELC
	 * @return Array (TaskName=>)
	 */
	public static function getTaskTypes()
	{
		return array(
			'TaskDeclaration'=>'Schedule New Declarations', // Insert new declarations at the beginning of the month @see specs
			'TaskExportDeclaration'=>'Declaration Export', // Export declarations at the 10th of the month @see specs
			'TaskVAT'=>'VAT Checker', // Checks for Pending VAT's in TBL_VAT
			'TaskExportMasterFile'=>'Masterfile Export', //exports all masterfiles
			'TaskUnreadNotificationOverview' => 'Unread Notification Reminder', //sends reminders to users about unread notifications
			'TaskExportRefundRequest' => 'Refund Request Export',
			'TaskDeclarationReminder' => 'Declaration Reminder',
			'TaskImportInvoices' => 'Import Invoices',
			'TaskOperatorSummary' => 'Operator Summary',
			'TaskUKExportActuals' => 'UK Actuals Export',
			'TaskCloseAnnualConfirmation' => 'Close Annual Confirmations'
			);
	}
}
?>