<?php
/**
 * SoapDeclarationInvoice
 *
 * @author Martijn van den Broek <martijn@basesoft.com>
 * @copyright 2010 BaseSoft B.V.
 */

class SoapDeclarationInvoice
{
	public $invoiceId;
	public $invoiceYear;
	public $type; // credit or debit
	public $participantId;
	public $documentDate;
	public $totalAmount;
	public $declarations;
}


class SoapDeclaration
{
	public $declarationId;
	public $product;
	public $month;
	public $year;
	public $postingDate;
	public $originalInvoiceId;
	public $originalInvoiceYear;
	public $lines;
}


class SoapDeclarationLine {
	public $quantity;
	public $unitCost;
	public $weight;
	public $weightDec;
	public $productCategory;
	public $brand;
	public $dimension;
	public $glAccount;
	public $amount;
	public $status;
}

?>
