<?php
/**
 * @package
 * @subpackage
 * @since 19-mrt-2007
 * @author Marten Koedam <marten@dalines.net>
 * @version $Id$
 * @copyright 2007 BaseSoft B.V.
 */
class WEEEInterfaceHandler extends InterfaceHandler
{
	protected $location = null;
	public function setProductSwitchLocation($location)
	{
		$this->location = $location;
	}

	public function InterfaceNoFiltering() {
		// We do nothing
	}

	public function exportScopeVars()
	{
		return array(
			'script_header' => $this->getScriptHeader(),
			'show_style' => $this->getExtraStyle(),
			'thrownException' => $this->getThrownException(),
			'PRODUCT_SWITCH_HEADER' => is_null($this->location) ? null :urlencode(base64_encode($this->location))
		);
	}
}

?>
