<?php
require_once(IWARE.'AbstractObject.php');
/**
 * @author Marten Koedam <marten@basesoft.com>
 * @package I-Ware
 * @version $Id$
 */
class GroupUser extends AbstractObject
{
	var $user;
	var $group_id;
	/**
	 *
	 */
	function deleteByUserId($user_id='')
	{
		$user_id || $user_id = $this->user->id;
		$sql = "DELETE FROM TBL_GROUP_USER
			WHERE USER_ID = ?";
		$q = $this->db->query($sql);
		$q->bind_values($user_id);
		return $q->execute();
	}
	/**
	 *
	 */
	function _initObjectMaps()
	{
		$this->objectmap['dbtable'] = 'TBL_GROUP_USER';
		$this->objectmap['properties']['user->id'] = 'USER_ID';
		$this->objectmap['properties']['group_id'] = 'GROUP_ID';
	}
}

?>
