<?php
/**
 * IWException
 *
 * @package PACKAGE
 * @subpackage SUBPACKAGE
 * @since Dec 14, 2006
 * @author Martijn van den Broek <martijn@xs4all.nl>
 * @version $Id$
 * @copyright 2006 BaseSoft B.V.
 */

class IWException extends Exception
{
	protected $db;
	protected $langIf;

	function __construct($message, $code=0)
	{
		$this->db = IWRegistry::registry('db');
		$this->langIf = IWRegistry::registry('langIf');

		parent::__construct($message, $code);
	}
}

class IWUserException extends IWException {}

class IWAJAXPermissionException extends IWException {}
?>
