<?php
/**
 * @package I-Ware
 */
Class Country
{

	var $country_id;
	var $country_name;
	var $country_code;
	var $db;
	var $target_db = 0;

	Function Country($db)
	{
		$this->db = $db;
		$this->target_db = $db;
		$this->clear();
	}

	Function Fill($country_name, $country_code="")
	{
		$this->country_name = $country_name;
		$this->country_code = $country_code;
	}

	Function addNew()
	{
		$sql = "INSERT INTO TBL_COUNTRY ( COUNTRY_NAME, COUNTRY_CODE ) VALUES " ;
		$sql .= " ('$this->country_name','$this->country_code')";

		$ex = $this->db->query($sql);
		if ( $ex->execute() ) { return $ex->lastid(); }
		else { return -1; }
	}

	function addOrUpdate()
	{
		// WAZIG! Er stond dus : ( $this->country_name != "" ) && ( $this->country_name != "" )
		//  Lekker nuttig
		if(( $this->country_name != "" ) && ( $this->country_code != "" ))
			$sql = "SELECT COUNTRY_ID FROM TBL_COUNTRY WHERE COUNTRY_NAME = ? AND COUNTRY_CODE = ?";
		elseif( $this->country_name != "" )
			$sql = "SELECT COUNTRY_ID FROM TBL_COUNTRY WHERE COUNTRY_NAME = ? ";
		elseif( $this->country_code != "" )
			$sql = "SELECT COUNTRY_ID FROM TBL_COUNTRY WHERE COUNTRY_CODE = ? ";
		else
			$sql = "SELECT COUNTRY_ID FROM TBL_COUNTRY WHERE COUNTRY_NAME = ? AND COUNTRY_CODE = ?";
		$ex = $this->db->query($sql);
		if(( $this->country_name != "" ) && ( $this->country_code != "" ))
			$ex->bind_values(array($this->country_name,$this->country_code));
		elseif( $this->country_name != "" )
			$ex->bind_values(array($this->country_name));
		elseif( $this->country_code != "" )
			$ex->bind_values(array($this->country_code));
		else
			$ex->bind_values(array($this->country_name,$this->country_code));
		$ex->execute();

		if ($row = $ex->fetch())
		{
			$country_id = $row->{"COUNTRY_ID"};
//			$this->update($country_id);
			return $country_id;
		}
		else
			return $this->addNew();
	}

	Function Update($country_id)
	{
		$sql = "UPDATE TBL_COUNTRY SET COUNTRY_NAME = '$this->country_name',";
		$sql .= " COUNTRY_CODE = '$this->country_code'";
		$sql .= " WHERE COUNTRY_ID = $country_id";
		$ex = $this->db->query($sql);

		if ($ex->execute() ) { return 1; }
		else { return -1; }
	}

	Function Remove($country_id)
	{
		$sql = "DELETE FROM TBL_COUNTRY WHERE COUNTRY_ID = $country_id" ;
		$ex = $this->db->query($sql);
		if ($ex->execute() ) { return 1;}
		else { return -1; }
	}


	Function Fetch($orderBy = "")
	{
		$sql = "SELECT * FROM TBL_COUNTRY";
		if ($orderBy != "")
			$sql .= " ORDER BY ".$orderBy;
		$ex = $this->db->query($sql);
		if ($ex->execute() ) { return $ex; }
	    else { return false; }
	}

	Function FetchTnt($orderBy = "")
	{
		$sql = "SELECT * FROM TBL_COUNTRY WHERE COUNTRY_LOGIN = '1'";
		if ($orderBy != "")
			$sql .= " ORDER BY ".$orderBy;
		$ex = $this->db->query($sql);
		if ($ex->execute() ) { return $ex; }
	    else { return false; }
	}

	Function set($country_id)
	{
		$sql = "SELECT * FROM TBL_COUNTRY WHERE COUNTRY_ID = $country_id";
		$ex = $this->db->query($sql);
		if ($ex->execute() )
		{
			$tbl = $ex->fetch();
			$this->country_name = $tbl->{'COUNTRY_NAME'};
			$this->country_id = $tbl->{'COUNTRY_ID'};
			$this->country_code = $tbl->{'COUNTRY_CODE'};
			return true;
		}
		else
		{
			return false;
		}
	}

	function copyCountry($country_id, $copyMode = CP_COPY_NEW)
	{
		$this->set($country_id);
		if ($copyMode == CP_COPY_NEW)
		{
			$sql = "INSERT INTO TBL_COUNTRY (COUNTRY_NAME, COUNTRY_CODE) VALUES (?, ?)";
			$ex = $this->target_db->query($sql);
			$ex->bind_values(array($this->country_name, $this->country_code));
		}
		else
		{
			$sql = "SELECT COUNTRY_ID FROM TBL_COUNTRY WHERE COUNTRY_ID=?";
			$ex = $this->target_db->query($sql);
			$ex->bind_values (array($country_id));
			if ($ex->execute() && $ex->rows() > 0)
			{
			}
			else
			{
				$sql = "INSERT INTO TBL_COUNTRY (COUNTRY_ID, COUNTRY_NAME, COUNTRY_CODE) VALUES (?, ?, ?)";
				$ex = $this->target_db->query($sql);
				$ex->bind_values(array($this->country_id, $this->country_name, $this->country_code));
			}
		}
		if ($ex->execute())
		{
			if ($copyMode == CP_COPY_NEW)
				$this->country_id = $ex->lastid();
			return $this->country_id;
		}
		else
			return false;
	}

	// Function to check wether country already exists otherwise add it.
	Function ProcessName()
	{
		$sql = "SELECT * FROM TBL_COUNTRY WHERE COUNTRY_NAME = '$this->country_name'";
		$ex = $this->db->query($sql);

		if ( $ex->execute() && $tbl = $ex->fetch() )
			{
				;
				return $tbl->{'COUNTRY_ID'};
			}
		else
			{
				$sql = "INSERT INTO TBL_COUNTRY (COUNTRY_NAME) VALUES ('$this->country_name') ";
				$ex = $this->db->query($sql);

				if ($ex->execute() )
				{
					return $this->Return_Max_ID();
				}
				else
				{
					return false;
				}
			}
	}



	Function Return_Max_ID()
	{
	$ex = $this->fetch();
	return $ex->lastid();
	}

	Function Clear()
	{
		$this->country_id = 0;
		$this->country_name = "";
		$this->country_code = "";

	}

	function getCountries($orderBy = "")
	{
		$sql = "SELECT COUNTRY_ID, COUNTRY_NAME, COUNTRY_CODE FROM TBL_COUNTRY";
		if ($orderBy != "")
			$sql .= " ORDER BY $orderBy";
		$ex = $this->db->query($sql);
		if ($ex->execute())
			return $ex;
		else
			return false;
	}
}

?>
