<?php
/**
 * File description
 *
 * @package PACKAGE
 * @subpackage SUBPACKAGE
 * @since Nov 28, 2006
 * @author Martijn van den Broek <martijn@xs4all.nl>
 * @version $Id$
 * @copyright 2006 BaseSoft B.V.
 */

function getCRSOProducts(&$broker)
{
	$params = $broker->params;
	global $db, $langIf;

	require_once(ELC_CLASSES.'CRSOProduct.php');
	$cp = new CRSOProduct($db);
	$q = $cp->getProducts((int) $params['crsoid']);

	while ($r = $q->fetch())
		$rv[$r->PRODUCT_ID] = $r->PRODUCT_NAME;

	return $rv;
}

function getProductCategoryFee(&$broker) {

	$params = $broker->params;
	global $db, $langIf;

	require_once(ELC_CLASSES.'ProductFee.php');

	$pcf = new ProductCategoryFee($db);
	$fee = $pcf->getFee($params['categoryid'],$params['crsoid'], $params['period']);

	if(isset($params['category_description'])) {
		require_once(ELC_CLASSES.'ProductCategory.php');
		$pc = new ProductCategory($db, $params['categoryid'], true);
		return array($fee, $pc->description);
	}
	return $fee;
}

?>
