<?php
require_once(ELC_CLASSES.'RemoteViewer.php');
class RemoteViewerHandler extends IWAbstractRPC {

	static function sanitize_params($method, $params)
	{
		if ($method == 'saveData')
			return $params;
		else
			return parent::sanitize_params($method, $params);
	}

	static function loadData($id) {

		$rv = new RemoteViewer(IWRegistry::registry('db'));
		return $rv->getLatestBody($id, $_SESSION['crso_relation_id']);

	}

	static function saveData($body) {
		$rv = new RemoteViewer(IWRegistry::registry('db'));
		return $rv->saveBody($body, $_SESSION['selected_participant_id'], $_SESSION['session_user_id']);

	}
}

?>