
/**
 * class NewWindow
 * @version $Id: popup_window.js 34 2005-04-12 10:47:34Z Martijn van den Broek $
*/

function NewWindow(width, height)
{
	this.width  = width;
	this.height = height;

	this.center_me = true;

	this.name = 'myNewWindow';
	this.src = 'about:blank';

	this._scrollbars = false;
}

NewWindow.prototype.setName = function(name)
{
	this.name = name;
}

NewWindow.prototype.setSource = function(src)
{
	this.src = src;
}

NewWindow.prototype.setName = function(name)
{
	this.name = name;
}

NewWindow.prototype.setScrollbars = function(bBool)
{
	this._scrollbars = bBool;
}


NewWindow.prototype.open = function()
{
	var screenWidth  = window.screen.width;
	var screenHeight = window.screen.height;

	var windowPosX = Math.round((screenWidth / 2)  - (this.width / 2));
	var windowPosY = Math.round((screenHeight / 2) - (this.height / 2));

	var windowfeatures = 'status=no, ' +
	                     'resizable=yes, ' +
	                     'menubar=yes, ' +
	                     'scrollbars='+(this._scrollbars?'yes':'no')+',' +
	                     'status=no,' +
	                     'titlebar=no, ' +
	                     'toolbar=no, ' +
	                     'width=' + this.width + ', ' +
	                     'height=' + this.height + ', screenX=1, screenY=1';

	var win = window.open(this.src, this.name, windowfeatures);

	if (this.center_me)
		win.moveTo(windowPosX, windowPosY);

	win.focus();

	return win;
}
