
/**
 * Opens a file select editor
 * @param return_element
 * @param chroot path
 * @param initpath
 * @param filtertypes
 */

/**
 * <code>
 * 	var o = new OpenDialog(el, [].append({'init_path':'/upload/', 'filter_types':'txt'}) );
 * </code>
 */
function OpenDialog(return_element, props)
{
	if (typeof props == 'undefined')
		this.props = new Array();
	else
		this.props = props;

	this.return_element = return_element;
}

/**
 * @depricated use constructor or set in props
 */
OpenDialog.prototype.setChroot = function(chroot)
{
	this.props['chroot'] = chroot;
}

/**
 * @depricated use constructor or set in props
 */
OpenDialog.prototype.setInitPath = function(initPath)
{
	this.props['init_path'] = initPath;
}

/**
 * @depricated use constructor or set in props
 */
OpenDialog.prototype.setFilterTypes = function(filterTypes)
{
	this.props['filter_types'] = filterTypes;
}

OpenDialog.prototype.open = function()
{
	if (!String.prototype.URLEncode)
		alert('String.prototype.URLEncode not found, make sure string.object.js is included');

	if (typeof IWARE_SCRIPTS == 'undefined')
		var url = '../../../../../scripts/i-w/open_dialog/open_dialog.php';  //-- relative from tinymce
	else
		url = IWARE_SCRIPTS + 'open_dialog/open_dialog.php';

	if (!this.props['filter_types'])
		this.props['filter_types'] = 'jpg;png;gif';

	url += '?params=' + serialize(this.props).URLEncode();

	this.win = new NewWindow(630, 380);
	this.win.setSource( url );
	this.win.setName( 'filebruiser' );

	var w = this.win.open();
	w.return_element = this.return_element;

}
