<?php
/**
 * @package I-Ware
 * @subpackage includes
 * @version $Id: mjbroek.php 3521 2006-08-07 08:40:26Z Martijn van den Broek $
 */
define ('APPLICATION_ID', 60 ); //ELC
//define ('APPLICATION_ID', 10 ); //I-Survey
//define ('APPLICATION_ID', 20 ); //IQADMIN

//DB Server
$dba_driver		=	'MySQL';
$sql_server		=	'127.0.0.1';

define('SITE_SERVER', $_SERVER['HTTP_HOST'].'/');
define('SITE_HOMEDIR', '/home/mjbroek/');

// Users
$dba_user = 'i-questionnaire';
$dba_user_edit = 'i-questionnaire';
$dba_password = 'basesoft';
$dba_password_edit = 'basesoft';

//Common settings
define('ERROR_NO_FRIENDLY', true);
define('ERROR_LEVEL', E_ALL);

//DB's
switch ( APPLICATION_ID )
{
	case 20:
		$site_title = 'IQ Admin';
		$dba_name = 'IQ_ADMIN';
		define('LOGOUT_PAGE', 'scripts/i-w/loginscreen.php');
		define('SITE_PATH', '~mjbroek/svn/iqadmin/');
		define('SESSION_HANDLER', true);
		define('XHTML_HEADER', SITE_HOMEDIR.SITE_PATH.'scripts/i-a/default/xhtml_header.php');
		define('XHTML_FOOTER', SITE_HOMEDIR.SITE_PATH.'scripts/i-a/default/xhtml_footer.php');
		define('IF_DB', 'db_iware');
		define('APP_PATH', 'i-a');
		define('CLASS_PREFIX', 'i-a');
		define('NO_ACCESS_PAGE', 'scripts/i-w/no_access.php');
	break;

	case 60: //ELC
		$dba_name = 'IQ_ELC_MARTIJN';
		//$dba_name = 'IQ_ELC_STABLE_TEST';
		define('IF_DB', 'db_iware');
		define('SITE_PATH', '~mjbroek/svn/iqelc_current/');
		define('WRITABLE', '/home/mjbroek/writable/');
		define('APC_SUFFIX', 'v1.4.0dev');
		//define('IF_DB', 'db_iware');
		define('TEST_SITE', true);
		//define('VAT_CHECKER_URL_VIES', 'http://ec.europa.eu:80/taxation_customs/vies/cgi-bin/viesquer/?VAT=%s&MS=%s&Lang=EN');
		define('VAT_CHECKER_URL_VIES', 'http://localhost/~mjbroek/svn/iqelc_current/tests/phpunit/i-w/FormbehaviourVatHelper.php?VAT=%s&MS=%s&Lang=EN');
		require_once(SITE_HOMEDIR.SITE_PATH.'includes/i-w/site-settings/defaults_elc.php');
	break;

	case 30:
		//Interclean
		$dba_name		=	'INTERCLEAN_KP';
		$site_title     =   'Intersoft';

		//IntercleanDB
		$dba_name_interclean = 'INTERCLEAN_KP';
		$dba_user_interclean = 'interclean';
		$dba_password_interclean = 'basesoft';

		define('LOGOUT_PAGE', 'scripts/interclean/login.php');
		define('SITE_PATH', '~mjbroek/svn/interclean/');
	break;
	case 10: //I-Survey
	default:
		$db_prefix = 'IS_BOOM';
		$dba_name = $db_prefix.'_EDIT';
		$dba_publish = $db_prefix.'_PUBLISH';
		$dba_history = $db_prefix.'_HISTORY';

		define('LOGOUT_PAGE', 'scripts/i-w/logout.php');
		define('SITE_PATH', '~mjbroek/i-survey/');
	break;
}

// are these still used?
$class_dir		=	SITE_HOMEDIR.SITE_PATH.'classes/i-w/';
$root_dir		=	SITE_HOMEDIR;
$data_dir       =   SITE_HOMEDIR.SITE_PATH.'data/i-w/';
$image_dir      =   SITE_HOMEDIR.SITE_PATH.'images/graph/';

?>
