<?php
require_once(INTERFACES.'elc/common/InterfaceParticipantRegistrationCommon.php');
/**
 * @package ELC
 * @subpackage Interface
 * @author Marten Koedam <marten@basesoft.com>
 * @author Martijn van den Broek <martijn@basesoft.com>
 * @copyright (2005) BaseSoft B.V.
 * @since 20-01-2005
 * @version $Id$
 */
class InterfaceParticipantRegistration extends InterfaceParticipantRegistrationCommon
{
	var $thrownException = '';
	function InterfaceParticipantRegistration($db, $db_app, $langIf)
	{
		if (!isset($_SESSION['public']['crso']['id']) && !isset($_REQUEST['crso']['id']) )
		{
			header('Location: index.php');
			exit();
		}

		$this->crso_id = isset($_REQUEST['crso']['id']) ? $_REQUEST['crso']['id'] : $_SESSION['public']['crso']['id'];
		parent::InterfaceParticipantRegistrationCommon($db, $db_app, $langIf);
	}
	/**
	 * Loads the class for the blocks and items
	 */
	function loadClasses($interface_id)
	{
		$this->id = $interface_id;
		$this->classPrefix = 'InterfaceParticipantRegistration';
		$this->appPath = 'elc/public/';
	}
}
class InterfaceParticipantRegistrationBlock extends InterfaceParticipantRegistrationCommonBlock{}
class InterfaceParticipantRegistrationItem extends InterfaceParticipantRegistrationCommonItem{}
?>
