<?php
require_once(INTERFACE_OBJ."InterfaceFactory.php");

require_once(ELC_CLASSES.'Product.php');
require_once(ELC_CLASSES.'ProductCategory.php');
/**
 *
 *
 * @package ELC
 * @subpackage Interface
 * @author Marten Koedam <marten@basesoft.com>
 * @copyright (2005) BaseSoft B.V.
 * @version $Id$
 */
class InterfaceProductCategory extends InterfaceFactory
{
	function InterfaceProductCategory($db, $db_app, $langIf)
	{
		$this->FirstColWidth = 25;
		$this->delimiter = '<br />';
		parent::InterfaceFactory($db, $db_app, $langIf);
	}
	/**
	 *
	 */
	function processInput(&$thrownException)
	{
		if(isset($_POST['process']))
		{
			if($_POST['process'] == 'save')
			{
				$pg = new ProductCategory($this->db_app,$_POST['product_category']);
				$pg->product = new Product($this->db_app,$_POST['product']);
				$pg->insert();
			}
		}
	}
}

class InterfaceProductCategoryItem extends InterfaceItem
{
	/**#@+
	 * Callback functions made from InterfaceItem
	 */
	/**
	 *
	 */
	function getProductSelect()
	{
		$this->options = array(array('value'=>'','text'=>'- '.$this->langIf->getText('Select Product').' -'));
		$p = new Product($this->db_app);
		$q = $p->get();
		$i = 1;
		$rs = $q->fetchAll();
		foreach($rs as $r)
		{
			$this->options[$i] = array('value'=>$r->PRODUCT_ID,'text'=>$r->NAME);
			if(count($rs)==1)
				$this->options[$i]['selected'] = 'selected';
			$i++;
		}
	}
	/**
	 *
	 */
	function getButtons()
	{
		$this->_BarButtons = BUTTON_SAVE+BUTTON_CANCEL;
	}
	/**#@-*/
}