<?php
require_once(INTERFACE_OBJ.'InterfaceFactory.php');
/**
 * Managable interface for Public Documents.
 * @todo FINISH ME!
 *
 * @package ELC
 * @subpackage Interface
 * @since 27-02-2006
 * @author Marten Koedam <marten@basesoft.com>
 * @copyright 2006 BaseSoft B.V.
 * @version $Id$
 */
class InterfacePublicDocument extends InterfaceFactory
{
    /**
     * interface[id] = 77
     * @param $db Database (I_WARE_SETTINGS)
     * @param $db_app Database (APPLICATION DATABASE)
     * @param $langIf LanguageInterface
     */
    function InterfacePublicDocument(&$db, &$db_app, &$langIf)
    {
        parent::InterfaceFactory($db, $db_app, $langIf);
        $this->FirstColWidth = 25;
        $this->delimiter = '<br />';
    }
    /**
     * @param string $thrownException
     */
    function processInput(&$thrownException)
    {

    }
}
/**
 * @package ELC
 * @subpackage Interface
 * @since 27-02-2006
 * @copyright 2006 BaseSoft B.V.
 * @version $Id$
 */
class InterfacePublicDocumentItem extends InterfaceItem
{

    /**
     * item[705] =
     */
    function getPublicDocuments()
    {
		require_once(IWARE.'table_factory.php');
		require_once(ELC_CLASSES.'PublicDocument.php');

		$pd = new PublicDocument($this->db_app);
		$tf = new TableFactory($pd->getOverview(),$this->langIf);
		$tf->hideColumns(array('PUBLIC_DOCUMENT_ID'));
		$tf->setValueProcessor('DOCUMENT_NAME','return $this->langIf->getText(\'DocumentDesc_\'.$value);');
		$this->text = $tf->getXHTMLTable('Professional',2);
    }

    /**
     * item[706] =
     */
    function getButtons()
    {
    }

}

/**
 * CALLBACK[getPublicDocuments]
 * item[705] = {
 *     [handle] = Item: PublicDocuments
 *     [behaviour] =
 *     [help] = 0
 *     [close_row] = 1
 *     [label_pos] = 4
 *
 * CALLBACK[getButtons]
 * item[706] = {
 *     [handle] = Item: ButtonBar
 *     [behaviour] =
 *     [help] = 0
 *     [close_row] = 1
 *     [label_pos] = 4
 *
 */
?>
