<?php
/**
 * Script that serves the WEEEBlackbox.wsdl for accountants
 * @copyright 2006 BaseSoft B.V.
 */

/**
 * Check if we are doing a phpunit test and load the correct init file. The init
 * file should contain the SOAP_ADDRESS define which connects to the right
 * database. This is different for phpunit.
 */

$phpunit = isset($_REQUEST['phpunit']) && $_REQUEST['phpunit'];
if ($phpunit)
{

	define('WE_DONT_WANT_PHPUNIT', 'no it segfaults apache+apc');
	require_once('../../../tests/phpunit/i-w/IW_TestCase.php');
	$soap_address = 'http://'.SITE_SERVER.SITE_PATH.'tests/phpunit/elc/SoapServerAccountant.php?phpunit=1';
}
else
{
	$noValidate = true;
	define('NO_BROWSER_CHECK', true);
	require_once('../../i-w/default/init.php');
	$soap_address = defined('SOAP_END_POINT_ACCOUNTANT') ? SOAP_END_POINT_ACCOUNTANT : 'http://'.SITE_SERVER.SITE_PATH.'SoapServerAccountant.php';
}


// read in file
$wsdl_xml = file_get_contents(dirname(__FILE__). '/WEEEBlackboxAccountant.wsdl');

// put code here to replace anything
$wsdl_xml = str_replace(
	'{SOAP_ADDRESS}',
	$soap_address,
	$wsdl_xml);

// spit it out
header('Content-Type: application/xml; charset=UTF-8');
echo $wsdl_xml;

?>