<?php
/**
 * Created on Jan 18, 2008
 *
 * @author Nicoleta Militaru <nicoleta@basesoft.com>
 *
 * this imports all participants ea registartion data from xml to db.
 *
 **/

error_reporting(E_ALL);
restore_error_handler();

$params = array (
	'site-settings' => ''
);

foreach ($params as $varname => $bitbucket)
	foreach ($argv as $arg)
		if (preg_match('/--' .
			$varname . '=([^ ].*)/', $arg, $match))
			$params[$varname] = $match[1];

if (empty ($params['site-settings']))
{
	echo "please supply --site-settings=\n";
	exit (1);
}

$_REQUEST = array ();
$_SERVER = array (
	'SCRIPT_NAME' => $argv[0],
	'SERVER_NAME' => $params['site-settings'],
	'HTTP_USER_AGENT' => 'Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8.0.2) Gecko/20060308 Firefox/1.5.0.2',
	'REMOTE_ADDR' => '127.0.0.1',
	'HTTP_HOST' => $params['site-settings'],
	'DOCUMENT_ROOT' => str_replace('scripts/elc/bots',
	'',
getcwd()));

$noValidate = true;
require_once ('../../i-w/default/init.php');

$db = IWRegistry::registry('db');

function import_data($tfile,$db)
	{
		//--- EXCLUDED PRODUCERS -----------------------------------------------
		//add 309 to excluded_pr -> see pwc #721
		$excluded_pr = array('299','264','257','240','267','261','258','292','352','309');
		$excluded_weee = array('299','264','257','240','267','261','258','292','352');
		//----------------------------------------------------------------------

		$export_feb = array('345','416','351','249','318','506','294','288','386','499','486',
			'285','298','331','324','502','356','349','441','236','326','259','309','297','252','300','347');

		$export_nov = array('321','241','237','243','232','244','238','247','251','256','306',
			'245','233','254','260','278','265','307','231','255','234','239','323','248','246','242','253','319');

		$export_may = array('502', '248', '614', '630', '654', '666', '672');

		$uk_exports_folder = WRITABLE . 'uk_exports/';

		$file = basename($tfile);

		if(strlen($file) != 7)
			return false;

		$file = substr($file,0,3);

		$sql = "SELECT PARTICIPANT_RELATION_ID,PRODUCER_REG_NO FROM TBL_CRSO_PARTICIPANT WHERE CRSO_RELATION_ID=163
				AND PARTICIPANT_RELATION_ID = ". $file;
		$q = $db->query($sql);
		$q->execute();
		if(!$r= $q->fetch())
			return false;

		//we also have to check if it was exported so I use the last export
		//$check_xml = file_get_contents($uk_exports_folder.'exports/20080206154211/WEEMP3838PRSCH20080206_RETURN.XML');
		$check_xml = file_get_contents($uk_exports_folder.'exports/20080425112713/WEEMP3838PRSCH20080425_RETURN.XML');

		$cdate = date('Y-m-d H:i:s');
		$pr_date = '2007-11-15 10:00:00';
		$pr_export_date = '2007-11-16 11:00:01';

		$pattern = '/^((WEE\/)[A-Z]{2}[0-9]{4}[A-Z]{2})?$/';
		$pattern_postCode = '/^[A-Z]{1,2}[0-9R][0-9A-Z]? [0-9][A-Z]{2}$/';

		$has_prn = false;
		$weee_exported = false;
		$pr_exported = false;
		if(preg_match($pattern,$r->PRODUCER_REG_NO) > 0)
		{
			$has_prn = true;
			if(strpos($check_xml,$r->PRODUCER_REG_NO) >0)
				$weee_exported ='2008-04-25 11:27:13';
		}

		$sql = "
			INSERT INTO TBL_UK_REGISTRATION_DATA
			 (  CRSO_RELATION_ID,PARTICIPANT_RELATION_ID,TRADING_NAME,ANNUAL_TURNOVER,LOGO,CFN_TITLE,CFN_FORENAME,
                CFN_SURNAME,CFN_PHONE,CFN_MOBILE,CFN_FAX,CFN_EMAIL,CFN_BUILDING_NO,CFN_BUILDING,CFN_STREET,
				CFN_LOCALITY,CFN_CITY,CFN_COUNTRY,CFN_POSTAL_CODE,CFN_ADMINISTRATIVE_AREA,BUSINESS_TYPE,
				BUSINESS_NAME,BUSINESS_NUMBER,BUSINESS_PERSON_TITLE,BUSINESS_PERSON_FORENAME,BUSINESS_PERSON_SURNAME,
				BUSINESS_PHONE,BUSINESS_MOBILE,BUSINESS_FAX,BUSINESS_EMAIL,BUSINESS_BUILDING_NO,
				BUSINESS_BUILDING,BUSINESS_STREET,BUSINESS_LOCALITY,BUSINESS_CITY,BUSINESS_COUNTRY,
				BUSINESS_POSTAL_CODE,BUSINESS_ADMINISTRATIVE_AREA,PR_STATUS,WEEE_STATUS,CREATED,LAST_UPDATE,
				LAST_EXPORTED_PR,LAST_EXPORTED_WEEE
			)
			VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";

		$params = array();
		$params[] = '163';
		$params[] = $file;

		$data = file_get_contents($tfile);
		$data = str_replace('weee:','',$data);
		if(strpos($data,'<scheme') == FALSE)
			return false;

		$xml = new SimpleXMLElement($data);
		$producer = $xml->producerList->producer;

		$params[] = $producer->tradingName;

		if(in_array($file,$export_may) || in_array($file,$export_feb) || in_array($file,$export_nov))
			$pr_exported = $cdate;
		$params[] = $producer->annualTurnover;

		//logo
		$logo = true;
		if(!is_dir($uk_exports_folder . 'logo/'.$file))
		{
			mkdir($uk_exports_folder.'logo/'.$file);
			chmod($uk_exports_folder.'logo/'.$file,0777);
		}
		if(is_file($uk_exports_folder.'images/'.(int)$producer->producerIdentificationMark->graphic.'.jpg'))
		{
			rename($uk_exports_folder.'images/'.(int)$producer->producerIdentificationMark->graphic.'.jpg',
					$uk_exports_folder.'logo/'.$file.'/'.(int)$producer->producerIdentificationMark->graphic.'.jpg');

			if($file == '236')
			{
				rename($uk_exports_folder.'images/'.(int)$file.'.jpg',
					$uk_exports_folder.'logo/'.$file.'/236.jpg');
				$params[] = '236.jpg';
			}
			else
				$params[] = (int)$producer->producerIdentificationMark->graphic.'.jpg';
		}
		else
		if(is_file($uk_exports_folder.'images/'.(int)$file.'.jpg'))
		{
			rename($uk_exports_folder.'images/'.(int)$file.'.jpg',
					$uk_exports_folder.'logo/'.$file.'/'.(int)$producer->producerIdentificationMark->graphic.'.jpg');
			$params[] = (int)$producer->producerIdentificationMark->graphic.'.jpg';
		}
		else
		{
			$params[] = '';
			$logo = false;
		}

		$is_partnership = false;
		$has_sic = false;

		if(isset($producer->SICCodeList->SICCode[0]) && !empty($producer->SICCodeList->SICCode[0]))
			$has_sic = true;

		$cfn = $producer->producerBusiness->correspondentForNotices->contactDetails;

		$params[] = $cfn->title;
		$params[] = $cfn->forename;
		$params[] = $cfn->surname;
		$params[] = $cfn->phoneLandLine;
		$params[] = $cfn->phoneMobile;
		$params[] = $cfn->fax;
		$params[] = $cfn->email;
		$params[] = $cfn->address->primaryName;
		$params[] = $cfn->address->secondaryName;
		$params[] = $cfn->address->secondaryName;
		$params[] = $cfn->address->locality;
		$params[] = $cfn->address->town;
		$params[] = $cfn->address->postTown;
		//see if postCode validates
		if(preg_match($pattern_postCode,$cfn->address->postCode) > 0)
			$params[] = $cfn->address->postCode;
		else
		{
			$right = substr($cfn->address->postCode,-3);
			$left = substr($cfn->address->postCode,0,-3);
			$pc = $left." ".$right;
			$params[] = $pc;
		}
		$params[] = $cfn->address->administrativeArea;

		if(isset($producer->producerBusiness->company->companyName) && !empty($producer->producerBusiness->company->companyName))
		{
			$params[] = 1;
			$business = $producer->producerBusiness->company;
			$name = $business->companyName;
			$number = substr($business->companyNumber,-8);
			$cd = $business->registeredOffice->contactDetails;
		}
		else
		{
			$params[] = 2;
			$business = $producer->producerBusiness->partnership;
			$name = $business->partnershipName;
			$number = '';
			$is_partnership = true;
			$cd = $business->principalPlaceOfBusiness->contactDetails;
		}

		$params[] = $name;
		$params[] = $number;
		$params[] = $cd->title;
		$params[] = $cd->forename;
		$params[] = $cd->surname;
		$params[] = $cd->phoneLandLine;
		$params[] = $cd->phoneMobile;
		$params[] = $cd->fax;
		$params[] = $cd->email;
		$params[] = $cd->address->primaryName;
		$params[] = $cd->address->secondaryName;
		$params[] = $cd->address->secondaryName;
		$params[] = $cd->address->locality;
		$params[] = $cd->address->town;
		$params[] = $cd->address->postTown;
		//see if postCode validates
		if(preg_match($pattern_postCode,$cd->address->postCode) > 0)
			$params[] = $cd->address->postCode;
		else
		{
			$right = substr($cd->address->postCode,-3);
			$left = substr($cd->address->postCode,0,-3);
			$pc = $left." ".$right;
			$params[] = $pc;
		}
		$params[] = $cd->address->administrativeArea;

		//pr
		if(in_array($file,$excluded_pr))
		{
			if($has_prn)
				$params[] = 4;
			else
				$params[] = 3;
		}
		else
			if(in_array($file,$export_may))
			{
				$params[] = 9;
				$pr_export_date = '2008-05-30 12:02:35';
				$pr_date = '2008-05-28 13:02:35';
			}
			else
				if(in_array($file,$export_feb))
				{
					$params[] = 9;
					$pr_export_date = '2008-02-26 11:30:23';
					$pr_date = '2008-02-25 16:21:21';
				}
				else
					if(in_array($file,$export_nov))
						$params[] = 9;
					else
						$params[] = 1;

		//weee
		if(in_array($file,$excluded_weee))
			$params[] = 3;
		else
		{
			if($has_prn)
				$params[] = 2;
			else
				$params[] = 1;
		}
		$params[] = $pr_date;
		$params[] = $pr_date;

		if($pr_exported)
			$params[] = $pr_export_date;
		else
			$params[] = '';
		if($weee_exported)
			$params[] = $weee_exported;
		else
			$params[] = '';

		$q = $db->query($sql);
		$q->bind_values($params);
		$q->execute();

		if($is_partnership)
		{
			$sql = "
				INSERT INTO TBL_UK_PARTNER_NAME
					(CRSO_RELATION_ID,PARTICIPANT_RELATION_ID,PARTNER_NAME)
				VALUES (?,?,?)";

			foreach($business->partnershipList->partner as $partner)
			{
				$q = $db->query($sql);
				$q->bind_values('163',$file,$partner);
				$q->execute();
			}
		}

		if($has_sic)
		{
			$sql = "
				INSERT INTO TBL_UK_SIC_CODE
					(CRSO_RELATION_ID,PARTICIPANT_RELATION_ID,SIC_CODE)
				VALUES (?,?,?)";

			foreach($producer->SICCodeList->SICCode as $siccode)
			{
				$q = $db->query($sql);
				$q->bind_values('163',$file,$siccode);
				$q->execute();
			}
		}
		return true;
	}

// -------------------------------------------------------------------------------------

	function rename_images($folder)
	{
		$handle = opendir($folder);

		while (false !== ($file = readdir($handle)))
		if ($file != "." && $file != "..")
		{
			if(strpos($file,'_'))
				$new_file =substr($file,0,strpos($file,'_')).'.jpg';
			else $new_file = $file;
			//this is a correction
			if($new_file == '5215.jpg')
				$new_file = '6495.jpg';
			rename($folder.$file,$folder.$new_file);
		}

	}

// -------------------------------------------------------------------------------------
function importWeee($db,$report_id,$report,$settings_file)
{
	if($report_id <> 1)
	{
		$data = file_get_contents($settings_file);
		$xml = new SimpleXMLElement($data);
		//$prod_id = array();
		foreach($xml->producer as $producer)
		{
			$sql = "INSERT INTO TBL_UK_REPORT_DATA (REPORT_ID,CRSO_RELATION_ID,PARTICIPANT_RELATION_ID,PR_STATUS,WEEE_STATUS)
				VALUES (?,?,?,?,?)";
			$q = $db->query($sql);
			$q->bind_values($report_id,'163',$producer->relation_id,$producer->reg_status,$producer->actuals_status);
			$q->execute();
			//$prod_id[$producer->registrationNO] = $producer->relation_id;
		}
	}
	$data = file_get_contents($report);
	$data = str_replace('weee:','',$data);
	$xml = new SimpleXMLElement($data);

	$lamps_b2b = 0;
	$lamps_b2c = 0;

	$light_b2b = 0;
	$light_b2c = 0;

	$monit_b2b = 0;
	$monit_b2c = 0;

	foreach($xml->ProducerList->Producer as $producer)
	{
		$sql = "SELECT PARTICIPANT_RELATION_ID FROM TBL_CRSO_PARTICIPANT WHERE CRSO_RELATION_ID=? AND PRODUCER_REG_NO=?";
			$q = $db->query($sql);
			$q->bind_values('163',$producer->RegistrationNo);
			$q->execute();
			$r = $q->fetch();
			$pid = $r->PARTICIPANT_RELATION_ID;

		//for Q3 2007 we don't have the settings file, so i'll get only the reported producers
		if($report_id == 1)
		{

			$sql = "INSERT INTO TBL_UK_REPORT_DATA (REPORT_ID,CRSO_RELATION_ID,PARTICIPANT_RELATION_ID,PR_STATUS,WEEE_STATUS)
				VALUES (?,?,?,?,?)";
			$q = $db->query($sql);
			$q->bind_values($report_id,'163',$pid,'9','2');
			$q->execute();
		}

		$sql = "SELECT REPORT_DATA_ID FROM TBL_UK_REPORT_DATA WHERE REPORT_ID=? AND PARTICIPANT_RELATION_ID=?";
		$q = $db->query($sql);
		//if($report_id == 1)
			$q->bind_values($report_id,$pid);
		///else
			//$q->bind_values($report_id,$prod_id[$producer->RegistrationNo]);
		$q->execute();
		$r = $q->fetch();
		$rdid = $r->REPORT_DATA_ID;

		$sql = " INSERT INTO TBL_UK_REPORT_DATA_LINE (REPORT_DATA_ID,PRODUCT_ID,OBLIGATION_TYPE,TONNAGE)
					VALUES(?,?,?,?)";
		$q = $db->query($sql);


		foreach($producer->Return as $return)
		{
			if($return->CategoryName == 'Gas Discharge Lamps')
			{
				if($return->ObligationType == 'B2C')
					$q->bind_values($rdid,1,1,(float)$return->TonnesReturnValue);
				else
					$q->bind_values($rdid,1,2,(float)$return->TonnesReturnValue);
			}
			if($return->CategoryName == 'Lighting Equipment')
			{
				if($return->ObligationType == 'B2C')
					$q->bind_values($rdid,2,1,(float)$return->TonnesReturnValue);
				else
					$q->bind_values($rdid,2,2,(float)$return->TonnesReturnValue);
			}
			if($return->CategoryName == 'Monitoring and Control Instruments')
			{
				if($return->ObligationType == 'B2C')
					$q->bind_values($rdid,3,1,(float)$return->TonnesReturnValue);
				else
					$q->bind_values($rdid,3,2,(float)$return->TonnesReturnValue);
			}
			$q->execute();
		}
	}
	echo " Data report $report_id import - success \n\r";
}

// -------------------------------------------------------------------------------------

		$folder = WRITABLE . 'uk_exports/';
		//don't delete the old xmls, save them for later check
		$save_xml = $folder.'old_uk_xml/';
		if(!is_dir($save_xml))
			mkdir($save_xml,0777);

		//after copy images folder from related/uk_xml_2008 to writable/uk_exports - rename all files
		rename_images($folder.'images/');


		$handle = opendir($folder);

		while (false !== ($file = readdir($handle)))
		if ($file != "." && $file != "..")
		{
		   	 $xml_file = $folder.$file;
		   	 //this file its empty, so just move it; anyway data is inserted below
		   	 if($file == '347.xml')
		   	 	rename($xml_file,$save_xml.$file);
		   	 else
		   	 if(!is_dir($xml_file))
		   	 {
				 if(import_data($xml_file,$db))
					echo "$xml_file - import ok \n";
				 else
					echo "<b>$xml_file - ERROR </b>\n";
				rename($xml_file,$save_xml.$file);
			 }
		}

		$cdate = date('Y-m-d H:i:s');
		//insert 347 Androv Ltd.
		//Note: they sent company number = DE90221246, but it's too long so I make it 90221246
		$sql = "INSERT INTO TBL_UK_REGISTRATION_DATA
				(  CRSO_RELATION_ID,PARTICIPANT_RELATION_ID,TRADING_NAME,ANNUAL_TURNOVER,LOGO,CFN_TITLE,CFN_FORENAME,
				   CFN_SURNAME,CFN_PHONE,CFN_MOBILE,CFN_FAX,CFN_EMAIL,CFN_BUILDING_NO,CFN_BUILDING,CFN_STREET,
				   CFN_LOCALITY,CFN_CITY,CFN_COUNTRY,CFN_POSTAL_CODE,CFN_ADMINISTRATIVE_AREA,BUSINESS_TYPE,
				   BUSINESS_NAME,BUSINESS_NUMBER,BUSINESS_PERSON_TITLE,BUSINESS_PERSON_FORENAME,BUSINESS_PERSON_SURNAME,
				   BUSINESS_PHONE,BUSINESS_MOBILE,BUSINESS_FAX,BUSINESS_EMAIL,BUSINESS_BUILDING_NO,
				   BUSINESS_BUILDING,BUSINESS_STREET,BUSINESS_LOCALITY,BUSINESS_CITY,BUSINESS_COUNTRY,
				   BUSINESS_POSTAL_CODE,BUSINESS_ADMINISTRATIVE_AREA,PR_STATUS,WEEE_STATUS,CREATED,LAST_UPDATE,
				   LAST_EXPORTED_PR,LAST_EXPORTED_WEEE
				)
				VALUES
				(
				163,347,'Androv Ltd',1000001,'1234.jpg','Mr','Jonathan','Lumley-Kelly','00498232995277','','00498232968069','jk@androv.com',
				'1c','','Siemensstrasse','Unterneitingen','D86836 Augsburg','','CR0 0XZ','',1,'Androv','90221246','Mr','Jonathan','Lumley-Kelly',
				'00498232995277','','00498232968069','jk@androv.com','1c','','Siemensstrasse','Unterneitingen','D86836 Augsburg','','CR0 0XZ',
				'Germany',9,2,'2008-02-25 16:21:21','2008-02-25 16:21:21','2008-02-26 11:30:23','2008-04-25 11:27:13'
				)";
		$q = $db->query($sql);
		$q->execute();

		$sql = "INSERT INTO TBL_UK_SIC_CODE (CRSO_RELATION_ID,PARTICIPANT_RELATION_ID,SIC_CODE)
				VALUES
					(163,347,'31.50'),
					(163,347,'51.43/9')";
		$q = $db->query($sql);
		$q->execute();

		echo "\n347 Androv Ltd. - insert success\n";

		//remove 0000-00-00 dates
		$sql = "UPDATE TBL_UK_REGISTRATION_DATA SET LAST_EXPORTED_WEEE = NULL WHERE LAST_EXPORTED_WEEE='0000-00-00 00:00:00'";
		$q = $db->query($sql);
		$q->execute();
		$sql = "UPDATE TBL_UK_REGISTRATION_DATA SET LAST_EXPORTED_PR = NULL WHERE LAST_EXPORTED_PR='0000-00-00 00:00:00'";
		$q = $db->query($sql);
		$q->execute();

		//insert recycle data foR Q3 2007 (view pwc #558)
		$sql = "INSERT INTO TBL_UK_CRSO_DATA (CRSO_RELATION_ID,`YEAR`,`QUARTER`,`STATUS`,LAST_UPDATE,LAST_EXPORTED)
				VALUES(163,2007,3,4,'2007-11-15 10:00:00','2007-11-16 11:00:00')";
		$q = $db->query($sql);
		$q->execute();
		/*
		$sql = "INSERT INTO TBL_UK_CRSO_DATA_LINE (DATA_ID,TYPE,CATEGORY_NAME,OBLIGATION_TYPE,TONNES,LAST_UPDATE)
				VALUES
					(1,1,1,1,0.000,'2007-11-15 10:00:00'),
					(1,1,2,1,0.000,'2007-11-15 10:00:00'),
					(1,1,3,1,0.000,'2007-11-15 10:00:00'),
					(1,1,1,2,0.000,'2007-11-15 10:00:00'),
					(1,1,2,2,0.000,'2007-11-15 10:00:00'),
					(1,1,3,2,0.000,'2007-11-15 10:00:00'),
					(1,2,1,1,0.000,'2007-11-15 10:00:00'),
					(1,2,1,2,0.000,'2007-11-15 10:00:00'),
					(1,2,2,1,0.000,'2007-11-15 10:00:00'),
					(1,2,2,2,0.000,'2007-11-15 10:00:00'),
					(1,2,3,1,0.000,'2007-11-15 10:00:00'),
					(1,2,3,2,691.81,'2007-11-15 10:00:00'),
					(1,3,1,1,0.000,'2007-11-15 10:00:00'),
					(1,3,1,2,0.000,'2007-11-15 10:00:00'),
					(1,3,2,1,0.000,'2007-11-15 10:00:00'),
					(1,3,2,2,0.000,'2007-11-15 10:00:00'),
					(1,3,3,1,0.000,'2007-11-15 10:00:00'),
					(1,3,3,2,0.000,'2007-11-15 10:00:00'),
					(1,4,1,1,0.000,'2007-11-15 10:00:00'),
					(1,4,1,2,0.000,'2007-11-15 10:00:00'),
					(1,4,2,1,0.000,'2007-11-15 10:00:00'),
					(1,4,2,2,0.000,'2007-11-15 10:00:00'),
					(1,4,3,1,0.000,'2007-11-15 10:00:00'),
					(1,4,3,2,0.000,'2007-11-15 10:00:00')
				";*/
		$sql = "INSERT INTO TBL_UK_CRSO_DATA_LINE (DATA_ID,TYPE,CATEGORY_NAME,OBLIGATION_TYPE,TONNES,LAST_UPDATE)
				VALUES
					(1,1,1,1,0.000,'2007-11-15 10:00:00'),
					(1,1,2,1,0.000,'2007-11-15 10:00:00'),
					(1,1,3,1,0.000,'2007-11-15 10:00:00'),
					(1,1,1,2,0.000,'2007-11-15 10:00:00'),
					(1,1,2,2,0.000,'2007-11-15 10:00:00'),
					(1,1,3,2,0.000,'2007-11-15 10:00:00'),
					(1,2,1,1,0.000,'2007-11-15 10:00:00'),
					(1,2,1,2,0.000,'2007-11-15 10:00:00'),
					(1,2,2,1,0.000,'2007-11-15 10:00:00'),
					(1,2,2,2,0.000,'2007-11-15 10:00:00'),
					(1,2,3,1,0.000,'2007-11-15 10:00:00'),
					(1,2,3,2,991.200,'2007-11-15 10:00:00'),
					(1,3,1,1,0.000,'2007-11-15 10:00:00'),
					(1,3,1,2,0.000,'2007-11-15 10:00:00'),
					(1,3,2,1,0.000,'2007-11-15 10:00:00'),
					(1,3,2,2,0.000,'2007-11-15 10:00:00'),
					(1,3,3,1,0.000,'2007-11-15 10:00:00'),
					(1,3,3,2,16.800,'2007-11-15 10:00:00'),
					(1,4,1,1,0.000,'2007-11-15 10:00:00'),
					(1,4,1,2,0.000,'2007-11-15 10:00:00'),
					(1,4,2,1,0.000,'2007-11-15 10:00:00'),
					(1,4,2,2,0.000,'2007-11-15 10:00:00'),
					(1,4,3,1,0.000,'2007-11-15 10:00:00'),
					(1,4,3,2,576.926,'2007-11-15 10:00:00')
				";
		$q = $db->query($sql);
		$q->execute();
		echo "\nRecycle data for Q3 2007 insert success\n";

		//insert recycle data foR Q4 2007
		$sql = "INSERT INTO TBL_UK_CRSO_DATA (CRSO_RELATION_ID,`YEAR`,`QUARTER`,`STATUS`,LAST_UPDATE,LAST_EXPORTED)
				VALUES(163,2007,4,4,'2008-01-30 17:12:31','2008-02-06 15:42:11')";
		$q = $db->query($sql);
		$q->execute();
		/*
		$sql = "INSERT INTO TBL_UK_CRSO_DATA_LINE (DATA_ID,TYPE,CATEGORY_NAME,OBLIGATION_TYPE,TONNES,LAST_UPDATE)
				VALUES
					(2,1,1,1,0.000,'2008-01-30 17:12:31'),
					(2,1,2,1,0.000,'2008-01-30 17:12:31'),
					(2,1,3,1,0.000,'2008-01-30 17:12:31'),
					(2,1,1,2,0.000,'2008-01-30 17:12:31'),
					(2,1,2,2,0.000,'2008-01-30 17:12:31'),
					(2,1,3,2,0.000,'2008-01-30 17:12:31'),
					(2,2,1,1,0.000,'2008-01-30 17:12:31'),
					(2,2,1,2,0.000,'2008-01-30 17:12:31'),
					(2,2,2,1,0.000,'2008-01-30 17:12:31'),
					(2,2,2,2,0.000,'2008-01-30 17:12:31'),
					(2,2,3,1,0.000,'2008-01-30 17:12:31'),
					(2,2,3,2,679.000,'2008-01-30 17:12:31'),
					(2,3,1,1,0.000,'2008-01-30 17:12:31'),
					(2,3,1,2,0.000,'2008-01-30 17:12:31'),
					(2,3,2,1,0.000,'2008-01-30 17:12:31'),
					(2,3,2,2,0.000,'2008-01-30 17:12:31'),
					(2,3,3,1,0.000,'2008-01-30 17:12:31'),
					(2,3,3,2,24.000,'2008-01-30 17:12:31'),
					(2,4,1,1,0.000,'2008-01-30 17:12:31'),
					(2,4,1,2,0.000,'2008-01-30 17:12:31'),
					(2,4,2,1,0.000,'2008-01-30 17:12:31'),
					(2,4,2,2,0.000,'2008-01-30 17:12:31'),
					(2,4,3,1,0.000,'2008-01-30 17:12:31'),
					(2,4,3,2,0.000,'2008-01-30 17:12:31')
				";*/
		$sql = "INSERT INTO TBL_UK_CRSO_DATA_LINE (DATA_ID,TYPE,CATEGORY_NAME,OBLIGATION_TYPE,TONNES,LAST_UPDATE)
				VALUES
					(2,1,1,1,0.000,'2008-01-30 17:12:31'),
					(2,1,2,1,0.000,'2008-01-30 17:12:31'),
					(2,1,3,1,0.000,'2008-01-30 17:12:31'),
					(2,1,1,2,0.000,'2008-01-30 17:12:31'),
					(2,1,2,2,0.000,'2008-01-30 17:12:31'),
					(2,1,3,2,0.000,'2008-01-30 17:12:31'),
					(2,2,1,1,0.000,'2008-01-30 17:12:31'),
					(2,2,1,2,0.000,'2008-01-30 17:12:31'),
					(2,2,2,1,0.000,'2008-01-30 17:12:31'),
					(2,2,2,2,0.000,'2008-01-30 17:12:31'),
					(2,2,3,1,0.105,'2008-01-30 17:12:31'),
					(2,2,3,2,1272.800,'2008-01-30 17:12:31'),
					(2,3,1,1,0.000,'2008-01-30 17:12:31'),
					(2,3,1,2,0.000,'2008-01-30 17:12:31'),
					(2,3,2,1,0.000,'2008-01-30 17:12:31'),
					(2,3,2,2,0.000,'2008-01-30 17:12:31'),
					(2,3,3,1,0.000,'2008-01-30 17:12:31'),
					(2,3,3,2,25.200,'2008-01-30 17:12:31'),
					(2,4,1,1,0.000,'2008-01-30 17:12:31'),
					(2,4,1,2,0.000,'2008-01-30 17:12:31'),
					(2,4,2,1,0.000,'2008-01-30 17:12:31'),
					(2,4,2,2,0.000,'2008-01-30 17:12:31'),
					(2,4,3,1,0.000,'2008-01-30 17:12:31'),
					(2,4,3,2,0.000,'2008-01-30 17:12:31')
				";
		$q = $db->query($sql);
		$q->execute();
		echo "\nRecycle data for Q4 2007 insert success\n";

		//insert recycle data foR Q1 2008
		$sql = "INSERT INTO TBL_UK_CRSO_DATA (CRSO_RELATION_ID,`YEAR`,`QUARTER`,`STATUS`,LAST_UPDATE,LAST_EXPORTED)
				VALUES(163,2008,1,4,'2008-04-25 11:24:33','2008-04-25 11:27:13')";
		$q = $db->query($sql);
		$q->execute();

		$sql = "INSERT INTO TBL_UK_CRSO_DATA_LINE (DATA_ID,TYPE,CATEGORY_NAME,OBLIGATION_TYPE,TONNES,LAST_UPDATE)
				VALUES
					(3,1,1,1,0.000,'2008-04-25 11:24:33'),
					(3,1,2,1,0.000,'2008-04-25 11:24:33'),
					(3,1,3,1,0.000,'2008-04-25 11:24:33'),
					(3,1,1,2,0.000,'2008-04-25 11:24:33'),
					(3,1,2,2,0.000,'2008-04-25 11:24:33'),
					(3,1,3,2,0.000,'2008-04-25 11:24:33'),
					(3,2,1,1,0.000,'2008-04-25 11:24:33'),
					(3,2,1,2,0.000,'2008-04-25 11:24:33'),
					(3,2,2,1,0.000,'2008-04-25 11:24:33'),
					(3,2,2,2,0.000,'2008-04-25 11:24:33'),
					(3,2,3,1,0.000,'2008-04-25 11:24:33'),
					(3,2,3,2,840.198,'2008-04-25 11:24:33'),
					(3,3,1,1,0.000,'2008-04-25 11:24:33'),
					(3,3,1,2,0.000,'2008-04-25 11:24:33'),
					(3,3,2,1,0.000,'2008-04-25 11:24:33'),
					(3,3,2,2,0.000,'2008-04-25 11:24:33'),
					(3,3,3,1,0.000,'2008-04-25 11:24:33'),
					(3,3,3,2,16.860,'2008-04-25 11:24:33'),
					(3,4,1,1,0.000,'2008-04-25 11:24:33'),
					(3,4,1,2,0.000,'2008-04-25 11:24:33'),
					(3,4,2,1,0.000,'2008-04-25 11:24:33'),
					(3,4,2,2,0.000,'2008-04-25 11:24:33'),
					(3,4,3,1,0.000,'2008-04-25 11:24:33'),
					(3,4,3,2,0.000,'2008-04-25 11:24:33')
				";
		$q = $db->query($sql);
		$q->execute();
		echo "\nRecycle data for Q1 2008 insert success\n";

		//insert the report for Q3
		$sql = "INSERT INTO TBL_UK_REPORTS (REPORT_TYPE,FILE_NAME,CRSO_RELATION_ID,
					EXPORT_DATE,`STATUS`,`YEAR`,`QUARTER`)
				VALUES(2,'20071116110000/WEEMP3838PRSCH20071116_RETURN.XML',163,
					'2007-11-16 11:00:00',2,2007,3)";
		$q = $db->query($sql);
		$q->execute();
		echo "\nQ3 2007 Report insert success\n";

		//insert the report for Q4
		$sql = "INSERT INTO TBL_UK_REPORTS (REPORT_TYPE,FILE_NAME,CRSO_RELATION_ID,
					EXPORT_DATE,`STATUS`,`YEAR`,`QUARTER`)
				VALUES(2,'20080206154211/WEEMP3838PRSCH20080206_RETURN.XML',163,
					'2008-02-06 15:42:11',2,2007,4)";
		$q = $db->query($sql);
		$q->execute();
		echo "\nQ4 2007 Report insert success\n";


		//insert the feb registration report
		$sql = "INSERT INTO TBL_UK_REPORTS (REPORT_TYPE,FILE_NAME,CRSO_RELATION_ID,
					EXPORT_DATE,`STATUS`,`YEAR`)
				VALUES(1,'20080226113023/WEEMP3838PRSCH20080226.ZIP',163,
					'2008-02-26 11:30:23',2,2008)";
		$q = $db->query($sql);
		$q->execute();
		echo "\nFeb reg report insert success\n";

		//insert the report for Q1 2008
		$sql = "INSERT INTO TBL_UK_REPORTS (REPORT_TYPE,FILE_NAME,CRSO_RELATION_ID,
					EXPORT_DATE,`STATUS`,`YEAR`,`QUARTER`)
				VALUES(2,'20080425112713/WEEMP3838PRSCH20080425_RETURN.XML',163,
					'2008-04-25 11:27:13',2,2008,1)";
		$q = $db->query($sql);
		$q->execute();
		echo "\nQ1 2008 Report insert success\n";

		//insert the may registration report
		$sql = "INSERT INTO TBL_UK_REPORTS (REPORT_TYPE,FILE_NAME,CRSO_RELATION_ID,
					EXPORT_DATE,`STATUS`,`YEAR`)
				VALUES(1,'20080530120235/WEEMP3838PRSCH20080530.ZIP',163,
					'2008-05-30 12:02:35',2,2008)";
		$q = $db->query($sql);
		$q->execute();
		echo "\nMay reg report insert success\n\n";


		//pwc #721
		//$sql = "UPDATE TBL_UK_REGISTRATION_DATA SET PR_STATUS=4 WHERE PARTICIPANT_RELATION_ID=309";
		//$q = $db->query($sql);
		//$q->execute();
		$sql = "UPDATE TBL_UK_REGISTRATION_DATA SET TRADING_NAME='E-Life Ltd',
				BUSINESS_NAME='E-Life Ltd', LAST_UPDATE='2008-05-28 13:02:35'
				WHERE PARTICIPANT_RELATION_ID=502";
		$q = $db->query($sql);
		$q->execute();
		$sql = "UPDATE TBL_UK_REGISTRATION_DATA SET TRADING_NAME='Pestwest Electronics Ltd (Killgerm Chemicals)',
				BUSINESS_NAME='Pestwest Electronics Ltd (Killgerm Chemicals)', LAST_UPDATE = '2008-05-28 13:02:35'
				WHERE PARTICIPANT_RELATION_ID=248";
		$q = $db->query($sql);
		$q->execute();


		$path = $folder.'images/';
		if(!is_dir($folder.'logo/347'))
		{
			mkdir($folder.'logo/347');
			chmod($folder.'logo/347', 0777);
		}
		rename($path.'1234.jpg',$folder.'logo/347/1234.jpg');
		$handle = opendir($path);
		while (false !== ($file = readdir($handle)))
	        if ($file != '.' && $file != '..') {
	          unlink($path."/".$file);
	          }

        closedir($handle);
        rmdir($path);

        //now lets import all data from the reports in the db

        //Q3 2007
        importWeee($db,1,$folder.'exports/20071116110000/WEEMP3838PRSCH20071116_RETURN.XML','0');
        //Q4 2007
        importWeee($db,2,$folder.'exports/20080206154211/WEEMP3838PRSCH20080206_RETURN.XML',$folder.'/settings/WEEEsettings_163_20080206154211.xml');

		//feb reg report
        $data = file_get_contents($folder.'/settings/PRsettings_163_20080226113023.xml');
		$xml = new SimpleXMLElement($data);
		$prod_id = array();
		foreach($xml->producer as $producer)
		{
			$sql = "INSERT INTO TBL_UK_REPORT_DATA (REPORT_ID,CRSO_RELATION_ID,PARTICIPANT_RELATION_ID,PR_STATUS,WEEE_STATUS)
				VALUES (?,?,?,?,?)";
			$q = $db->query($sql);
			$q->bind_values(3,'163',$producer->relation_id,$producer->reg_status,$producer->actuals_status);
			$q->execute();
		}
		echo " Data report 3 import - success \n\r";

		//Q1 2008
        importWeee($db,4,$folder.'exports/20080425112713/WEEMP3838PRSCH20080425_RETURN.XML',$folder.'/settings/WEEEsettings_163_20080425112713.xml');

        //may reg report
        $data = file_get_contents($folder.'/settings/PRsettings_163_20080530120235.xml');
		$xml = new SimpleXMLElement($data);
		$prod_id = array();
		foreach($xml->producer as $producer)
		{
			$sql = "INSERT INTO TBL_UK_REPORT_DATA (REPORT_ID,CRSO_RELATION_ID,PARTICIPANT_RELATION_ID,PR_STATUS,WEEE_STATUS)
				VALUES (?,?,?,?,?)";
			$q = $db->query($sql);
			$q->bind_values(5,'163',$producer->relation_id,$producer->reg_status,$producer->actuals_status);
			$q->execute();
		}
		echo " Data report 5 import - success \n\r";

		//remove the settings files and folder
		$path = $folder.'/settings';
		$handle = opendir($path);
		while (false !== ($file = readdir($handle)))
	        if ($file != '.' && $file != '..') {
	          unlink($path."/".$file);
	          }

        closedir($handle);
        rmdir($path);
        echo " \nRemoved the settings files and folder \n\r";
?>
