<?php

$script_id = 0;
$noValidate = true;
require_once('../../../scripts/i-w/default/init.php');
require_once(IWARE.'table_factory.php');

define('NO_NAVIGATION_BAR','turu');
define('NO_PAGE_TITLE','turu');
require_once(XHTML_HEADER);

restore_error_handler();

// Pear Log File - DEFINE
// Pear classes

$ds = array();


// Files directory writable...
require_once(IWARE.'Document.php');

$valid = (!defined('DOCUMENT_REPOSITORY'))? false :is_writeable(DOCUMENT_REPOSITORY);
$ds[] = array('CHECK'=>'DOCUMENT_REPOSITORY Defined and Writable ('.DOCUMENT_REPOSITORY.')','VALID'=>$valid);

$valid = (!defined('ELC_EXPORT_PATH'))? false :is_writeable(ELC_EXPORT_PATH);
$ds[] = array('CHECK'=>'ELC_EXPORT_PATH Defined and Writable ('.ELC_EXPORT_PATH.')','VALID'=>$valid);

$valid = (!defined('ELC_INVOICES_IMPORT_PATH'))? false :(!is_writeable(ELC_INVOICES_IMPORT_PATH)? false : true);
$ds[] = array('CHECK'=>'ELC_INVOICES_IMPORT_PATH Defined and Writable ('.ELC_INVOICES_IMPORT_PATH.')','VALID'=>$valid);

if (defined('TEST_SITE') && TEST_SITE)
{
	$valid = (!defined('SNAPSHOT_SAVE_PATH'))? false :is_writeable(SNAPSHOT_SAVE_PATH);
	$ds[] = array('CHECK'=>'SNAPSHOT_SAVE_PATH Defined and Writable ('.SNAPSHOT_SAVE_PATH.')','VALID'=>$valid);

	$valid = (!defined('DATETIME_FILE'))? false :is_writeable(DATETIME_FILE);
	$ds[] = array('CHECK'=>'DATETIME_FILE Defined and Writable ('.DATETIME_FILE.')','VALID'=>$valid);
}

require_once(ELC_CLASSES.'uk/uk_define.php');

$uk = (!defined('UK_EXPORT_PATH'))? false :(!is_writeable(UK_EXPORT_PATH)? false : true);
$valid = $uk;
$ds[] = array('CHECK'=>'UK_EXPORT_PATH Defined and Writable ('.UK_EXPORT_PATH.')','VALID'=>$valid);

$valid = $uk ? (!defined('UK_EXPORT_LOGO'))? false :(!is_writeable(UK_EXPORT_PATH.UK_EXPORT_LOGO)? false : true) : false;
$ds[] = array('CHECK'=>'UK_EXPORT_LOGO Defined and Writable ('.UK_EXPORT_PATH.UK_EXPORT_LOGO.')','VALID'=>$valid);

$valid = $uk ? (!defined('UK_EXPORT_FILES'))? false :(!is_writeable(UK_EXPORT_PATH.UK_EXPORT_FILES)? false : true) : false;
$ds[] = array('CHECK'=>'UK_EXPORT_FILES Defined and Writable ('.UK_EXPORT_PATH.UK_EXPORT_FILES.')','VALID'=>$valid);

$valid = $uk ? (!defined('UK_EXPORT_TEMPLATES'))? false :(!is_writeable(UK_EXPORT_PATH.UK_EXPORT_TEMPLATES)? false : true) : false;
$ds[] = array('CHECK'=>'UK_EXPORT_TEMPLATES Defined and Writable ('.UK_EXPORT_PATH.UK_EXPORT_TEMPLATES.')','VALID'=>$valid);

// blowfish check
$ds[] = array('CHECK'=>'CRYPT_BLOWFISH','VALID'=>(CRYPT_BLOWFISH == 1));

// extensions
$loaded_extensions = get_loaded_extensions();
foreach (array('fileinfo') as $extension) {
	$ds[] = array(
		'CHECK'=>'extension: '.$extension,
		'VALID'=>in_array($extension, $loaded_extensions)
	);
}

foreach ($ds as $d)
{
	if (!$d['VALID']) {
		echo '<span class="error">After update check failed!</span>';
		break;
	}
}

$tf = new TableFactory($ds,$langIf);
$tf->hot = true;
$tf->columnModifier(array('CHECK'=>'style="width: 100%;"','VALID'=>'style="white-space: nowrap;"'));
$tf->setCaption('<img src="/'.SITE_PATH.'images/block_arrow.png" /> '.$langIf->getText('After Update Check'),false);
$tf->setValueProcessor('VALID', 'return \'<img src="'.REL_IMAGES.'i-w/\'.($value ? \'true\' : \'false\').\'.gif">\';');

echo $tf->getXHTMLTable('Professional',2);


require_once(XHTML_FOOTER);
?>
