<?php
if(isset($_REQUEST['process'])&&($_REQUEST['process']=='print'))
{
	require_once(PRINT_HEADER);
	return;
}

$show_style = isset($show_style)?$show_style:array();
array_unshift($show_style,'menu','main','professional','taalinterface','overview_head');

$site_title = (isset($site_title) ? $site_title : '') .' ('.$_SESSION['session_group_group_name'].')';

isset($Remoras) || $Remoras = SuckerfishMenu::create(IWRegistry::registry('db'), IWRegistry::registry('db'), IWRegistry::registry('langIf'));

if(!defined('NO_VERIFY_LAST_LOGIN'))
{
	require_once(ELC_CLASSES.'User.php');
	$user = new ELCUser(IWRegistry::registry('db'));
	if($_SESSION['user_first_login'] && (($_SESSION['session_user_id']>1)&&!$user->verifyLastLogin($_SESSION['session_user_id'])))
	{
		header('Location: /'.SITE_PATH.'scripts/elc/public/InterfaceUserProfile.php?first_time_login=true');
		exit();
	}
}
else
{
	defined('NO_PASSWORD_EXPIRES') || define('NO_PASSWORD_EXPIRES',true);
	defined('NO_VERIFY_MULTIPLE_PARTICIPANTS') || define('NO_VERIFY_MULTIPLE_PARTICIPANTS',true);
	defined('NO_VERIFY_PARTICIPANT_CHANGE_PRODUCER') || define('NO_VERIFY_PARTICIPANT_CHANGE_PRODUCER',true);
	defined('SKIP_UK_XML_CHECK') || define('SKIP_UK_XML_CHECK',true);
}

if(!defined('NO_PASSWORD_EXPIRES'))
{
	require_once(ELC_CLASSES.'User.php');
	$user = new ELCUser(IWRegistry::registry('db'));
	if($_SESSION['user_password_expired'] && (($_SESSION['session_user_id']>1)&&!$user->verifyPasswordNotExpired($_SESSION['session_user_id'])))
	{
		header('Location: /'.SITE_PATH.'scripts/elc/public/InterfaceUserProfile.php?password_expired=true');
		exit();
	}
}
else
{
	defined('NO_VERIFY_MULTIPLE_PARTICIPANTS') || define('NO_VERIFY_MULTIPLE_PARTICIPANTS',true);
	defined('NO_VERIFY_PARTICIPANT_CHANGE_PRODUCER') || define('NO_VERIFY_PARTICIPANT_CHANGE_PRODUCER',true);
	defined('SKIP_UK_XML_CHECK') || define('SKIP_UK_XML_CHECK',true);
}

if(!defined('NO_VERIFY_MULTIPLE_PARTICIPANTS'))
{
	if(isset($_SESSION['participant_ids'])&&(sizeof($_SESSION['participant_ids'])>1)&&!is_numeric($_SESSION['selected_participant_id']))
	{
		header('Location: /'.SITE_PATH.'scripts/elc/public/InterfaceUserProfile.php?multi_participant=true');
		exit();
	}
}
else
{
	defined('NO_VERIFY_PARTICIPANT_CHANGE_PRODUCER') || define('NO_VERIFY_PARTICIPANT_CHANGE_PRODUCER',true);
	defined('SKIP_UK_XML_CHECK') || define('SKIP_UK_XML_CHECK',true);
}

if(!defined('NO_VERIFY_PARTICIPANT_CHANGE_PRODUCER'))
{
	if(isset($_SESSION['selected_participant_id'])&&is_numeric($_SESSION['selected_participant_id']))
	{
		require_once(ELC_CLASSES.'CRSOParticipantProduct.php');
		$cp = new CRSOParticipantProduct(IWRegistry::registry('db'));
		if($cid = $cp->checkParticipantChangeProducer($_SESSION['selected_participant_id']))
		{
			header('Location: /'.SITE_PATH.'scripts/elc/participant/InterfaceProvideProducerData.php?crso[id]='.$cid);
			exit();
		}
	}
}
else
{
	defined('SKIP_UK_XML_CHECK') || define('SKIP_UK_XML_CHECK',true);
}
// See ticket #1304, in v1.4.0 do ticket #1309
if(!defined('SKIP_UK_XML_CHECK'))
{
	if(isset($_SESSION['selected_participant_id'])&&is_numeric($_SESSION['selected_participant_id']))
	{
		$crsoUk = 163; // offical 163
		require_once(ELC_CLASSES.'CRSOParticipantProduct.php');
		$cp = new CRSOParticipantProduct(IWRegistry::registry('db'));
		if($cp->set($crsoUk,$_SESSION['selected_participant_id'],$_SESSION['selected_product_id']))
		{
			// it is a UK user.
			//check for producer
			if($cp->producer_exporter != PARTICIPANT_EXPORTER)
			{
				// we need to make the participant provide EA registration data
				require_once(ELC_CLASSES.'uk/UKRegistrationData.php');
				$regdata = new UKRegistrationData(IWRegistry::registry('db'));
				//if(!file_exists(UK_EXPORT_PATH.$_SESSION['selected_participant_id'].'.xml'))
				if(!$regdata->hasRegistrationData($crsoUk,$_SESSION['selected_participant_id']))
				{
					header('Location: /'.SITE_PATH.'scripts/elc/participant/InterfaceUKXMLPreparation.php');
					exit;
				}
			}
		}
	}
}

// Make langIf global, this file might can be included for permission denied

require_once(IWARE.'table_factory.php');
require_once(IWARE_SCRIPTS_DEFAULT.'xhtml_header.php');
?>
<script type="text/javascript"><!--
	function confirmLogout()
	{
		MessageBox.prototype.Question( '<?=jsescape(IWRegistry::registry('langIf')->getText('Confirm Logout'),"'");?>', '<?=jsescape(IWRegistry::registry('langIf')->getText('Are you sure you want to logout'),"'"); ?>', function(){document.location.href = "/<?=SITE_PATH?>scripts/elc/public/logout.php";} );
	}
	var originalLanguage = '';
	function switchLanguage(nSelect)
	{
		MessageBox.prototype.Question( '<?=jsescape(IWRegistry::registry('langIf')->getText('Confirm Switch Language'),"'");?>', '<?=jsescape(IWRegistry::registry('langIf')->getText('You will lose all input by changing the language'),"'"); ?>', function(){originalLanguage = nSelect.selectedIndex; changeLanguage(nSelect);}, function(){nSelect.selectedIndex = originalLanguage;} );
	}
--></script>
<div class="top"></div>
	<div class="toplogo">
			<div class="left">
				<img src="<?=REL_IMAGES.'elc/site/';?>logo.gif" />
			</div>
			<div class="topright" style="padding-right: 7%;">
				<a id="topBarSiteMap" href="/<?=SITE_PATH;?>scripts/elc/public/SiteMap.php"><?=IWRegistry::registry('langIf')->getText('Site Map');?></a>
				<?php
					require_once(ELC_SCRIPTS.'default/FAQLink.php');
					if(isset($_SESSION['selected_participant_id']))
					{
				?>
					- <a id="topBarManual" href="/<?=SITE_PATH;?>scripts/elc/public/InterfaceSupport.php"><?=IWRegistry::registry('langIf')->getText('Support');?></a>
				<?php
					}
				?>
			</div>
			<div class="topright img">
<?php
	if($_SESSION['session_user_id']>1)
	{
		?><a id="topBarInbox" href="/<?php echo SITE_PATH; ?>scripts/elc/public/InterfaceNotificationInbox.php"><?=IWRegistry::registry('langIf')->getText('Inbox');?><span id="inbox_counter"></span></a> - <?php
		echo '<a id="topBarLogout" href="#" onclick="confirmLogout();">'.IWRegistry::registry('langIf')->getText('Logout').' '.(($_SESSION['session_user_id']>1)?$_SESSION['session_user_name']:'').'</a> - <a id="topBarUserProfile" href="/'.SITE_PATH.'scripts/'.APP_PATH.'public/InterfaceUserProfile.php">'.IWRegistry::registry('langIf')->getText('User Profile').'</a>';
	}
	else
		echo '<a id="topBarLogin" href="/'.SITE_PATH.'login/">'.IWRegistry::registry('langIf')->getText('Login screen').'</a>';
?>
			</div>
			<div class="username error">
			<?= defined('SITE_EXTRA_IDENTITY')?SITE_EXTRA_IDENTITY.' | ':'';?>
			<?= !empty($_SESSION['user_last_login'])?IWRegistry::registry('langIf')->getText('Last login').': '.$_SESSION['user_last_login']:'';?>
			</div>
	</div>

	<div id="sMenuMain">
	<?php
	if(!defined('NO_MENU'))
		echo $Remoras->display('class="AFirstMenu"','','ASubMenu');
	?>
	</div>
<br /><br />
<?php
if(isset($_SESSION['ie_warning']))
{
	echo sprintf('<h2 class="iewarning">%s</h2>',IWRegistry::registry('langIf')->getText('Internet Explorer 6.0 Warning Message'));
}
?>
	<div class="pre">
<?php
if(!defined('NO_NAVIGATION_BAR'))
{
	$sm = $Remoras->getSiteMapBar($script_id);
	$i = 1;

	// ALWAYS HOME unless defined
	if(!defined('NO_HOME'))
		echo '<div class="nav'.(count($sm)>=1?'':' startend').'"><a class="BreadCrum" id="bcMenuHome" href="/'.SITE_PATH.'">'.IWRegistry::registry('langIf')->getText('Home').'</a></div>';

	if (is_array($sm)) {
		foreach($sm as $script_id => $arr)
		{
			$script_path = $arr['SCRIPT_PATH'];
			$script_name = $arr['SCRIPT_NAME'];

			echo '<div class="nav '.((defined('NO_HOME')&& $i==1)?' startend':(($i != sizeof($sm))?'default':'end')).'">';
			if($script_path)
				echo '<a class="BreadCrum" id="bcMenu'.$script_id.'" href="/'.SITE_PATH.$script_path.'">';
			if(!empty($script_name))
				echo IWRegistry::registry('langIf')->getText( "Menu ".$script_name );
			if($script_path)
				echo '</a>';
			echo '</div>';
			$i++;
		}
	}
	echo '<div class="nav end arrow"></div>';
}
else
{

}
?>
<div style="text-align: right;padding-right: 7.5%;">
<?php
if(!defined('HIDE_USER_SELECT'))
	require_once(ELC_SCRIPTS.'default/UserSelect.php');
if(!defined('HIDE_PRODUCT_SELECT'))
	require_once(ELC_SCRIPTS.'default/ProductSelect.php');

if($_SESSION['session_user_id']==1)
{
	require_once(IWARE.'nLanguage.php');
	require_once(ELC_CLASSES.'CRSO.php');
	$lang = new nLanguage(IWRegistry::registry('db'));
	$crso = new CRSO(IWRegistry::registry('db'));
?>
		<script type="text/javascript">
			function changeLanguage(nSelect) {
				MessageBox.prototype.Question(
					'Change language confirm title',
					'<?=jstr('Change language confirm')?>',
					function() {
						document.location.href='/<?=SITE_PATH?>scripts/i-w/bots/language_process.php?Action=ChangeLanguage&value='+nSelect.value;
					},
					function () {
						nSelect.selectedIndex = langOldIndex;
					}
				);
			}
		</script>
<?php
		if(defined('SHOW_LANGUAGE_SELECT'))
		{
?>
			<select onchange="changeLanguage(this);" class="topselect" id="selLanguage"><?=$lang->select($_SESSION['session_user_language_id'],1);?></select>
			<script type="text/javascript">
				var langOldIndex = $('selLanguage').selectedIndex;
			</script>
<?php
		}
}
else
{
	// NOTIFICATION poller.
	?>
		<script type="text/javascript" src="/<?php echo SITE_PATH; ?>includes/i-w/Notification.js"></script>
		<script type="text/javascript">

		var n = new BASESOFT.Notification.Poller('<?php echo SITE_PATH; ?>', 'inbox_counter');
		YAHOO.util.Event.onDOMReady(function(p_sType) {
			n.loadNotifications();
		});

		</script>
<?php
	if(!defined('NO_VERIFY_MULTIPLE_PARTICIPANTS'))
	{
		if(isset($_SESSION['participant_ids'])&&sizeof($_SESSION['participant_ids'])>1)
		{
			echo '<div id="participantSelect"><b>&nbsp;'.IWRegistry::registry('langIf')->getText('Current Participant').'</b>: <span id="participantSelectButton"></span></div>';
		?>

		<script type="text/javascript"><!--

			 function onParticipantSelectMenuItemClick(p_sType, p_aArgs, p_oItem) {
                MessageBox.prototype.Question('<?=IWRegistry::registry('langIf')->getText('Change Participant');?>','<?=IWRegistry::registry('langIf')->getText('Are you sure, change can cause loss of unsaved data');?>',function(){
						document.location.href = "/<?=SITE_PATH?>scripts/elc/participant/ChangeDefaultParticipant.php?participant[id]="+p_oItem.value;
					});
            }
			var participantMenuItems = [
			<?php
				$label = '';
				require_once(ELC_CLASSES.'Relation.php');
				$r = new Relation(IWRegistry::registry('db'));
				foreach($_SESSION['participant_ids'] as $partId)
				{
					$r->set($partId);
					echo '{ text: "'.$r->name.'", value: '.$partId.', onclick: { fn: onParticipantSelectMenuItemClick } },';
					if($_SESSION['selected_participant_id'] == $partId)
					{
						$label = $r->name;
					}
				}
			?>
			];
			WEEE.oParticipantSelectButton = new YAHOO.widget.Button(
		                       {
		                        	name: "participantSelectButton",
		                            label: "<?php echo $label;?>",
		                            type: "menu",
		                            menu: participantMenuItems,
		                            container: "participantSelectButton"
		                        }
		                    );
		--></script>
		<?php

		}
	}
	if($_SESSION['session_group_group_id']==GROUP_PARTICIPANT && IWRegistry::isRegistered('remote_viewer')) {
			$rv = IWRegistry::registry('remote_viewer');
			$rv->crso->relation->set();

			list($translation, $css) = $rv->translateStatus(IWRegistry::registry('langIf'), $rv->request_status);
			echo sprintf('<a href="/%sscripts/elc/participant/InterfaceRVInvitation.php">%s</a>',
				SITE_PATH,
				IWRegistry::registry('langIf')->getText('{RequestStatus} with {CRSO} for remote viewing', null, array(
					'RequestStatus'=>$translation,
					'CRSO'=>$rv->crso->relation->name)
				)
			);
			// If the connection is active. initialize the remote viewer to send the <body> data to the server.
			if($rv->request_status==REMOTE_VIEWER_REQUEST_ACTIVE) {
?>

				<script type="text/javascript" src="/<?php echo SITE_PATH; ?>includes/i-w/RemoteViewer.js"></script>
				<script type="text/javascript">

				var rv = new BASESOFT.RemoteViewer.Client('<?php echo SITE_PATH; ?>');
				YAHOO.util.Event.onDOMReady(function(p_sType) {
					rv.saveData();
				});

				</script>
<?php

			}
		}
	}

?>
	</div></div>
	<div class="close">&nbsp;</div>
<?php
if(!defined('NO_PAGE'))
	echo '<div class="content" id="content">';

/**
 * Help
 *
 * Always init help, it might be used in forms.
 * Check if pagehelp is allowed and see if there is a translation, then display a help icon.
 */
?>
<script type="text/javascript"><!--
	window.help = new Help();
	help.alwaysOn = true;
//--></script>
<?php
if (!defined('NO_PAGE') && !defined('NO_PAGE_HELP') && !empty($script_name))
	printHelp(IWRegistry::registry('langIf'), $script_name, array('title'=>'TITLE_'.$script_name) );

/**
 * Page Title
 */
$page_title = isset($page_title) ? $page_title : (isset($script_name)?$script_name:'');
$page_title_postfix = isset($page_title_postfix) ? $page_title_postfix : '';
if(!defined('NO_PAGE_TITLE') && isset($page_title))
	echo '<h1 class="pageTitle">'.IWRegistry::registry('langIf')->getText('TITLE_'.$page_title).' '.$page_title_postfix.'</h1>'."\n";

?>
