<?php
$script_id = 63000;
require_once('../../i-w/default/init.php');
define('NO_HOME',true);
if(defined('TEST_SITE'))
{
	require_once(IWARE.'Snapshot.php');
	require_once(IWARE.'table_factory.php');

	$snapshot = new Snapshot($dba_user,$dba_password,$dba_name,$sql_server);

	if(isset($_REQUEST['takesnapshot']))
	{
		$log = getLog();
		$log->info("Snapshot created: " . $_REQUEST['takesnapshot']);

		$snapshot->takeSnapshot($_REQUEST['takesnapshot']);
		header('Location: index.php');
		exit();
	}
	if(isset($_REQUEST['restoresnapshot']))
	{
		$log = getLog();
		$log->info("Snapshot restored: " . $_REQUEST['restoresnapshot']);

		if(!$snapshot->restoreSnapshot($_REQUEST['restoresnapshot']))
			exit('Failed');
		header('Location: /'.SITE_PATH);
		exit();
	}
	if(isset($_POST['deleteSnapshots']))
	{
		foreach($_POST['deleteSnapshots'] as $name) {
			$log = getLog();
			$log->info("Snapshot deleted: " . $name);
			$snapshot->deleteSnapshot($name);
		}
		header('Location: index.php');
		exit();
	}
	if(isset($_REQUEST['setnewdate'])&&defined('DATETIME_FILE'))
	{
		setVirtualDate($_REQUEST['setnewdate']);

		header('Location: index.php');
		exit();
	}
}

$interface_id = 143;
require_once(INTERFACE_OBJ.'InterfaceFactory.php');
$interface = InterfaceFactory::createInterfaceFactory($interface_id, IWRegistry::registry('db'), $db_edit, $langIf);
$interface->processInput($thrownException);

require_once(XHTML_HEADER);
if(defined('TEST_SITE'))
{
	$date = currentDate();
?>
	<form action="index.php" method="post" id="snapshotform">
<?php
	$ds = $snapshot->getList();

	$tf = new TableFactory($ds,$langIf);
	$tf->setCaption(getHelp($langIf, 'snapshot', array('top'=>'0px')) . '<img src="/'.SITE_PATH.'images/block_arrow.png" /> '.$langIf->getText('Snapshot overview'), false);
	$tf->setValueProcessor('file','return \'<input type="checkbox" name="deleteSnapshots[]" value="\'.$value.\'" /> <a href="#" onclick="restoreSnapshot(\\\'\'.$value.\'\\\');">\'.$value.\'</a>\';');
	$tf->decapitate();
	echo $tf->getXHTMLTable('Professional',2);

?>
	<script type="text/javascript"><!--
		function takeSnapshot()
		{
			var val = $('snapshotname').value;
			MessageBox.prototype.Question( '<?=jsescape($langIf->getText('Confirm Snapshot'),"'");?>', '<?=jsescape($langIf->getText('Are you sure you want to take a snapshot'),"'"); ?>', function(){go('index.php?takesnapshot='+val);} );
		}
		function deleteSnapshot()
		{
			MessageBox.prototype.Question( '<?=jsescape($langIf->getText('Confirm Delete Snapshot'),"'");?>', '<?=jsescape($langIf->getText('Are you sure you want to delete selected snapshots'),"'"); ?>', function(){$('snapshotform').submit();} );
		}
		function restoreSnapshot(val)
		{
			MessageBox.prototype.Question( '<?=jsescape($langIf->getText('Confirm Restore Snapshot'),"'");?>', '<?=jsescape($langIf->getText('Are you sure you want to restore this snapshot'),"'"); ?>', function(){go('index.php?restoresnapshot='+val);} );
		}
		function setCurrentDate()
		{
			var val = $$('date1').value;
			MessageBox.prototype.Question( '<?=jsescape($langIf->getText('Confirm New Date'),"'");?>', '<?=jsescape($langIf->getText('Are you sure you want to set a new date'),"'"); ?>', function(){go('index.php?setnewdate='+val);} );
		}
	--></script>
	<br />
	<input type="text" id="snapshotname" value="" />
	<input type="button" id="takeSnapshotID" value="<?= $langIf->getText('Create Snapshot');?>" onclick="takeSnapshot();" />
	<input type="button" value="<?= $langIf->getText('Delete Snapshot');?>" onclick="deleteSnapshot();" />

	<br />
	<br />

<?php

	$totals = '<input type="text" name="date1" value="'.$date->format('Y-m-d').'" /> <input type="button" id="setNewDate" onclick="setCurrentDate();" value="'.$langIf->getText('Set new date').'" /> <input type="button" onclick="window.open(\'/'.SITE_PATH.'scripts/i-w/bots/TaskRunner.php\');" value="Run TaskRunner" />';

	$t = new TableFactory( array(array($totals)) );
	$t->setCaption(getHelp($langIf, 'current testing date', array('top'=>'0px')) . '<img src="/'.SITE_PATH.'images/block_arrow.png"> '.$langIf->getText('Current Testing Date'), false);
	$t->decapitate();
	echo $t->getXhtmlTable('Professional', 2);
?>
</form>
<?php
}
else
	echo "\t\t".str_replace("\n", "\n\t\t", $interface->getXHTMLInterface());
require_once(XHTML_FOOTER);
?>