<?php
$noValidate = true;
$script_id = 60000;
require_once('../../i-w/default/init.php');

require_once(ELC_CLASSES.'CRSO.php');
require_once(ELC_CLASSES.'CRSOProduct.php');

if(!isset($_REQUEST['crso']['id']))
{
	alert('Someone trying to use the ChangeCrso.php script by tampering url.');
	header('HTTP/1.0 403 Forbidden');
	throw new IWUserException('Permission Denied');
}

$crso = new CRSO($db);
$crso->set((int)$_REQUEST['crso']['id']);

$cp = new CRSOProduct($db,array('crso'=>$crso));
if(isset($_REQUEST['product']['id']))
{
	if(!$cp->set(null,(int)$_REQUEST['product']['id']))
	{
		alert('Someone trying to use the ChangeCrso.php script by tampering url');
		header('HTTP/1.0 403 Forbidden');
		throw new IWUserException('Permission Denied');
	}
	$_SESSION['selected_product_id'] = (int)$_REQUEST['product']['id'];
}
else
{
	$q = $cp->getProducts();
	if(($r = $q->fetch()) && ($r2 = $q->fetch()))
		throw new IWUserException('This CRSO Is Registered To Multiple Products, None Was Selected');
	// Work around for current CRSO for Lamps;
	$_SESSION['selected_product_id'] = $r->PRODUCT_ID;
}
// Everything went alright, update session now!
if ( isset($_REQUEST['crso']['id']) && ($_REQUEST['crso']['id'] > 0) )
	$_SESSION['public']['crso']['id'] = $_REQUEST['crso']['id'];

/*if($crso->accepted_sla!=1)
{
	//crit('Trying to access inactive CRSO');
	exit('Permission Denied');
}*/

$_SESSION['session_user_language_id'] = $crso->default_language_id;

require_once(IWARE.'nLanguage.php');
$lang = new nLanguage($db, $crso->default_language_id, true);

$crso->set();
$crso->relation->set();
$crso->relation->address->set();

require_once(ELC_CLASSES.'Country.php');
$country_id = $crso->relation->address->country_id;
$country = new Country($db, $country_id, true);
$locale = strtolower($lang->code).'_'.strtoupper($country->ISO_3166_a2);

foreach ($_SESSION['locales'] as $_locale)
	$_SESSION['locales'][$_locale] = $locale;

debug('Changed all session locales to '.$locale);

if ( isset($_REQUEST['language']['id']) && ($_REQUEST['language']['id'] > 0) )
	$_SESSION['session_user_language_id'] = $_REQUEST['language']['id'];

header('location: /'.SITE_PATH);

?>
