<?php

$noValidate = true;
$script_id = 60005;
require_once('../../i-w/default/init.php');
$show_style[] = 'login';
$show_style[] = 'professional';

if(isset($_REQUEST['action']))
{
	require_once(ELC_CLASSES.'ELCSessionHandlerDecorator.php');
	$sh =& IWSessionHandler::createSessionHandler($db);
	$SessionHandler = new ELCIWSessionHandlerDecorator($sh);
	$SessionHandler->setLanguageInterface($langIf);

	$is_loged = false;
	if (isset($_GET['different_user']) && ($_GET['different_user'] == 1))
	{
		$is_loged = $SessionHandler->loginAsUser($_REQUEST['loginname'], $thrownException);
		if ($is_loged)
			$_SESSION['login_type'] = LOGIN_SWITCH;
	}
	elseif (isset($_GET['token']) && preg_match('/^[0-9a-f]{40}$/', $_GET['token'])) // check if it's a sha1 hash
	{
		try {
			$is_loged = $SessionHandler->loginFromEmail($_GET['token'], $thrownException);
		} catch (IWException $e) {

			header('Location: error.php?msg='.urlencode($e->getMessage()));
			exit(0);

		}
		$SessionHandler->invalidateLoginToken($_GET['token']);
		if ($is_loged)
			$_SESSION['login_type'] = LOGIN_TOKEN;
	}
	else
	{
		$is_loged = $SessionHandler->login($_REQUEST['loginname'], $_REQUEST['password'], $thrownException);
		if ($is_loged)
			$_SESSION['login_type'] = LOGIN_NORMAL;
	}

	if($is_loged)
	{
		header('Location: '.($_SESSION['session_user_default_page']?$_SESSION['session_user_default_page']:'/'.SITE_PATH));
		exit();
	}
	else
	{
		header('HTTP/1.0 403 Forbidden');
		$thrownExceptionTitle = $langIf->getText('Unable to login');
	}
}

//define('NO_PAGE','turu');
define('NO_KEEP_ALIVE',true);
define('NO_PAGE_TITLE','turu');
define('NO_PAGE_HELP','turu');
require_once(XHTML_HEADER);
$NOHEADERS = true;
$SITE_TITLE = $langIf->getText('WEEE Black Box');
$relPath = '../../../';
$IMG = '/'.SITE_PATH.'images/elc/elc/logo.gif';
$ACTION = '/'.SITE_PATH.'scripts/elc/public/login.php';
require_once(IWARE_SCRIPTS.'loginscreen.php');
require_once(XHTML_FOOTER);
?>
