<?php

    require_once('../../../includes/i-w/packages.php');
    require_once(IWARE . 'database.php');
    require_once(IWARE . 'language_interface.php');
    require_once(IWARE . 'help.php');
    require_once ('../../../includes/i-w/SI_LOCAL_DEV.php');

    switch ($_REQUEST['Action'])
    {
        case 'Delete':
            $help->delete( $_GET['help_id'], $_GET['script_id'],
                          $_GET['script_name'] );
        break;

        case 'Insert':

            //-- keep the script_name empty if the we want to use this help everywhere
            $script_name = (isset($_POST['chkThisScriptOnly'])) ? $_POST['script_name'] : '' ;

            $help->insert( $_POST['help_id'], $_POST['script_id'], $script_name,
                          $_POST['help_content']);
        break;

        case 'Update':
            $help->update( $_POST['help_id'], $_POST['script_id'],
                          $_POST['script_name'], $_POST['help_content']);
        break;

        default:
            trigger_error('No / Invalid Action set.');
    }

    //-- lets go back
    if (!headers_sent())
    {
        header('location: ' . $_SERVER['HTTP_REFERER']);
        die();
    }


?>
