<?php

$script_id = 0;
$noValidate = true;
require_once('../../../scripts/i-w/default/init.php');
require_once(IWARE.'table_factory.php');

define('NO_NAVIGATION_BAR','turu');
define('NO_PAGE_TITLE','turu');
require_once(XHTML_HEADER);
require_once(IWARE.'phpsniff/phpSniff.class.php');

isset($sniff) || $sniff = new phpSniff($_SERVER['HTTP_USER_AGENT']);

$messages = array (
	'browser_unsupported'=>
		array (
			'title'=>$langIf->getText('Browser unsupported'),
			'message'=> $langIf->getText('Your browser ({BROWSER_NAME} / {BROWSER_VERSION}) is not supported', null,
				array('BROWSER_NAME'=>$sniff->property('long_name'), 'BROWSER_VERSION'=>$sniff->property('version'))),
			'type'=>MSG_BOX_CRIT
		),

	'javascript_unsupported'=>
		array (
			'title'=>$langIf->getText('Javascript unsupported'),
			'message'=> $langIf->getText('Your javascript version ({VERSION}) is not supported', null,
				array('BROWSER_NAME'=>$sniff->property('javascript'), 'BROWSER_VERSION'=>$sniff->property('version'))),
			'type'=>MSG_BOX_CRIT
		),
	'session_timed_out'=>
		array (
			'title'=>$langIf->getText('Session timed out'),
			'message'=> $langIf->getText('Your session has timed out'),
			'type'=>MSG_BOX_CRIT
		),
	'elc_no_refund_settings'=>
		array (
			'title'=>$langIf->getText('Refund Settings'),
			'message'=> $langIf->getText('No Refund settings defined'),
			'type'=>MSG_BOX_CRIT
		),
);

if (isset($_GET['msg']) && isset ($messages[$_GET['msg']]))
{
	$key = $_GET['msg'];

	?>
		<script type="text/javascript">
			addEvent(window, 'load', function() {
				<?=jsMessageBox( $messages[$key]['type'], $messages[$key]['title'], $messages[$key]['message'] ); ?>
			});
		</script>
	<?php
}

require_once(XHTML_FOOTER);
?>
