<?php
/**
 * @package I-Ware
 * @subpackage scripts
 */

$script_id = 0;
$noValidate = true;
require_once('../default/init.php');

if (isset($_REQUEST['q']))
{
	$ranges = explode(',', $_REQUEST['q']);
	for ($i=0; $i<sizeof($ranges); $i++)
		if (strpos($ranges[$i], '-'))
			$ranges[$i] = explode('-', $ranges[$i]);

	$output = '';

	foreach ($ranges as $range)
		$output .= $langIf->exportHandle($range);

	if (!headers_sent())
	{
		header('Content-Type: text/xml');
		header('Content-Disposition: attachment; filename="language_export.xml"');
	}

	echo '<?xml version="1.0" encoding="UTF-8"?>';

	echo "<!-- \n
	LanguageInterface Export \n
	***************************** \n
	Url: " . $_SERVER['QUERY_STRING'] . " \n
	Date: ".date('d/m/y')." \n
	-->\n";

	echo xml_tag('lang_export', XML_TAG_NORMAL, array('version'=>'1.00'));
	echo $output;
	echo xml_tag('lang_export', XML_TAG_CLOSED);

	die();

}

require_once('../default/xhtml_header.php');

$tdata = array();
$txt = new Form_Text('q');
$txt->setWidth(200);
$tdata[0][0] = 'Range';
$tdata[0][1] = $txt->getHtml() . '(example: 901,902,1000-1010,1200-1300)';

$btn = new Form_Button('', 'Go', 'submit');
$tdata[1][0] = '';
$tdata[1][1] = $btn->getHtml();

?>
	<form method="GET" action="<?=$_SERVER['PHP_SELF'];?>">
		<?php
			$t = new TableFactory($tdata);
			$t->deCapitate();
			$t->setCaption('LangIf Export');
			echo $t->getXhtmlTable('Professional');
		?>
	</form>
<?php
	require_once('../default/xhtml_footer.php');
?>
