<?php
/**
 * @package I-Ware
 * @subpackage scripts
 */
	$noValidate = true;
	$script_id =0;

	$onLoad = "resizeIframe();";
	$onResize = "resizeIframe();";

	require_once('../default/init.php');
	require_once('../default/xhtml_header.php');

?>
		<!-- xml tree classes and css -->
		<script language="JavaScript" src="/<?= SITE_PATH; ?>includes/i-w/xtree.js"></script>
		<script language="JavaScript" src="/<?= SITE_PATH; ?>includes/i-w/xmlextras.js"></script>
		<script language="JavaScript" src="/<?= SITE_PATH; ?>includes/i-w/xloadtree.js"></script>
		<link type="text/css" rel="stylesheet" href="/<?= SITE_PATH; ?>stylesheets/i-w/xtree.css" />

		<script language="JavaScript">

			try
			{
				webFXTreeConfig.blankIcon       = "/<?= SITE_PATH; ?>images/i-w/xtree/blank.png";
				webFXTreeConfig.rootIcon        = "/<?= SITE_PATH; ?>images/i-w/xtree/folder.png";
				webFXTreeConfig.openRootIcon    = "/<?= SITE_PATH; ?>images/i-w/xtree/openfolder.png";
				webFXTreeConfig.folderIcon      = "/<?= SITE_PATH; ?>images/i-w/xtree/folder.png";
				webFXTreeConfig.openFolderIcon  = "/<?= SITE_PATH; ?>images/i-w/xtree/openfolder.png";
				webFXTreeConfig.fileIcon        = "/<?= SITE_PATH; ?>images/i-w/xtree/file.png";
				webFXTreeConfig.lMinusIcon      = "/<?= SITE_PATH; ?>images/i-w/xtree/Lminus.png";
				webFXTreeConfig.lPlusIcon       = "/<?= SITE_PATH; ?>images/i-w/xtree/Lplus.png";
				webFXTreeConfig.tMinusIcon      = "/<?= SITE_PATH; ?>images/i-w/xtree/Tminus.png";
				webFXTreeConfig.tPlusIcon       = "/<?= SITE_PATH; ?>images/i-w/xtree/Tplus.png";
				webFXTreeConfig.iIcon           = "/<?= SITE_PATH; ?>images/i-w/xtree/I.png";
				webFXTreeConfig.lIcon           = "/<?= SITE_PATH; ?>images/i-w/xtree/L.png";
				webFXTreeConfig.tIcon           = "/<?= SITE_PATH; ?>images/i-w/xtree/T.png";

				var tree = new WebFXTree("Language Admin");
				tree.setBehavior('explorer');

				tree.add(new WebFXLoadTreeItem("Handles (Global)", "tree.xml.php", "javascript:loadGlobal()"));
				tree.add(new WebFXTreeItem("Search Results", ""));
				tree.add(new WebFXTreeItem("Export", "javascript:loadIframe('export.php');"));
				tree.add(new WebFXTreeItem("Import", "javascript:loadIframe('import.php');"));
				tree.add(new WebFXTreeItem("Integrity Check", "javascript:loadIframe('integrity.php');"));

			}
			catch (e)
			{
				alert('Cannot initialse tree, make sure the classes are included:\n' + e.message);
			}

			function loadGlobal()
			{
				loadIframe('iframe.php');
			}

			function loadApplication(application_id)
			{
				loadIframe('iframe.php?application_id=' + application_id );
			}

			function loadScriptID(application_id, script_id)
			{
				loadIframe('iframe.php?application_id=' + application_id + '&script_id=' + script_id );
			}

			function loadScriptName(application_id, script_id, script_name)
			{
				loadIframe('iframe.php?application_id=' + application_id + '&script_id=' + script_id + '&script_name=' + script_name );
			}

			function loadIframe(url)
			{
				window.frames['language_admin_iframe'].location.href = url;
			}


			function resizeIframe()
			{
				var body_height  = (document.all) ?
					document.documentElement.clientHeight :
					window.innerHeight;

				var ifr = document.getElementById('language_admin_iframe');
				var tbl = document.getElementById('tblAdmin');

				var ifr_height   = ifr.offsetHeight;
				var tbl_height   = tbl.offsetHeight;

				var free_space = body_height - tbl_height;
				ifr.style.height = (ifr_height + free_space - 30) + 'px';
			}

		</script>

	<table style="height: 100%; width: 100%;" class="pageAdmin" id="tblAdmin">
		<tr>
			<caption>Language Interface Admin</caption>
		</tr>
		<tr>
			<td class="data0">

				<script>
					document.write(tree);
					setTimeout('tree2.expand()', 2000);
				</script>
			</td>

			<td class="data0" width="80%">
				<iframe id="language_admin_iframe" name="language_admin_iframe" src="iframe.php?welcome=1" width="100%" frameborder="0" scrolling="yes"></iframe>
			</td>

		</tr>
	</table>
<?php
	$noLangAdmin = true;
	require_once('../default/xhtml_footer.php');
?>
