<?php
	$script_id = 0;
	$noValidate = true;
	require_once('../default/init.php');

	$params = unserialize($_GET['params']);

	$_SESSION['chroot']      = (isset($params['chroot'])) ? $params['chroot'] : '';
	$_SESSION['initpath']    = (isset($params['init_path'])) ? $params['init_path'] : '';
	$_SESSION['filtertypes'] = (isset($params['filter_types'])) ? explode(';', $params['filter_types']) : array();



?>
<html>
<head>
<title>Open File</title>

<script type="text/javascript" src="../../../includes/i-w/global.js"></script>

<style>

	body
	{
		font-family: Tahoma, Verdana;
		font-size: 8pt;

		text-align: center;
		margin: 10px;
		padding: 0;

		background-color: #878FA7;
	}

	td
	{
		font-family: Tahoma, Verdana;
		font-size: 8pt;
	}

	a:link, a:visited {
		color: #00f;
		text-decoration: none;
	}

	table.frame
	{
		background-color: #D5D8E0;
	}

</style>

<script>

	window.onerror = function(e)
	{
		alert( e );
	}

	function btnOk()
	{
		var path = document.getElementById('path').innerHTML
		var filename = document.getElementById('filename').innerHTML;

		if (filename != '')
		{
			var url = path + filename;

			try
			{
				//-- gottta love IE, it thinks return_element is not a function if this is a callback. #$@@^%!^!!
				if ( (Browser.isMSIE && return_element.toString().substr(0, 'function'.length) == 'function') ||
					typeof(return_element) == 'function')
				{
					return_element(url);
				}
				else if (typeof(return_element) == 'object')
					return_element.value = url;
				else
					alert('Invalid Return Element');

				//-- tinymce stuff
				try {
					opener.resetImageData();
					opener.getImageData();
				} catch (e) {}

				window.close();
			}
			catch (e)
			{
				alert('Error while selecting file: ' + e.message);
				window.close();
			}
		}
		else
			alert('Please select a file');
	}
</script>

</head>
<body>

<table style="border: 1px solid black;" class="frame" height="100%" width="100%">
	<tr>
		<td>
			<div style="float: left;">Look in: <span style="color: #00f;" id="path"></span></div>

			<div style="float: right;" id="divUpload">
				<!--
				<a href="#" onclick="frames[0].upload(); return false;">
					<img src="images/folder_new.gif" border=0 style="vertical-align: middle;">
					New Folder
				</a>
				-->
				<a href="#" onclick="frames[0].upload(); return false;">
					<img src="images/filesave.gif" border=0 style="vertical-align: middle;">
					Upload
				</a>
			</div>

			<div style="float: right;" id="divDirUp">
				<a href="#" onclick="frames[0].dirUp(); return false;">
					<img src="images/up.gif" border=0 style="vertical-align: middle;">
					Dir up
				</a>
			</div>
		</td>
	</tr>
	<tr>
		<td height="100%">
			<iframe height="100%" width="100%" src="fileList.php?path=<?=$_SESSION['initpath']?>"></iframe>
		</td>
	</tr>
	<tr>
		<td>
			<div style="float: left">File Name: <span style="color: #00f;" id="filename">Please select a file.</span></div>
			<div style="float: right"><input type="button" value="OK" style="width: 80px;" onclick="btnOk();" id="btnOk"></div>
		</td>
	</tr>
</table>

</body>
</html>