<?php
	$script_id = 0;
	$noValidate = true;
	require_once('../default/init.php');

	if (isset($_POST['path']))
	{
		//-- file is uploaded
		$fs_dir = CLIENT.$_POST['path'];

		if (is_dir($fs_dir))
		{
			$tmp = $_FILES['userfile']['tmp_name'];
			$filename = $_FILES['userfile']['name'];

			$mime_allowd = array( 'image/gif', 'image/jpg',
				'image/jpeg', 'image/png', 'image/pdf', 'application/pdf',
				'text/plain', 'text/comma-separated-values', 'application/vnd.ms-excel' );

			$mimetype = mime_content_type( $tmp );

			if ( in_array($mimetype, $mime_allowd))
			{
				if (move_uploaded_file($tmp, $fs_dir . basename($filename)))
				{
					header('location: fileList.php?path=' . $_POST['path'] . '&selectFile=' . $_FILES['userfile']['name'] );
					die();
				}
				else
					trigger_error("Error while uploading", E_USER_ERROR);
			}
			else
				trigger_error("Not allowed to upload this mimetype ($mimetype)", E_USER_ERROR);
		}
		else
			trigger_error("Error: '$fs_dir' does not exist", E_USER_ERROR);

		die();
	}
?>
<html>
	<head>
		<style>
			body
			{
				background-color: #fff;
				font-family: Verdana;
				font-size: 8pt;
			}

			td
			{
				font-family: Verdana;
				font-size: 8pt;
			}
		</style>
	</head>

	<body>

		<br>

		<form enctype="multipart/form-data" action="upload.php" method="post">
			<input type="hidden" name="MAX_FILE_SIZE" value="104857600" /> <!-- 100 MB -->
			<input type="hidden" name="path" value="<?=$_GET['path'];?>" />
			<table width="100%">
				<tr>
					<td colspan="2">Upload file to <?=$_GET['path']?></td>
				</tr>
				<tr>
					<td>File</td>
					<td><input name="userfile" type="file" /></td>
				</tr>
				<tr>
					<td></td>
					<td>
						<input type="button" onclick="history.back();" value="Cancel" />
						<input type="submit" value="Send File" />
					</td>
				</tr>
			</table>
		</form>
	</body>
</html>
