<?php
require_once(IWARE.'Task.php');
require_once(ELC_CLASSES.'Declaration.php');
require_once(ELC_CLASSES.'Participant.php');
require_once(ELC_CLASSES.'CRSO.php');
require_once(ELC_CLASSES.'CRSOParticipantProduct.php');
/**
 * @copyright 2006 BaseSoft B.V.
 * @since 2006-02-15
 * @author Marten Koedam <marten@basesoft.com>
 * @version $Id$
 */
class TaskDeclaration extends Task
{
	/**
	 * @var Database $db
	 */
	var $db;
	/**
	 *
	 */
	var $settings = array();
	/**
	 * @param Database $db
	 */
	function TaskDeclaration(&$db)
	{
		$this->db =& $db;
		//$this->setSettings();
	}
	/**
	 *
	 */
	function setSettings()
	{
		$this->settings['db']['user'] = $this->db->user;
		$this->settings['db']['pass'] = $this->db->pass;
		$this->settings['db']['host'] = $this->db->host;
		$this->settings['db']['name'] = $this->db->name;
		$this->settings['db']['driver'] = $this->db->driver;
	}
	/**
	 *
	 */
	function execute(&$log)
	{
		$this->_load();
		$start = m();
		// Schedule all the new Declarations for every participant at every CRSO

		$this->db->begin();
		$d = new Declaration($this->db);
		$sql = "SELECT PRODUCT_ID FROM TBL_PRODUCT";
		$q = $this->db->query($sql);
		$q->execute();
		while($r = $q->fetch())
			$d->insertNewDeclarations(false,$r->PRODUCT_ID);
		$this->db->commit();
		//$log->info('[TaskRunner::TaskDeclaration] Done in '.round((m()-$start),3).' seconds');
	}
	/**
	 * @access private
	 */
	function _load()
	{
		//$connstr = $this->settings['db']['driver'].':'.$this->settings['db']['host'].':'.$this->settings['db']['name'];
		//$this->db = new Database($connstr, $this->settings['db']['user'], $this->settings['db']['pass'], 1);
	}
}

?>