<?php
require_once(IWARE.'Task.php');
//require_once(IWARE.'IWCSVWriter.php');
require_once(IWARE.'IWXMLWriter.php');
require_once(ELC_CLASSES.'ELCExporter_Declarations.php');
require_once(ELC_CLASSES.'Declaration.php');
require_once(ELC_CLASSES.'Participant.php');
require_once(ELC_CLASSES.'CRSO.php');
require_once(ELC_CLASSES.'CRSOParticipantProduct.php');
/**
 * @copyright 2006 BaseSoft B.V.
 * @since 2006-02-15
 * @author Marten Koedam <marten@basesoft.com>
 * @version $Id$
 */
class TaskExportDeclaration extends Task
{
	/**
	 * @var Database $db
	 */
	var $db;
	/**
	 *
	 */
	var $settings = array();
	/**
	 * @param Database $db
	 */
	function TaskExportDeclaration(&$db)
	{
		$this->db =& $db;
		//$this->setSettings();
	}
	/**
	 *
	 */
	function setSettings()
	{
		$this->settings['db']['user'] = $this->db->user;
		$this->settings['db']['pass'] = $this->db->pass;
		$this->settings['db']['host'] = $this->db->host;
		$this->settings['db']['name'] = $this->db->name;
		$this->settings['db']['driver'] = $this->db->driver;
	}
	/**
	 *
	 */
	function execute(&$log)
	{
		// FORFEIT all Open Declarations of the last month
		$this->_load();
		$start = m();
		$d = new Declaration($this->db);

		$sql = "SELECT PRODUCT_ID FROM TBL_PRODUCT";
		$q = $this->db->query($sql);
		$q->execute();
		while($r = $q->fetch())
			$d->forfeitDeclarations($log,null,null,$r->PRODUCT_ID);
		$d->exportDeclarations($log);

		/*$writer = new IWCSVWriter();
		$writer->delimiter = '|';
		$writer->enclosure = '#';
		$writer->eol = "|\r\n";
		$writer->enclose_all = true;
		$writer->show_header = true;*/
		$writer = new IWXMLWriter(null, true);
		global $langIf;
		$filewriter = new ELCExporter_Declarations($this->db, $log);
		$filewriter->export();
		$log->info('[TaskRunner::TaskExportDeclaration] Done in '.round((m()-$start),3).' seconds');
	}
	/**
	 * @access private
	 */
	function _load()
	{

	}
}

?>
