<?php

require_once(IWARE.'Task.php');

require_once(ELC_CLASSES.'RemoteViewer.php');

/**
 * Task to expire pending remote viewer invitations
 *
 * @author marten
 *
 */
class TaskRemoteViewerExpiry extends Task {

	/**
	 * @var Database $db
	 */
	var $db;
	/**
	 * @param Database $db
	 */
	function TaskRemoteViewerExpiry(&$db)
	{
		$this->db =& $db;
	}

	function execute($log) {

		$log->info('Expiring pending Remote Viewer invitations');
		$rv = new RemoteViewer($this->db);
		$rv->expireAllPendingInvites();
		$rv->expireAllInactiveInvites();
	}

	function _load() {
		// Do nothing
	}

}

?>