<?php
require_once(IWARE.'Task.php');
require_once(IWARE.'VAT.php');
/**
 * @copyright 2006 BaseSoft B.V.
 * @since 2006-02-15
 * @author Marten Koedam <marten@basesoft.com>
 * @version $Id$
 */
class TaskVAT extends Task
{
	/**
	 * @var Database $db
	 */
	var $db;
	/**
	 *
	 */
	var $settings = array();
	/**
	 * @param Database $db
	 */
	function TaskVAT(&$db)
	{
		$this->db =& $db;
		//$this->setSettings();
	}
	/**
	 *
	 */
	function setSettings()
	{
		$this->settings['db']['user'] = $this->db->user;
		$this->settings['db']['pass'] = $this->db->pass;
		$this->settings['db']['host'] = $this->db->host;
		$this->settings['db']['name'] = $this->db->name;
		$this->settings['db']['driver'] = $this->db->driver;
	}
	/**
	 *
	 */
	function execute(&$log)
	{
		$this->_load();
		$v = new VAT($this->db);
		$v->validatePending();
	}

	/**
	 * @access private
	 */
	function _load()
	{
		//$connstr = $this->settings['db']['driver'].':'.$this->settings['db']['host'].':'.$this->settings['db']['name'];
		//$this->db = new Database($connstr, $this->settings['db']['user'], $this->settings['db']['pass'], 1);
	}
}

?>