<?php

# called by the weeeblackbox languf to each webserver to clear its translation cache

// allow local ips only
if ( filter_var($_SERVER['REMOTE_ADDR'], FILTER_VALIDATE_IP, FILTER_FLAG_NO_PRIV_RANGE) ) {

	// docker seems to connect as '::1'
	if ( $_SERVER['REMOTE_ADDR'] != '::1' )
	    throw new Exception('permission denied for: '.$_SERVER['REMOTE_ADDR']);
}

if (!isset($_GET['handle']))
        trigger_error('apc_delete.php: No handle supplied', E_USER_ERROR);

$handle = $_GET['handle'];
$groupbits  = array(1,2,4,8,16);
foreach($groupbits as $groupbit)
        echo sprintf('apc_delete.php: Deleting apc key [%s], result: [%s]', md5('li_'.$handle.$groupbit), (int) apc_delete(md5('li_'.$handle.$groupbit)));

echo 'deleted keys for handle:'.$handle;

?>
